<?php

/**
 * Controller Class For Handling All Requests Related To Change Password Module
 *
 * @author Softpro India Pvt. Ltd.
 */
defined('BASEPATH') OR exit('No direct script access allowed');

class ChangePassword extends CI_Controller {

    public function __construct() {
        parent::__construct();
        $this->load->model("admin/UserAuthenticator");
    }

    public function index() {
        if ($this->sessionvalidator->isLoggedIn()) {
            $this->load->view('admin/changePassword');
        } else {
            redirect("/admin");
        }
    }

    public function changePassword() {
        if ($this->sessionvalidator->isLoggedIn()) {
            $this->form_validation->set_rules('curPass', 'Current Password', 'required', array('required' => 'Current Password Can Not Be Blank.'));
            $this->form_validation->set_rules('newPass', 'New Password', 'required|min_length[6]|max_length[12]', array('required' => 'New Password Can Not Be Blank'));
            $this->form_validation->set_rules('confNewPass', 'Confirm New Password', 'required|matches[newPass]|min_length[6]|max_length[12]', array('required' => 'New Password Confirmation Is Required.'));
            if ($this->form_validation->run() == FALSE) {
                $this->index();
            } else {
                if ($this->UserAuthenticator->authenticateUserByLoginIdAndPassword($this->session->userdata("adminData")["login_detail_id"], MD5($this->input->post('curPass')))) {
                    $passwordUpdateData = array(
                        'tld_id' => $this->session->userdata("adminData")["login_detail_id"],
                        'tld_updated_on' => date("Y-m-d H:i:s"),
                        'tld_password' => MD5($this->input->post('newPass')),
                        'tld_is_first_login' => 'F'
                    );
                    if ($this->UserAuthenticator->updateNewPassword($passwordUpdateData)) {
                        $this->session->set_flashdata('successMessagePsw', 'Password Updated Successfully.');
                        $this->index();
                    } else {
                        $this->session->set_flashdata('errorMessagePsw', 'Some Error Occurred While Updating Password. Try Later.');
                        $this->index();
                    }
                } else {
                    $this->session->set_flashdata('errorMessagePsw', "Incorrect Current Password.!!");
                    $this->index();
                }
            }
        } else {
            redirect("/admin");
        }
    }

}
