<?php

/**
 * Controller Class For Handling All Requests Related To Academics
 *
 * @author Softpro India Pvt. Ltd.
 */
defined('BASEPATH') OR exit('No direct script access allowed');

class Academics extends CI_Controller {

    public function __construct() {
        parent::__construct();
        $this->load->model("admin/CourseManagement");
        $this->load->model("admin/StudentManagement");
    }

    public function courseProfile() {
        if ($this->sessionvalidator->isStudentLoggedIn()) {
            $viewData['courseProfiles'] = $this->CourseManagement->getAllNonDeletedActiveCourseProfilesBy($this->session->userdata("studentData")["stu_ucs_map_id"])->result();
            $this->load->view('student/academics/courseProfile', $viewData);
        } else {
            redirect("/student");
        }
    }

    public function semesterOrYearInfo() {
        if ($this->sessionvalidator->isStudentLoggedIn()) {
            $viewData['studentSemesterInfo'] = $this->StudentManagement->getStudentAllSemesterInfoBy($this->session->userdata("studentData")["stu_id"])->result();
            $this->load->view('student/academics/semesterOrYearInfo', $viewData);
        } else {
            redirect("/student");
        }
    }

}
