<?php

/**
 * Controller Class For Handling All Requests Related To Change Password Module Of Student
 *
 * @author Softpro India Pvt. Ltd.
 */
defined('BASEPATH') OR exit('No direct script access allowed');

class ChangePassword extends CI_Controller {

    public function __construct() {
        parent::__construct();
        $this->load->model("student/StudentAuthenticator");
    }

    public function index() {
        if ($this->sessionvalidator->isStudentLoggedIn()) {
            $this->load->view('student/changePassword');
        } else {
            redirect("/student");
        }
    }

    public function changePassword() {
        if ($this->sessionvalidator->isStudentLoggedIn()) {
            $this->form_validation->set_rules('curPass', 'Current Password', 'required', array('required' => 'Current Password Can Not Be Blank.'));
            $this->form_validation->set_rules('newPass', 'New Password', 'required|min_length[6]|max_length[12]', array('required' => 'New Password Can Not Be Blank'));
            $this->form_validation->set_rules('confNewPass', 'Confirm New Password', 'required|matches[newPass]|min_length[6]|max_length[12]', array('required' => 'New Password Confirmation Is Required.'));
            if ($this->form_validation->run() == FALSE) {
                $this->index();
            } else {
                if ($this->StudentAuthenticator->authenticateStudentByLoginIdAndPassword($this->session->userdata("studentData")["stu_id"], MD5($this->input->post('curPass')))) {
                    $passwordUpdateData = array(
                        'tspi_id' => $this->session->userdata("studentData")["stu_id"],
                        'tspi_password' => MD5($this->input->post('newPass'))
                    );
                    if ($this->StudentAuthenticator->updateNewPassword($passwordUpdateData)) {
                        $this->session->set_flashdata('successMessage', 'Password Updated Successfully.');
                        $this->index();
                    } else {
                        $this->session->set_flashdata('errorMessage', 'Some Error Occurred While Updating Password. Try Later.');
                        $this->index();
                    }
                } else {
                    $this->session->set_flashdata('errorMessage', "Incorrect Current Password.!!");
                    $this->index();
                }
            }
        } else {
            redirect("/student");
        }
    }

}
