<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title> <?php echo ($selectedSubject == "") ? "Student Absent Report" : $selectedSubjectDetails->sm_code . "-" . $selectedSubjectDetails->sm_name . "-" . $selectedSubjectDetails->sta_id . " Absent Report" ?> | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/pdfmake.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.print.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.colVis.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Academics</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Attendance/absentiesReport"); ?>"> Student Absent Report</a></li>                            
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-table"></i>&nbsp;Student Absent Report</h3>
                            </div>
                            <div class="card-body">

                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Attendance/absentiesReport'), ['name' => 'attendanceReportFilterFrm', 'id' => 'attendanceReportFilterFrm']); ?>
                                <fieldset>
                                    <legend>Session , Subject & Absent Info. </legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="session" class="input__label">Session *</label>
                                            <select id="session" name="session" class="custom-select">
                                                <option value="">Select Session</option>
                                                <?php foreach ($sessions as $session) { ?>
                                                    <option <?php if ($session->session_status == "C") echo "selected"; ?> value="<?php echo $session->session_id; ?>" <?php echo set_select("session", $session->session_id); ?>><?php echo stripslashes($session->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="subject" class="input__label">Subject *</label>
                                            <select id="subject" name="subject" class="custom-select">
                                                <option value="">Select Subject</option>
                                                <?php foreach ($subjects as $subject) { ?>
                                                    <option <?php echo ($selectedSubject == $subject->sta_id) ? "selected" : ""; ?> value="<?php echo $subject->sta_id; ?>" <?php echo set_select("subject", $subject->sm_id); ?>><?php echo stripslashes($subject->sm_code) . "-" . stripslashes($subject->sm_name) . "-" . stripslashes($subject->sta_id); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="from" class="input__label">From</label>
                                            <input  autocomplete="off"  type="text" class="form-control"   id="from" name="from" value="<?php echo set_value('from'); ?>" placeholder="Choose Attendance Range Date" maxlength="10">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="to" class="input__label">To</label>
                                            <input  autocomplete="off" type="text" class="form-control"  id="to" name="to" value="<?php echo set_value('to'); ?>" placeholder="Choose Attendance Range Date" maxlength="10">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="filterAttendanceBtn" class="input__label"></label>
                                            <button id="filterAttendanceBtn" name="filterAttendanceBtn" type="submit" class="btn btn-sm btn-warning pull-right">Apply Filter & Fetch Student-Attendance Data&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                    <span id="spnErr" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                                </fieldset>        
                                <fieldset id="studentList" style="display: <?php echo (sizeof($attendanceData)) ? "block" : "none"; ?>;">
                                    <legend>Student(s) List</legend>
                                    <div class="table-responsive">
                                        <table id="subjectWiseStudentAttendanceReport" style="width:100%;" class="bootstrap-datatable table-striped table-hover">
                                            <thead>                                             
                                                <tr>
                                                    <th style="text-align: center;" colspan="9"><?php echo $selectedSubjectDetails->sm_code . "-" . $selectedSubjectDetails->sm_name . "-" . $selectedSubjectDetails->sta_id . " Absent Report" ?></th>
                                                </tr>
                                                <tr>
                                                    <th>Sr. No</th>
                                                    <th>College ID</th>
                                                    <th>Name</th>
                                                    <th>Course</th>
                                                    <th>Absent On</th>
                                                    <th>Reason For Being Absent</th>
                                                </tr>
                                            </thead>
                                            <tfoot>
                                                <tr>
                                                    <th>Sr. No</th>
                                                    <th>College ID</th>
                                                    <th>Name</th>
                                                    <th>Course</th>
                                                    <th>Absent On</th>
                                                    <th>Reason For Being Absent</th>
                                                </tr>
                                            </tfoot>
                                            <tbody id="studentDetails">
                                                <?php
                                                for ($i = 0; $i < sizeof($attendanceData); $i++) {
                                                    $atd = $attendanceData[$i];
                                                    ?>
                                                    <tr>
                                                        <td><?php echo $i + 1 ?></td>
                                                        <td><?php echo $atd->tspi_enrollment_no; ?></td>
                                                        <td><?php echo $atd->tspi_name; ?></td> 
                                                        <td><?php echo $atd->course_name; ?></td>   
                                                        <td><?php echo date('d-m-Y', strtotime( $atd->sam_date)); ?></td>  
                                                        <td style="background-color: #ea6553; color:white;"><?php echo $atd->sam_remark; ?> </td>
                                                    </tr>
                                                    <?php
                                                }
                                                ?>
                                            </tbody>
                                        </table>
                                    </div>                                  
                                </fieldset>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#from").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                yearRange: '1995:+0',
                numberOfMonths: 1
            });

            $("#to").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                yearRange: '1995:+0',
                numberOfMonths: 1
            });
            $(document).ready(function () {
                $("#subjectWiseStudentAttendanceReport").DataTable({responsive: true, dom: 'Blfrtip'});
            });
            $("#subject").on("change", function () {
                if ($(this).val().trim() == "") {
                    $("#studentList").css("display", "none");
                    $("#spnErr").html("Please Select Any Subject To Fetch Student-Attendance Details.");
                } else {
                    $("#spnErr").html("");
                }
            });
            $("#session").on("change", function () {
                if ($(this).val().trim() == "") {
                    $("#studentList").css("display", "none");
                    $("#spnErr").html("Please Select The Session To Proceed.");
                }
            });
            $("#filterAttendanceBtn").on("click", function () {
                if ($("#session").val() === "" || $("#subject").val() === null) {
                    $("#spnErr").html("Please Select Session To Proceed.");
                    $("#studentList").css("display", "none");
                    event.preventDefault();
                    $("#session").focus();
                } else if ($("#subject").val() === "" || $("#subject").val() === null) {
                    $("#spnErr").html("Please Select Any Subject To Fetch Student-Attendance Details.");
                    event.preventDefault();
                    $("#subject").focus();
                } else {
                    $("#spnErr").html("");
                    $("#attendanceEditFilterFrm").submit();
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>