<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>View Alloted Sets To Students | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Academics</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Subject/studentSubjectAllotment/"); ?>">Student(s)-Subject Allotments</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Subject/viewExistingAllotment/"); ?>">Existing Allotments</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-book"></i> View Student-Subject Allotment</h3><br>
                            <div class="">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('successMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Filters <i class="fa fa-filter"></i></legend>
                                    <?php echo form_open(site_url('admin/Subject/viewExistingAllotment'), ['name' => 'allottedSubjectssFilterFrm', 'id' => 'allottedSubjectssFilterFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="subjectCourse" class="input__label">Course *</label>
                                            <select id="subjectCourse" name="subjectCourse" class="form-control input-style">
                                                <option value="">Select Course</option>
                                                <?php foreach ($courses as $course) { ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo set_select("subjectCourse", $course->course_id); ?>><?php echo stripslashes($course->course_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="subjectCourseSemOrYear" class="input__label">Semester/Year *</label>
                                            <select id="subjectCourseSemOrYear" name="subjectCourseSemOrYear" class="form-control input-style">
                                                <option value="">Select Semester/Year</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="subjects" class="input__label">Subject *</label>
                                            <select id="subjects" name="subjects" class="form-control input-style">
                                                <option value="">Select Subject</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="filterSubmitBtn" class="input__label"></label>
                                            <button id="filterSubmitBtn" name="filterSubmitBtn" type="submit" class="btn btn-sm btn-warning pull-right">Apply Filter & Fetch Student-Subject Allotment List&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                    <?php echo form_close(); ?>
                                </fieldset>
                                <hr>
                                <?php if (sizeof($allotmentData)) { ?>
                                    <fieldset id="studentList">
                                        <legend>Student(s) List</legend>
                                        <div class="form-row">
                                            <table style="width:100%" class="table table-success">
                                                <tr>
                                                    <th>Sr. No</th>
                                                    <th>Roll No.</th>
                                                    <th>Name</th>
                                                    <th>Semester</th>
                                                    <th>Section</th>
                                                    <th>Session</th>
                                                    <th>Type</th>
                                                    <th>Subject</th>
                                                    <th>Action</th>
                                                </tr>
                                                <tbody id="studentDetails">
                                                    <?php
                                                    for ($i = 0; $i < sizeof($allotmentData); $i++) {
                                                        $record = $allotmentData[$i];
                                                        ?>
                                                        <tr>
                                                            <th><?php echo ($i + 1); ?></th>
                                                            <td><?php echo stripslashes($record->tspi_rollNumber); ?></td>
                                                            <td><?php echo stripslashes($record->tspi_name); ?></td>
                                                            <td><?php echo $record->tsssi_semester; ?></td>
                                                            <td><?php echo $record->tsssi_section; ?></td>
                                                            <td><?php echo $record->session_name; ?></td>
                                                            <td><?php echo $record->tcsm_course_type; ?></td>
                                                            <td><?php echo stripslashes($record->sm_name); ?></td>
                                                            <td>
                                                                <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Allotment" onClick="editAllotment(<?php echo $record->ssa_id; ?>,<?php echo $record->tspi_id; ?>);"  ></i>
                                                                <a href='<?php echo site_url('admin/Subject/deleteAllotment/') . $record->ssa_id . "/" . $record->tspi_id . "/" . $record->sm_id; ?>'><i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Allotment" onClick="return confirm('Do You Really Want To Delete This Allotment Info?')"></i> </a>
                                                            </td>
                                                        </tr>
                                                    <?php } ?>
                                                </tbody>
                                            </table>
                                        </div>
                                    </fieldset>
                                <?php } ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
        <!-- Edit Allot Modal Starts -->
        <div class="modal fade" id="editAllotModel" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Edit Allotment Info</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <fieldset>
                            <div class="row">
                                <div class="col-sm-2"><b>Roll No.</b></div>
                                <div class="col-sm-4"><span id="stu_roll_no"></span></div>
                                <div class="col-sm-1"><b>Name</b></div>
                                <div class="col-sm-5"><span id="stu_name"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-2"><b>Session</b></div>
                                <div class="col-sm-2"><span id="stu_session"></span></div>
                                <div class="col-sm-2"><b>Semester</b></div>
                                <div class="col-sm-2"><span id="stu_semester"></span></div>
                                <div class="col-sm-2"><b>Section</b></div>
                                <div class="col-sm-2"><span id="stu_section"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-2"><b>Course</b></div>
                                <div class="col-sm-3"><span id="course_nm"></span></div>
                                <div class="col-sm-4"><b>Currently Alloted Subject</b></div>
                                <div class="col-sm-3"><span id="alloted_set"></span></div>
                            </div>
                        </fieldset>
                        <br>
                        <fieldset>
                            <legend>New Subject Allotment</legend>
                            <?php echo form_open(site_url('admin/Subject/updateAllotment'), ['name' => 'allotmentEditFrm', 'id' => 'allotmentEditFrm']); ?>
                            <div class="row">
                                <div class="col-sm-3"><b>New Subject *</b></div>
                                <div class="col-sm-9">
                                    <select id="subjectMod" name="subjectMod" class="custom-select">
                                        <option value="">Select Subject</option>
                                    </select>
                                </div>
                            </div>
                            <br>
                            <div class="row">
                                <div class="col-sm-12">
                                    <span id="spnErrMod" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                                    <input type="hidden" name="allot_id" id="allot_id">
                                    <input type="hidden" name="co_id" id="co_id">
                                    <input type="hidden" name="tspi_id" id="tspi_id">
                                    <input type="hidden" name="current_subject" id="current_subject">

                                    <button type="button" id="updateAllotmentBtn" class="btn btn-block btn-primary btn-sm">Save Changes</button>
                                </div>
                            </div>
                            <?php echo form_close(); ?>
                        </fieldset>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Edit Allot Modal Ends -->
        <script>
            $("#subjectCourse").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getCourseSemesterOrYearForDropDown/'); ?>',
                        data: {course_id: $("#subjectCourse").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var semesterOrYearInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subjectCourseSemOrYear").html(semesterOrYearInfo.sem_year_list);
                            csrfHash = semesterOrYearInfo.csrfHash;
                            allottedSubjectssFilterFrm.csrf_token.value = csrfHash;
                            allotmentEditFrm.csrf_token.value = csrfHash;
                        }
                    });
                    $.ajax({
                        url: '<?php echo site_url('admin/Subject/getSubjectsForDropDown/'); ?>',
                        data: {course_id: $("#subjectCourse").val(), subject: '', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subjects").html(subInfo.subject_list);
                            csrfHash = subInfo.csrfHash;
                            allottedSubjectssFilterFrm.csrf_token.value = csrfHash;
                            allotmentEditFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subjectCourseSemOrYear").html("<option value=''>Select Semester/Year</option>");
                    $("#subjects").html("<option value=''>Select Subject</option>");
                }
            });

            $("#subjectModCourse").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Subject/getSubjectsForDropDown/'); ?>',
                        data: {course_id: $("#subjectModCourse").val(), subject: '', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subjectMod").html(subInfo.subject_list);
                            csrfHash = subInfo.csrfHash;
                            allottedSubjectssFilterFrm.csrf_token.value = csrfHash;
                            allotmentEditFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subjectMod").html("<option value=''>Select Subject</option>");
                }
            });

            $("#updateAllotmentBtn").on("click", function () {
                if ($("#subjectMod").val().trim() === "") {
                    $("#spnErrMod").html("Please Select Any Subject To Allot");
                    $("#subjectMod").focus();
                } else {
                    $("#spnErrMod").html("");
                    $("#allotmentEditFrm").submit();
                }
            });

            function editAllotment(ssa_id) {
                $(".se-pre-con").fadeIn("slow");
                $.ajax({
                    url: '<?php echo site_url('admin/Subject/getSubjectAllotmentFullInfo/'); ?>',
                    data: {allot_id: ssa_id, csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        var allotmentInfo = JSON.parse(result);
                        $(".se-pre-con").fadeOut("slow");
                        csrfHash = allotmentInfo.csrfHash;
                        $("#stu_roll_no").html(allotmentInfo.stu_roll_no);
                        $("#stu_name").html(allotmentInfo.stu_name);
                        $("#stu_session").html(allotmentInfo.stu_session);
                        $("#stu_semester").html(allotmentInfo.stu_semester);
                        $("#stu_section").html(allotmentInfo.stu_section);
                        $("#alloted_set").html(allotmentInfo.subject_name);
                        $("#allot_id").val(allotmentInfo.allot_id);
                        $("#course_nm").html(allotmentInfo.course);
                        $("#co_id").val(allotmentInfo.course_id);
                        $("#tspi_id").val(allotmentInfo.stu_id);
                        $("#current_subject").val(allotmentInfo.subject_id);
                        allottedSubjectssFilterFrm.csrf_token.value = csrfHash;
                        allotmentEditFrm.csrf_token.value = csrfHash;

                        $(".se-pre-con").fadeIn("slow");
                        if (csrfHash === '') {
                            csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                        }
                        if ($("#co_id").val().trim() !== "") {
                            $.ajax({
                                url: '<?php echo site_url('admin/Subject/getSubjectsForDropDown/'); ?>',
                                data: {course_id: $("#co_id").val(), subject: '', csrf_token: csrfHash},
                                type: 'POST',
                                success: function (result) {
                                    var subInfo = JSON.parse(result);
                                    $(".se-pre-con").fadeOut("slow");
                                    $("#subjectMod").html(subInfo.subject_list);
                                    csrfHash = subInfo.csrfHash;
                                    allottedSubjectssFilterFrm.csrf_token.value = csrfHash;
                                    allotmentEditFrm.csrf_token.value = csrfHash;
                                }
                            });
                        } else {
                            $(".se-pre-con").fadeOut("slow");
                            $("#subjectMod").html("<option value=''>Select Subject</option>");
                        }
                        $("#editAllotModel").modal('show');
                    }
                });
            }

            function deleteAllotment(ssa_id, tspi_id, sm_id) {
                if (confirm("Do You Really Want To Delete This Allotment Info?")) {
                    window.location.href = '<?php echo site_url('admin/Subject/deleteAllotment/'); ?>' + ssa_id + "/" + tspi_id + "/" + sm_id;
                }
            }

            $(document).ready(function () {
                var selectedSemester = '<?php echo $selectedSemOrYear; ?>';
                var selectedSubject = '<?php echo $selectedSubject; ?>';
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($("#subjectCourse").val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getCourseSemesterOrYearForDropDownSelected/'); ?>',
                        data: {course_id: $("#subjectCourse").val(), semester: selectedSemester, csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var semesterOrYearInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subjectCourseSemOrYear").html(semesterOrYearInfo.sem_year_list);
                            csrfHash = semesterOrYearInfo.csrfHash;
                            allottedSubjectssFilterFrm.csrf_token.value = csrfHash;
                            allotmentEditFrm.csrf_token.value = csrfHash;
                        }
                    });
                    $.ajax({
                        url: '<?php echo site_url('admin/Subject/getSubjectsForDropDown/'); ?>',
                        data: {course_id: $("#subjectCourse").val(), subject: selectedSubject, csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            csrfHash = subInfo.csrfHash;
                            $("#subjects").html(subInfo.subject_list);
                            allottedSubjectssFilterFrm.csrf_token.value = csrfHash;
                            allotmentEditFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subjectCourseSemOrYear").html("<option value=''>Select Semester/Year</option>");
                    $("#subjects").html("<option value=''>Select Subject Set</option>");
                }
            });
        </script>
    </body>
</html>