<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing <?php echo stripslashes($coursesProfileInfo->course_name . "(" . $coursesProfileInfo->tcsm_course_type . ") " . $coursesProfileInfo->cp_sem_or_year . " Sem/Year"); ?> Course Profile | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Academics</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Course/courseProfiles"); ?>">All Course Profiles</a></li>                            
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Course/editCourseProfile/" . $coursesProfileInfo->cp_id); ?>">Edit Course Profile</a></li>                            
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Edit Course Profile => <b><?php echo stripslashes($coursesProfileInfo->course_name . "(" . $coursesProfileInfo->tcsm_course_type . ") " . $coursesProfileInfo->cp_sem_or_year . " Sem/Year"); ?></b></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('admin/Course/updateCourseProfile'), ['name' => 'courseProfileUpdateFrm', 'id' => 'courseProfileUpdateFrm']); ?>
                                <fieldset>
                                    <legend>Subject Type Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-2" style="display: none;">
                                            <label for="branch" class="input__label">Branch *</label>
                                            <select id="branch" tabindex="-1" name="branch" class="custom-select readonly">
                                                <option value="">Select Branch</option>
                                                <?php
                                                $selected = (sizeof($branches) > 2) ? "" : "selected";
                                                foreach ($branches as $branch) {
                                                    if ($branch->branch_id == 0 || $branch->branch_id == '0') {
                                                        continue;
                                                    }
                                                    ?>
                                                    <option value="<?php echo $branch->branch_id; ?>" <?php echo set_select("branch", $branch->branch_id); ?> <?php echo $selected; ?>><?php echo stripslashes($branch->branch_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="course" class="input__label">Course *</label>
                                            <select id="course" tabindex="-1" name="course" class="form-control input-style readonly">
                                                <option value="" <?php echo set_select("course", "") ?>>Select Course</option>
                                                <?php
                                                foreach ($courses as $course) {
                                                    $selected = ($course->course_id == $coursesProfileInfo->course_id) ? "selected" : "";
                                                    ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo set_select("course", $course->course_id) . " " . $selected; ?>><?php echo stripslashes($course->course_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="session" class="input__label">Session *</label>
                                            <select id="session" tabindex="-1" name="session" class="form-control input-style readonly">
                                                <option value="">Select Session</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="entryType" class="input__label">Entry Type *</label>
                                            <select id="entryType" tabindex="-1" name="entryType" class="form-control input-style readonly">
                                                <option value="">Select Entry Type</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="semOrYear" class="input__label">Semester/Year *</label>
                                            <select id="semOrYear" tabindex="-1" name="semOrYear" class="form-control input-style readonly">
                                                <option value="">Select Semester/Year</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="courseProfileFile" class="input__label">File *</label>
                                            <input type="file" class="form-control input-style" id="courseProfileFile" name="courseProfileFile">
                                            <small id="courseProfileFileInstruction" style="color:#0000FF;font-weight: bold;">Only pdf File With Max. Size 2 MB Is Allowed.</small>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label class="input__label"></label><br>
                                            <label class="input__label pull-right"><a href="<?php echo base_url($coursesProfileInfo->cp_file_path); ?>" target="_blank"><i class="fa fa-hand-pointer-o"></i>View Uploaded File</a></label>
                                        </div>
                                    </div>
                                </fieldset>
                                <input type="hidden" name="currentCourseProfileFile" value="<?php echo $coursesProfileInfo->cp_file_path; ?>">
                                <input type="hidden" name="cp_id" value="<?php echo $coursesProfileInfo->cp_id; ?>">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Save Changes</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#course").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Sessions/getSessionByCourseAndBranch/') ?>',
                        data: {branch_id: $("#branch").val(), course_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#session").html(sessionInfo.session_List);
                            csrfHash = sessionInfo.csrfHash;
                            courseProfileUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#session").html("<option value=''>Select Session</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#session").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getEntryTypesOfGivenCourseSessionAndBranch/') ?>',
                        data: {branch_id: $("#branch").val(), course_id: $("#course").val(), session_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#entryType").html(sessionInfo.entry_types);
                            csrfHash = sessionInfo.csrfHash;
                            courseProfileUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#entryType").html("<option value=''>Select Entry Type</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#entryType").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getCourseSemesterOrYearForDropDown/') ?>',
                        data: {course_id: $("#course").val(), ucs_map_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var semesterOrYearInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#semOrYear").html(semesterOrYearInfo.sem_year_list);
                            csrfHash = semesterOrYearInfo.csrfHash;
                            courseProfileUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#semOrYear").html("<option value=''>Select Semester/Year</option>");
                }
            });

            $(document).ready(function () {
                if ($("#course").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Sessions/getSessionByCourseAndBranchSelected/') ?>',
                        data: {branch_id: $("#branch").val(), course_id: $("#course").val(), session_id: '<?php echo $coursesProfileInfo->session_id; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#session").html(sessionInfo.session_List);
                            csrfHash = sessionInfo.csrfHash;
                            courseProfileUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if ($("#session").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getEntryTypesOfGivenCourseSessionAndBranchSelected/') ?>',
                        data: {branch_id: $("#branch").val(), course_id: $("#course").val(), session_id: '<?php echo $coursesProfileInfo->session_id; ?>', ucs_map_id: '<?php echo $coursesProfileInfo->ucs_map_id; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#entryType").html(sessionInfo.entry_types);
                            csrfHash = sessionInfo.csrfHash;
                            courseProfileUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if ($("#entryType").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getCourseSemesterOrYearForDropDownSelected/') ?>',
                        data: {course_id: $("#course").val(), ucs_map_id: '<?php echo $coursesProfileInfo->ucs_map_id; ?>', semester: '<?php echo $coursesProfileInfo->cp_sem_or_year; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var semesterOrYearInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#semOrYear").html(semesterOrYearInfo.sem_year_list);
                            csrfHash = semesterOrYearInfo.csrfHash;
                            courseProfileUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>