<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing <?php echo $slotInfo->slot_name; ?> | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.timepicker.min.css"); ?>">
        <link rel="stylesheet" href="http://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" >
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.timepicker.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Slot/"); ?>">Slot Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo current_url(); ?>">Edit Slot</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Edit => <?php echo $slotInfo->slot_name; ?></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Slot/updateSlot'), ['name' => 'slotCreationFrm', 'id' => 'slotCreationFrm']); ?>
                                <fieldset>
                                    <legend>Slot Info</legend>
                                    <div class="form-row">
                                        <div class="col-md-6">
                                            <legend>From => ( 00 : 00 AM/PM)</legend>
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <label for="from_hour" class="input__label">Hour *</label>
                                                    <select class="custom-select" id="from_hour" name="from_hour">
                                                        <option value=''>Hour</option>
                                                        <?php
                                                        for ($i = 1; $i <= 12; $i++) {
                                                            ?>
                                                            <option <?php echo ($slotInfo->from_hour == $i)? "selected":"" ;?> <?php echo set_select('from_hour', $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>   
                                                            <?php
                                                        }
                                                        ?>
                                                    </select>                   
                                                </div>

                                                <div class="col-md-4">
                                                    <label for="from_minute" class="input__label">Minute *</label>
                                                    <select class="custom-select" id="from_minute" name="from_minute">
                                                        <option value=''>Minute</option>
                                                        <?php
                                                        for ($i = 1; $i <= 60; $i++) {
                                                            if ($i == 60) {
                                                                ?>
                                                                <option <?php echo ($slotInfo->from_minute == $i)? "selected":"" ;?> <?php echo set_select('from_minute', $i); ?> value="<?php echo "00"; ?>"><?php echo "00"; ?></option>   
                                                                <?php
                                                            } else {
                                                                ?>
                                                                <option <?php echo ($slotInfo->from_minute == $i)? "selected":"" ;?> <?php echo set_select('from_minute', $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>       
                                                                <?php
                                                            }
                                                        }
                                                        ?>
                                                    </select>                   
                                                </div>

                                                <div class="col-md-4">
                                                    <label for="from_am_pm" class="input__label">AM/PM *</label>
                                                    <select class="custom-select" id="from_am_pm" name="from_am_pm">
                                                        <option value=''>Select</option>
                                                        <option <?php echo ($slotInfo->from_am_pm == "AM")? "selected":"" ;?> <?php echo set_select('from_minute', 'AM'); ?> value='AM'>AM</option>
                                                        <option <?php echo ($slotInfo->from_am_pm == "PM")? "selected":"" ;?> <?php echo set_select('from_minute', 'PM'); ?> value='PM'>PM</option>
                                                    </select>                   
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <legend>To => ( 00 : 00 AM/PM)</legend>
                                            <div class="row">
                                                <div class="form-group col-md-4">
                                                    <label for="to_hour" class="input__label">Hour *</label>
                                                    <select class="custom-select" id="to_hour" name="to_hour">
                                                        <option value=''>Hour</option>
                                                        <?php
                                                        for ($i = 1; $i <= 12; $i++) {
                                                            ?>
                                                            <option <?php echo ($slotInfo->to_hour == $i)? "selected":"" ;?> <?php echo set_select('to_hour', $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>   
                                                            <?php
                                                        }
                                                        ?>
                                                    </select>                   
                                                </div>

                                                <div class="form-group col-md-4">
                                                    <label for="to_minute" class="input__label">Minute *</label>
                                                    <select class="custom-select" id="to_minute" name="to_minute">
                                                        <option value=''>Minute</option>
                                                        <?php
                                                        for ($i = 1; $i <= 60; $i++) {
                                                            if ($i == 60) {
                                                                ?>
                                                                <option <?php echo ($slotInfo->to_minute == $i)? "selected":"" ;?> <?php echo set_select('to_minute'); ?> value="<?php echo "00"; ?>"><?php echo "00"; ?></option>   
                                                                <?php
                                                            } else {
                                                                ?>
                                                                <option <?php echo ($slotInfo->to_minute == $i)? "selected":"" ;?> <?php echo set_select('to_minute'); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>       
                                                                <?php
                                                            }
                                                        }
                                                        ?>


                                                    </select>                   
                                                </div>

                                                <div class="form-group col-md-4">
                                                    <label for="to_am_pm" class="input__label">AM/PM *</label>
                                                    <select class="custom-select" id="to_am_pm" name="to_am_pm">
                                                        <option value=''>Select</option>
                                                        <option <?php echo ($slotInfo->to_am_pm == "AM")? "selected":"" ;?> <?php echo set_select('from_minute', 'AM'); ?> value='AM'>AM</option>
                                                        <option <?php echo ($slotInfo->to_am_pm == "PM")? "selected":"" ;?> <?php echo set_select('from_minute', 'PM'); ?> value='PM'>PM</option>
                                                    </select>                   
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </fieldset>
                                <input type="hidden" name="slot_id" value="<?php echo $slotInfo->slot_id; ?>">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Save Changes</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>

        <script>
            $(document).ready(function () {
                $('#from').timepicker({
                    timeFormat: 'h:mm p',
                    interval: 60,
                    minTime: '10',
                    maxTime: '4:00pm',
                    defaultTime: '10:00',
                    startTime: '10:00',
                    dynamic: false,
                    dropdown: true,
                    scrollbar: true,
                    setTime: '09:00'
                });

                $('#to').timepicker({
                    timeFormat: 'h:mm p',
                    interval: 60,
                    minTime: '10',
                    maxTime: '4:00pm',
                    defaultTime: '11:00',
                    startTime: '11:00',
                    dynamic: false,
                    dropdown: true,
                    scrollbar: true
                });
            });
        </script>
    </body>
</html>