<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Student-Subject Set Allotment | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-select.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Academics</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Subject/studentSubjectAllotment"); ?>">Student(s)-Subject Allotment</a></li>                            
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Student(s)-Subject Allotment</h3>
                            </div>
                            <div class="card-body">
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Subject/viewExistingAllotment"); ?>'" tooltip="View Existing Allotment"><i class="fa fa-eye"></i> View Existing Allotment</button><br><br>
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Subject/saveNewAllotment'), ['name' => 'subjectAllotFrm', 'id' => 'subjectAllotFrm']); ?>
                                <fieldset>
                                    <legend>Course, Semester & Subject Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="subjectCourse" class="input__label">Course *</label>
                                            <select id="subjectCourse" name="subjectCourse" class="custom-select">
                                                <option value="">Select Course</option>
                                                <?php foreach ($courses as $course) { ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo set_select("subjectCourse", $course->course_id); ?>><?php echo stripslashes($course->course_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="subjectCourseSemOrYear" class="input__label">Semester/Year *</label>
                                            <select id="subjectCourseSemOrYear" name="subjectCourseSemOrYear" class="custom-select">
                                                <option value="">Select Semester/Year</option>
                                            </select>
                                        </div>

                                        <!-- For selectpicker to work comment .text class in style.css -->
                                        <div class="form-group col-md-3">
                                            <label for="setSubjects" class="input__label">Subjects *</label>
                                            <select id="setSubjects" name="setSubjects[]" class="form-control selectpicker" multiple data-selected-text-format="count > 1" data-dropup-auto="true" data-live-search="true" onmousedown="if (this.options.length > 2) {
                                                        this.size = 2;
                                                    }" title="Select Subjects">
                                                      
                                                                
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="session" class="input__label">Session *</label>
                                            <select id="session" name="session" class="custom-select">
                                                <option value="">Select Session</option>
                                                <?php foreach ($sessions as $session) { ?>
                                                    <option <?php if ($session->session_status == "C") echo "selected"; ?> value="<?php echo $session->session_id; ?>" <?php echo set_select("session", $session->session_id); ?>><?php echo stripslashes($session->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row" id="setSubjectInfo" style="display: none;">
                                        <table style="width:100%" class="table table-bordered table-success">
                                            <caption>Subject In The Selected Set</caption>
                                            <tr>
                                                <th>Sr. No</th>
                                                <th>Subject Code</th>
                                                <th>Subject Name</th>
                                            </tr>
                                            <tbody id="subjectDetails"></tbody>
                                        </table>
                                    </div>
                                </fieldset>
                                <fieldset id="studentList" style="display: none;">
                                    <legend>Student(s) List</legend>
                                    <div class="form-row">
                                        <table style="width:100%" class="table table-warning">
                                            <tr>
                                                <th>Sr. No</th>
                                                <th>Roll No.</th>
                                                <th>Name</th>
                                                <th>Section</th>
                                                <th>Session</th>
                                                <th>Type</th>
                                                <th><input type="checkbox" id="selectAll" name="selectAll" value="A">&nbsp;Select</th>
                                            </tr>
                                            <tbody id="studentDetails"></tbody>
                                        </table>
                                    </div>
                                </fieldset>
                                <span id="spnErr" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                                <button id="allotBtn" type="button" class="btn btn-primary btn-block btn-style mt-4" disabled="disabled">Allot Subject(s) To Selected Students</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#subjectCourse").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $("#studentDetails").html("");
                $("#studentList").css("display", "none");
                $("#allotBtn").prop("disabled", "disabled");
                $("#subjectDetails").html("");
                $("#setSubjectInfo").css("display", "none");
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getCourseSemesterOrYearForDropDown/'); ?>',
                        data: {course_id: $("#subjectCourse").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var semesterOrYearInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subjectCourseSemOrYear").html(semesterOrYearInfo.sem_year_list);
                            csrfHash = semesterOrYearInfo.csrfHash;
                            subjectAllotFrm.csrf_token.value = csrfHash;
                        }
                    });

                    $.ajax({
                        url: '<?php echo site_url('admin/Subject/getSubjectsForMultipleDropDown/') ?>',
                        data: {course_id: $("#subjectCourse").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subjectInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#setSubjects").html(subjectInfo.subject_list);
                            $("#setSubjects").selectpicker('refresh');
                            csrfHash = subjectInfo.csrfHash;
                            subjectAllotFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subjectCourseSemOrYear").html("<option value=''>Select Semester/Year</option>");
                    $("#setSubjects").html("<option value=''>Select Subject</option>");
                    $("#studentDetails").html("");
                }
            });

            $("#subjectCourseSemOrYear").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "" && $("#subjectCourse").val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Student/getEnrolledStudentsInSemesterForSubjectAllotment/'); ?>',
                        data: {semester: $("#subjectCourseSemOrYear").val(), course: $("#subjectCourse").val().trim(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var studentsInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            studentsList = "";
                            if (studentsInfo.available_students !== 0) {
                                for (var i = 0; i < studentsInfo.student_list.length; i++) {
                                    studentsList += "<tr>";
                                    studentsList += "<td>" + (i + 1) + "</td>";
                                    studentsList += "<td>" + studentsInfo.student_list[i].stu_roll_no + "</td>";
                                    studentsList += "<td>" + studentsInfo.student_list[i].stu_name + "</td>";
                                    studentsList += "<td>" + studentsInfo.student_list[i].stu_section + "</td>";
                                    studentsList += "<td>" + studentsInfo.student_list[i].stu_session + "</td>";
                                    studentsList += "<td>" + studentsInfo.student_list[i].stu_entry_type + "</td>";
                                    studentsList += "<td><input type='checkbox' name='selectedStudents[]' value='" + studentsInfo.student_list[i].stu_id + "'></td>";
                                    studentsList += "</tr>";
                                }
                                $("#studentDetails").html(studentsList);
                                $("#studentList").css("display", "block");
                                $("#allotBtn").prop("disabled", "");
                            } else {
                                studentsList += "<tr>";
                                studentsList += "<td colspan='7'>" + studentsInfo.message + "</td>";
                                studentsList += "</tr>";
                                $("#studentDetails").html(studentsList);
                                $("#studentList").css("display", "none");
                                $("#allotBtn").prop("disabled", "disabled");
                            }
                            csrfHash = studentsInfo.csrfHash;
                            subjectAllotFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#studentDetails").html("");
                    $("#studentList").css("display", "none");
                    $("#allotBtn").prop("disabled", "disabled");
                }
            });


            $("#selectAll").click(function () {
                $("input[type=checkbox]").prop('checked', $(this).prop('checked'));
            });

            $("#allotBtn").on("click", function () {
                if ($("#setSubjects").val() === null) {
                    $("#spnErr").html("Please Select Any Subject To Allot");
                    $("#setSubjects").focus();
                } else if ($("[name='selectedStudents[]']:checked").length === 0) {
                    $("#spnErr").html("Please Select At Least One Student To Allot Subject(s).");
                } else {
                    $("#spnErr").html("");
                    $("#subjectAllotFrm").submit();
                }
            });


            $(document).ready(function () {
                if ($("#subjectCourse").val() != "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getCourseSemesterOrYearForDropDown/'); ?>',
                        data: {course_id: $("#subjectCourse").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var semesterOrYearInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subjectCourseSemOrYear").html(semesterOrYearInfo.sem_year_list);
                            csrfHash = semesterOrYearInfo.csrfHash;
                            subjectAllotFrm.csrf_token.value = csrfHash;
                        }
                    });

                    $.ajax({
                        url: '<?php echo site_url('admin/Subject/getSubjectsForMultipleDropDown/') ?>',
                        data: {course_id: $("#subjectCourse").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subjectInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#setSubjects").html(subjectInfo.subject_list);
                            $("#setSubjects").selectpicker('refresh');
                            csrfHash = subjectInfo.csrfHash;
                            subjectAllotFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subjectCourseSemOrYear").html("<option value=''>Select Semester/Year</option>");
                    $("#setSubjects").html("<option value=''>Select Subject</option>");
                    $("#studentDetails").html("");
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>