<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Student-Subject Set Allotment | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Academics</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Subject/teacherStudentAllotment"); ?>">Student(s)-Subject Set Allotment</a></li>                            
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Student(s)-Subject-Teacher Allotment</h3>
                            </div>
                            <div class="card-body">
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Subject/viewTeachersExistingAllotmentDetails"); ?>'" tooltip="View Existing Allotments"><i class="fa fa-eye"></i> View Existing Allotments</button><br><br>
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Subject/saveNewSSTAllotment'), ['name' => 'teacherSubjectStudentAllotFrm', 'id' => 'teacherSubjectStudentAllotFrm']); ?>
                                <fieldset>
                                    <legend>Course & Subject Info</legend>

                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="dept" class="input__label">Department *</label>
                                            <select id="dept" name="dept" class="custom-select">
                                                <option value="">Select Department</option>
                                                <?php foreach ($departments as $department) { ?>
                                                    <option value="<?php echo $department->dept_id; ?>" <?php echo set_select("dept", $department->dept_id); ?>><?php echo stripslashes($department->dept_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="subDept" class="input__label">Sub-Department *</label>
                                            <select id="subDept" name="subDept" class="custom-select">
                                                <option value="">Select Sub-Department</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="desig_type" class="input__label">Designation Type *</label>
                                            <select id="desig_type" name="desig_type" class="custom-select">
                                                <option value="">Select Designation Type</option>
                                                <?php foreach ($designation_types as $designation_type) { ?>
                                                    <option value="<?php echo $designation_type->dcm_id; ?>" <?php echo set_select("desig_type", $designation_type->dcm_id); ?>><?php echo stripslashes($designation_type->dcm_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="emp" class="input__label">Employee *</label>
                                            <select id="emp" name="emp" class="custom-select">
                                                <option value="">Select Employee</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="session" class="input__label">Session *</label>
                                            <select id="session" name="session" class="custom-select">
                                                <option value="">Select Session</option>
                                                <?php foreach ($sessions as $session) { ?>
                                                    <option <?php if ($session->session_status == "C") echo "selected"; ?> value="<?php echo $session->session_id; ?>" <?php echo set_select("session", $session->session_id); ?>><?php echo stripslashes($session->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="subjectCourse" class="input__label">Course *</label>
                                            <select id="subjectCourse" name="subjectCourse" class="custom-select">
                                                <option value="">Select Course</option>
                                                <?php foreach ($courses as $course) { ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo set_select("subjectCourse", $course->course_id); ?>><?php echo stripslashes($course->course_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="subjectCourseSemOrYear" class="input__label">Semester/Year </label>
                                            <select id="subjectCourseSemOrYear" name="subjectCourseSemOrYear" class="custom-select">
                                                <option value="">Select Semester/Year</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="subject" class="input__label">Subject*</label>
                                            <select id="subject" name="subject" class="custom-select">
                                                <option value="">Select Subject</option>
                                            </select>
                                        </div>
                                    </div>
                                </fieldset>
                                <fieldset id="studentList" style="display: none;">
                                    <legend>Student(s) List</legend>
                                    <div class="form-row">
                                        <table style="width:100%" class="table table-warning">
                                            <tr>
                                                <th>Sr. No</th>
                                                <th>Roll No.</th>
                                                <th>Name</th>
                                                <th><input type="checkbox" id="selectAll" name="selectAll" value="A">&nbsp;Select</th>
                                            </tr>
                                            <tbody id="studentDetails"></tbody>
                                        </table>
                                    </div>
                                </fieldset>
                                <span id="spnErr" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                                <button id="allotBtn" type="button" class="btn btn-primary btn-block btn-style mt-4" disabled="disabled">Allot</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            
            $("#subjectCourseSemOrYear").on("change",function(){
                $("#subject").val("");
            });
            
            $("#subjectCourse").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $("#studentDetails").html("");
                $("#studentList").css("display", "none");
                $("#allotBtn").prop("disabled", "disabled");
                $("#subjectDetails").html("");
                $("#setSubjectInfo").css("display", "none");
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getCourseSemesterOrYearForDropDown/'); ?>',
                        data: {course_id: $("#subjectCourse").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var semesterOrYearInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subjectCourseSemOrYear").html(semesterOrYearInfo.sem_year_list);
                            csrfHash = semesterOrYearInfo.csrfHash;
                            teacherSubjectStudentAllotFrm.csrf_token.value = csrfHash;
                        }
                    });
                    $.ajax({
                        url: '<?php echo site_url('admin/Subject/getSubjectsForDropDown/'); ?>',
                        data: {course_id: $("#subjectCourse").val(), subject: '', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subject").html(subInfo.subject_list);
                            csrfHash = subInfo.csrfHash;
                            teacherSubjectStudentAllotFrm.csrf_token.value = csrfHash;
                        }
                    });
                    
                    $("#spnErr").html("");
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subjectCourseSemOrYear").html("<option value=''>Select Semester/Year</option>");
                    $("#subject").html("<option value=''>Select Subject</option>");
                    $("#subjectCourseSemOrYear").html("<option value=''>Select Subject</option>");
                    $("#studentDetails").html("");
                }
            });

            $("#subject").on("change", function () {          
                if ($("#subjectCourse").val().trim() === "" || $("#emp").val().trim() === "" || $("#session").val().trim() === "" || $("#subjectCourseSemOrYear").val().trim() === "") {
                     $("#spnErr").html("Any Of These Is Left Empty -> Employee, Session ,Semester-Year & Course. Please Select To Proceed.");
                    $("#dept").focus();
                    $(this).val("");
                } else {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    if ($(this).val().trim() !== "" && $("#subjectCourse").val().trim() !== "") {
                        $.ajax({
                            url: '<?php echo site_url('admin/Student/getEnrolledStudentsInSemesterForTeacherSubjectAllotment/'); ?>',
                            data: {
                                sm_id: $(this).val().trim(),
                                semester: $("#subjectCourseSemOrYear").val().trim(),
                                course: $("#subjectCourse").val().trim(),
                                emp: $("#emp").val().trim(),
                                session: $("#session").val().trim(),
                                csrf_token: csrfHash
                            },
                            type: 'POST',
                            success: function (result) {
                                var studentsInfo = JSON.parse(result);
                                $(".se-pre-con").fadeOut("slow");
                                studentsList = "";
                                if (studentsInfo.available_students !== 0) {
                                    for (var i = 0; i < studentsInfo.student_list.length; i++) {
                                        studentsList += "<tr>";
                                        studentsList += "<td>" + (i + 1) + "</td>";
                                        studentsList += "<td>" + studentsInfo.student_list[i].stu_roll_no + "</td>";
                                        studentsList += "<td>" + studentsInfo.student_list[i].stu_name + "</td>";
                                        studentsList += "<td><input type='checkbox' name='selectedStudents[]' value='" + studentsInfo.student_list[i].stu_id + "'></td>";
                                        studentsList += "</tr>";
                                    }
                                    $("#studentDetails").html(studentsList);
                                    $("#studentList").css("display", "block");
                                    $("#allotBtn").prop("disabled", "");
                                } else {
                                    studentsList += "<tr>";
                                    studentsList += "<td colspan='7'>" + studentsInfo.message + "</td>";
                                    studentsList += "</tr>";
                                    $("#studentDetails").html(studentsList);
                                    $("#studentList").css("display", "none");
                                    $("#allotBtn").prop("disabled", "disabled");
                                }
                                csrfHash = studentsInfo.csrfHash;
                                teacherSubjectStudentAllotFrm.csrf_token.value = csrfHash;
                            }
                        });
                    } else {
                        $(".se-pre-con").fadeOut("slow");
                        $("#studentDetails").html("");
                        $("#studentList").css("display", "none");
                        $("#allotBtn").prop("disabled", "disabled");
                    }
                }

            });

            $("#dept").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {

                    $("#subDept").html("<option value=''>All</option>");
                    $("#desig_type").val("");
                    $("#desig_type").trigger("change");
                    $("#subjectCourse").val("");
                    $("#subjectCourse").trigger("change");
                    $("#emp").html("<option value=''>Select Employee</option>");

                    $.ajax({
                        url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDown/') ?>',
                        data: {dept_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subDeptInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subDept").html(subDeptInfo.sub_dept_list);
                            csrfHash = subDeptInfo.csrfHash;
                            teacherSubjectStudentAllotFrm.csrf_token.value = csrfHash;
                        }
                    });
                    $("#spnErr").html("");
                } else {
                    $("#subDept").html("<option value=''>All</option>");
                    $("#desig_type").val("");
                    $("#desig_type").trigger("change");
                    $("#subjectCourse").val("");
                    $("#subjectCourse").trigger("change");
                    $("#emp").html("<option value=''>Select Employee</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#desig_type").on("change", function () {
                $(".se-pre-con").fadeIn("slow");

                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($("#subDept").val().trim() !== "") {
                    if ($(this).val().trim() !== "") {
                        $.ajax({
                            url: '<?php echo site_url('admin/Staff/getAllEmployeesBySubDepartmentAndDesignatinCategoryForDropDown/') ?>',
                            data: {sub_dept_id: $("#subDept").val(), dcm_id: $(this).val(), csrf_token: csrfHash},
                            type: 'POST',
                            success: function (result) {
                                var employeeInfo = JSON.parse(result);
                                $(".se-pre-con").fadeOut("slow");
                                $("#emp").html(employeeInfo.emp_list);
                                csrfHash = employeeInfo.csrfHash;
                                teacherSubjectStudentAllotFrm.csrf_token.value = csrfHash;
                            }
                        });
                        $("#spnErr").html("");
                    } else {
                        $("#emp").html("<option value=''>Select Employee</option>");
                        $(".se-pre-con").fadeOut("slow");
                    }
                } else {
                    $("#spnErr").html("Please Select Department & Sub-Department In Order To Fetch Employees.");
                    $("#dept").focus();
                    $(".se-pre-con").fadeOut("slow");
                }

            });

            $("#selectAll").click(function () {
                $("input[type=checkbox]").prop('checked', $(this).prop('checked'));
            });

            $("#allotBtn").on("click", function () {
                if ($("#subject").val().trim() === "") {
                    $("#spnErr").html("Please Select Any Subject To Allot");
                    $("#subject").focus();
                } else if ($("[name='selectedStudents[]']:checked").length === 0) {
                    $("#spnErr").html("Please Select At Least One Student To Allot A The Subject.");
                } else {
                    $("#spnErr").html("");
                    $("#teacherSubjectStudentAllotFrm").submit();
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>