<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>ERP Attendance | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-select.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/pdfmake.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.print.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Admin</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Admin/erpAttendance"); ?>">ERP Attendance</a></li>
                        </ol>
                    </nav>

                    <section class="forms">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-users"></i> All Employees ERP Attendance</h3><br>
                            <div class="card-body">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Select Employee</legend>
                                    <?php echo form_open(site_url('admin/Admin/erpAttendance'), ['name' => 'fetchERPAttendanceFrm', 'id' => 'fetchERPAttendanceFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="date" class="input__label">Date *</label>
                                            <input type="text" class="form-control" id="date" name="date" value="<?php echo set_value('date'); ?>" placeholder="Choose Date" autocomplete="off" maxlength="15">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="empRole" class="input__label">Role</label>
                                            <select id="empRole" name="empRole" class="custom-select">
                                                <option value="" <?php echo set_select("empRole", "") ?>>Select Role</option>
                                                <?php foreach ($roles as $role) { ?>
                                                    <option value="<?php echo $role->role_id; ?>" <?php echo set_select("empRole", $role->role_id); ?>><?php echo stripslashes($role->role_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="employee" class="input__label">Employee</label>
                                            <select id="employee" name="employee" class="form-control selectpicker" data-selected-text-format="count > 1" data-dropup-auto="true" data-live-search="true" onmousedown="if (this.options.length > 2) {
                                                        this.size = 2;
                                                    }" title="Select Employee">
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="fetchERPAttendance" class="input__label"></label>
                                            <button type="submit" id="fetchERPAttendance" name="fetchERPAttendance" class="btn btn-sm btn-warning pull-right">Fetch ERP Attendance&nbsp;<i class="fa fa-arrow-left"></i></button>
                                        </div>
                                    </div>
                                    <hr>
                                    <?php echo form_close(); ?>
                                </fieldset>
                                <?php if (sizeof($employeesAttendance)) { ?>
                                    <table id="empERPAttendance" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                        <thead>
                                            <tr>
                                                <th>Sr. No</th>
                                                <th>Emp. Code</th>
                                                <th>First Name</th>
                                                <th>Last Name</th>
                                                <th>Category</th>
                                                <th>Sub. Department</th>
                                                <th>Department</th>
                                                <th>Date</th>
                                            </tr>
                                        </thead>
                                        <tfoot>
                                            <tr>
                                                <th>Sr. No</th>
                                                <th>Emp. Code</th>
                                                <th>First Name</th>
                                                <th>Last Name</th>
                                                <th>Category</th>
                                                <th>Sub. Department</th>
                                                <th>Department</th>
                                                <th>Date</th>
                                            </tr>
                                        </tfoot>
                                        <tbody>
                                            <?php
                                            for ($i = 0; $i < sizeof($employeesAttendance); $i++) {
                                                $record = $employeesAttendance[$i];
                                                ?>
                                                <tr>
                                                    <td><?php echo ($i + 1); ?></td>
                                                    <td><?php echo ($record->smember_code == "") ? "-" : stripslashes($record->smember_code); ?></td>
                                                    <td><?php echo stripslashes($record->tprfl_firstname); ?></td>
                                                    <td><?php echo stripslashes($record->tprfl_lastname); ?></td>
                                                    <td><?php echo stripslashes($record->dcm_short_name); ?></td>
                                                    <td><?php echo stripslashes($record->sub_dept_name); ?></td>
                                                    <td><?php echo stripslashes($record->dept_name); ?></td>
                                                    <td><?php echo set_value('date'); ?></td>
                                                </tr>
                                            <?php } ?>
                                        </tbody>
                                    </table>
                                    <?php
                                }
                                ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#empRole").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $("#employee").html("<option value=''>Select Employee</option>");
                    $.ajax({
                        url: '<?php echo site_url('admin/Staff/getAllEmployeesByRoleForDropDown/'); ?>',
                        data: {role_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var employeeInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#employee").html(employeeInfo.emp_list);
                            $("#employee").selectpicker('refresh');
                            csrfHash = employeeInfo.csrfHash;
                            fetchERPAttendanceFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#employee").html("<option value=''>Select Employee</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#date").datepicker({
                dateFormat: "dd/mm/yy",
                maxDate: 0,
                changeMonth: true,
                changeYear: true,
                yearRange: '2018:<?php echo date("Y"); ?>',
                numberOfMonths: 1
            });


            $(document).ready(function () {
                $("#empERPAttendance").DataTable({responsive: true, dom: 'Blfrtip', buttons: [
                        {extend: 'copy', text: "<i class='fa fa-clipboard'></i> Copy"},
                        {extend: 'csv', text: "<i class='fa fa-table'></i> CSV"},
                        {extend: 'excel', text: "<i class='fa fa-file-excel-o'></i> Excel"},
                        {extend: 'pdfHtml5', text: "<i class='fa fa-file-pdf-o'></i> PDF", orientation: 'portrait', pageSize: 'A4'}
                    ]});

                if ($("#empRole").val().trim() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Staff/getAllEmployeesByRoleForDropDown/'); ?>',
                        data: {role_id: $("#empRole").val().trim(), smember_id: '<?php echo $selectedEmp; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var employeeInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#employee").html(employeeInfo.emp_list);
                            $("#employee").selectpicker('refresh');
                            csrfHash = employeeInfo.csrfHash;
                            fetchERPAttendanceFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#employee").html("<option value=''>Select Employee</option>");
                    $(".se-pre-con").fadeOut("slow");
                }

            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>