<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create New Exam | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Exam/"); ?>">Exam Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Exam/createExam"); ?>">Create New Exam</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create New Exam <span></span></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Exam/saveNewExam'), ['name' => 'examCreationFrm', 'id' => 'examCreationFrm']); ?>
                                <fieldset>
                                    <legend>Exam Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="examName" class="input__label">Exam Name *</label>
                                            <input type="text" class="form-control input-style" id="examName" name="examName" value="<?php echo set_value('examName'); ?>" placeholder="Enter Exam Name" maxlength="50">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="examTitle" class="input__label">Title/Abbrevation *</label>
                                            <input type="text" class="form-control input-style" id="examTitle" name="examTitle" value="<?php echo set_value('examTitle'); ?>" placeholder="Enter Exam Title/Abbrevation" maxlength="50">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="examType" class="input__label">Exam Type/Upto *</label>
                                            <select id="examType" name="examType" class="form-control input-style">
                                                <option value="" <?php echo set_select("examType", ""); ?>>Select Exam Type</option>
                                                <option value="UG" <?php echo set_select("examType", "UG"); ?>>UG</option>
                                                <option value="PG" <?php echo set_select("examType", "PG"); ?>>PG</option>
                                                <option value="C" <?php echo set_select("examType", "C"); ?>>Competetive</option>
                                                <option value="O" <?php echo set_select("examType", "O"); ?>>Others</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="examDescription" class="input__label">Description</label>
                                            <textarea class="form-control input-style" name="examDescription" id="examDescription" placeholder="Enter Exam Description (Max. 100 Chars)" maxlength="100"><?php echo set_value('examDescription'); ?></textarea>
                                        </div>
                                    </div>
                                </fieldset>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Create Exam</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>