
<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create New Holiday | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/utils.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js") ?>"></script>  
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel='stylesheet' href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>"  type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Admin</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Holiday"); ?>">Holiday Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Holiday/createHoliday"); ?>">Create New Holiday</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create New Holiday</h3>
                            </div>
                            <div class="card-body">
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Holiday/"); ?>'"><i class="fa fa-eye"></i> View Holidays</button><br><br>
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Holiday/saveHoliday'), ['name' => 'holidayCreationFrm', 'id' => 'holidayCreationFrm']); ?>
                                <fieldset>
                                    <legend>Holiday Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="session" class="input__label">Session *</label>
                                            <select id="session" name="session" class="form-control input-style">
                                                <option value="">Select Session</option>
                                                <?php foreach ($sessions as $session) { ?>
                                                    <option <?php if ($session->session_status == "C") echo "selected"; ?> value="<?php echo $session->session_id; ?>" <?php echo set_select("session", $session->session_id); ?>><?php echo stripslashes($session->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-sm-3">
                                            <label for="hc_name" class="input__label required">Holiday Name</label>
                                            <input type="text" value="<?php echo set_value("hc_name"); ?>" name="hc_name" id="hc_name" class="form-control input-style" placeholder="Enter Holiday Name">
                                        </div>
                                        <div class="form-group  col-sm-3">
                                            <label for="hc_from" class="input__label required">From</label>
                                            <input type="text" value="<?php echo set_value("hc_from"); ?>" class="form-control input-style" id="hc_from" name="hc_from" autocomplete="off" placeholder="Enter From Date">
                                        </div>
                                        <div class="form-group  col-sm-3">
                                            <label for="hc_to" class="input__label required">To</label>
                                            <input type="text" value="<?php echo set_value("hc_to"); ?>" class="form-control input-style" id="hc_to" name="hc_to" autocomplete="off" placeholder="Enter To Date">
                                        </div>

                                    </div>
                                </fieldset>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-2">Create Holiday</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div> 
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
        <script>
            $(function () {
                var dateFormat = "mm/dd/yy",
                        from = $("#hc_from")
                        .datepicker({
                            defaultDate: "0",
                            changeMonth: true,
                            numberOfMonths: 1,
                            dateFormat: dateFormat,
                            changeYear: true,
                            yearRange: '2020:+1'
                        })
                        .on("change", function () {
                            to.datepicker("option", "minDate", getDate(this));
                        }),
                        to = $("#hc_to").datepicker({
                    defaultDate: "0",
                    changeMonth: true,
                    numberOfMonths: 1,
                    dateFormat: dateFormat,
                    changeYear: true,
                    yearRange: '2020:+1'
                })
                        .on("change", function () {
                            from.datepicker("option", "maxDate", getDate(this));
                        });

                function getDate(element) {
                    var date;
                    try {
                        date = $.datepicker.parseDate(dateFormat, element.value);
                    } catch (error) {
                        date = null;
                    }

                    return date;
                }
            });
        </script>
    </body>
</html>