<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create New Supplier | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Vendor/"); ?>">Supplier Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Vendor/createVendor"); ?>">Create New Supplier</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create New Supplier </h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Vendor/saveNewVendor'), ['name' => 'vendorCreationFrm', 'id' => 'vendorCreationFrm']); ?>
                                <fieldset>
                                    <legend>Basic Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="venBusinessName" class="input__label">Supplier Firm Name *</label>
                                            <input type="text" class="form-control input-style" id="venBusinessName" name="venBusinessName" value="<?php echo set_value('venBusinessName'); ?>" placeholder="Enter Supplier Firm Name" maxlength="100">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="venOwnerName" class="input__label">Representative Name *</label>
                                            <input type="text" class="form-control input-style" id="venOwnerName" name="venOwnerName" value="<?php echo set_value('venOwnerName'); ?>" placeholder="Enter Representative Name" maxlength="100">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="venPAN" class="input__label">PAN</label>
                                            <input type="text" class="form-control input-style" id="venPAN" name="venPAN" value="<?php echo set_value('venPAN'); ?>" placeholder="Enter PAN Number" maxlength="10">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="venGSTIN" class="input__label">GSTIN</label>
                                            <input type="text" class="form-control input-style" id="venGSTIN" name="venGSTIN" value="<?php echo set_value('venGSTIN'); ?>" placeholder="Enter GSTIN Number" maxlength="15">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="venSource" class="input__label">Supplier Source</label>
                                            <select id="venSource" name="venSource" class="form-control input-style">
                                                <option value="" <?php echo set_select("venSource", ""); ?>>Select Supplier Source</option>
                                                <option value="Univeristy Empanelled" <?php echo set_select("venSource", "Univeristy Empanelled"); ?>>Univeristy Empanelled</option>
                                                <option value="Yellow Page" <?php echo set_select("venSource", "Yellow Page"); ?>>Yellow Page</option>
                                                <option value="Government e-Marketplace" <?php echo set_select("venSource", "Government e-Marketplace"); ?>>Government e-Marketplace</option>
                                                <option value="O" <?php echo set_select("venSource", "O"); ?>>Other(Please Specify In Next Box)</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-8">
                                            <label for="venOtherSource" class="input__label">Specify Source</label>
                                            <input type="text" class="form-control input-style" id="venOtherSource" name="venOtherSource" value="<?php echo set_value('venOtherSource'); ?>" placeholder="In Case Of Other Source" maxlength="500" disabled="disabled">
                                        </div>
                                    </div>
                                </fieldset>
                                <fieldset>
                                    <legend>Contact Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="venEmail" class="input__label">Email</label>
                                            <input type="text" class="form-control input-style" id="venEmail" name="venEmail" value="<?php echo set_value('venEmail'); ?>" placeholder="Enter Supplier Email" maxlength="80">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="venMobile" class="input__label">Mobile No.</label>
                                            <input type="text" class="form-control input-style" id="venMobile" name="venMobile" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo set_value('venMobile'); ?>" placeholder="Enter Supplier Mobile No." maxlength="10">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="venAddrLineOne" class="input__label">Address Line 1</label>
                                            <input type="text" class="form-control input-style" id="venAddrLineOne" name="venAddrLineOne" value="<?php echo set_value('venAddrLineOne'); ?>" placeholder="Enter Address Line 1" maxlength="200">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="venAddrLineTwo" class="input__label">Address Line 2</label>
                                            <input type="text" class="form-control input-style" id="venAddrLineTwo" name="venAddrLineTwo" value="<?php echo set_value('venAddrLineTwo'); ?>" placeholder="Enter Address Line 2" maxlength="200">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="venAddrLineThree" class="input__label">Address Line 3</label>
                                            <input type="text" class="form-control input-style" id="venAddrLineThree" name="venAddrLineThree" value="<?php echo set_value('venAddrLineThree'); ?>" placeholder="Enter Address Line 3" maxlength="200">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="venState" class="input__label">State</label>
                                            <select id="venState" name="venState" class="form-control input-style">
                                                <option value="">Select State</option>
                                                <?php foreach ($states as $state) { ?>
                                                    <option value="<?php echo $state->state_id; ?>" <?php echo set_select("branchState", $state->state_id); ?>><?php echo $state->state_name; ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="venCity" class="input__label">City</label>
                                            <select id="venCity" name="venCity" class="form-control input-style">
                                                <option value="">Select City</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="venZipcode" class="input__label">Zip Code</label>
                                            <input type="text" class="form-control input-style" id="venZipcode" name="venZipcode" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo set_value('venZipcode'); ?>" placeholder="Enter Supplier Zip Code" maxlength="6">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="venWebsite" class="input__label">Website</label>
                                            <input type="text" class="form-control input-style" id="venWebsite" name="venWebsite" value="<?php echo set_value('venWebsite'); ?>" placeholder="Enter Supplier Website" maxlength="100">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="venAltEmail" class="input__label">Alt. Email</label>
                                            <input type="text" class="form-control input-style" id="venAltEmail" name="venAltEmail" value="<?php echo set_value('venAltEmail'); ?>" placeholder="Enter Supplier Alternate Email" maxlength="80">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="venAltMobile" class="input__label">Alt. Mobile No.</label>
                                            <input type="text" class="form-control input-style" id="venAltMobile" name="venAltMobile" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo set_value('venAltMobile'); ?>" placeholder="Enter Supplier Alternate Mobile No." maxlength="10">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="venRemarks" class="input__label">Remarks</label>
                                            <textarea class="form-control" id="venRemarks" name="venRemarks" maxlength="500" placeholder="Enter Remarks For Supplier (If Any In Not More Than 500 Chars)"><?php echo set_value('venRemarks'); ?></textarea>
                                        </div>
                                    </div>
                                </fieldset>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Create Supplier</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#venState").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() != "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Locations/getActiveCitiesByState/') ?>',
                        data: {state_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#venCity").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            vendorCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });

            $("#venSource").on("change", function () {
                if ($(this).val() === "O") {
                    $("#venOtherSource").prop("disabled", false);
                    $("#venOtherSource").focus();
                } else {
                    $("#venOtherSource").val("");
                    $("#venOtherSource").prop("disabled", true);
                }
            });

            $(document).ready(function () {
                if ($("#venState").val() != "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Locations/getActiveCitiesByState/') ?>',
                        data: {state_id: $("#venState").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#venCity").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            vendorCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if ($("#venSource").val() !== "") {
                    if ($("#venSource").val() === "O") {
                        $("#venOtherSource").prop("disabled", false);
                        $("#venOtherSource").focus();
                    } else {
                        $("#venOtherSource").val("");
                        $("#venOtherSource").prop("disabled", true);
                    }
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>