<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing <?php echo stripslashes($achievementHeadInfo->tsam_title); ?> Achievement Head | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page">Master Entry</li>
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Achievement/"); ?>">Achievement Heads</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("/admin/Achievement/editAchievementHead/" . $achievementHeadInfo->tsam_id); ?>">Edit Achievement Head</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Edit Achievement Head => <b><?php echo stripslashes($achievementHeadInfo->tsam_title); ?></b></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong></div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Achievement/updateAchievementHead'), ['name' => 'achievementHeadUpdateFrm', 'id' => 'achievementHeadUpdateFrm']); ?>
                                <fieldset>
                                    <legend>Achievement Head Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="acHeadTitle" class="input__label">Title *</label>
                                            <input type="text" class="form-control input-style" id="acHeadTitle" name="acHeadTitle" value="<?php echo stripslashes($achievementHeadInfo->tsam_title); ?>" placeholder="Enter Achievement Head Title" maxlength="200">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="acHeadShortTitle" class="input__label">Short Title *</label>
                                            <input type="text" class="form-control input-style" id="acHeadShortTitle" name="acHeadShortTitle" value="<?php echo stripslashes($achievementHeadInfo->tsam_short_title); ?>" placeholder="Enter Achievement Head Short Title" maxlength="200">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="acHeadApplicableFor" class="input__label">Applicable For *</label>
                                            <select id="acHeadApplicableFor" name="acHeadApplicableFor" class="form-control input-style">
                                                <option value="" <?php echo ($achievementHeadInfo->tsam_for == "") ? "selected" : ""; ?>>Select Applicable For</option>
                                                <option value="S" <?php echo ($achievementHeadInfo->tsam_for == "S") ? "selected" : ""; ?>>Students</option>
                                                <option value="E" <?php echo ($achievementHeadInfo->tsam_for == "E") ? "selected" : ""; ?>>Employee</option>
                                                <option value="B" <?php echo ($achievementHeadInfo->tsam_for == "B") ? "selected" : ""; ?>>Both</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="acHeadDescription" class="input__label">Description</label>
                                            <textarea class="form-control input-style" id="acHeadDescription" name="acHeadDescription" placeholder="Enter Description (Max. 1000 Characters)" maxlength="1000"><?php echo stripslashes($achievementHeadInfo->tsam_description); ?></textarea>
                                        </div>
                                    </div>
                                </fieldset>
                                <input type="hidden" name="acHeadId" value="<?php echo $achievementHeadInfo->tsam_id; ?>">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Save Changes</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#acHeadTitle").on("keyup", function () {
                $("#acHeadShortTitle").val($(this).val());
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>