<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing <?php echo $designationInfo->desig_name; ?> Designation | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <!-- google fonts -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Designation/"); ?>">Designation Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Designation/editDesignation/" . $designationInfo->desig_id); ?>">Edit Designation</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Edit Designation => <b><?php echo $designationInfo->desig_name; ?></b> <span></span></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Designation/updateDesignation'), ['name' => 'designationUpdateFrm', 'id' => 'designationUpdateFrm']); ?>
                                <fieldset>
                                    <legend>Designation Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="desigCategory" class="input__label">Designation Category *</label>
                                            <select id="desigCategory" name="desigCategory" class="form-control input-style">
                                                <option value="">Select Designation Category</option>
                                                <?php
                                                foreach ($desigCategories as $desigCats) {
                                                    $selected = ($desigCats->dcm_id == $designationInfo->dcm_id) ? "selected" : "";
                                                    ?>
                                                    <option value="<?php echo $desigCats->dcm_id; ?>" <?php echo $selected; ?>><?php echo addslashes($desigCats->dcm_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="desigName" class="input__label">Designation Name *</label>
                                            <input type="text" class="form-control input-style" id="desigName" name="desigName" value="<?php echo stripslashes($designationInfo->desig_name); ?>" placeholder="Enter Designation Name" maxlength="150">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="designationDescription" class="input__label">Designation Description</label>
                                            <textarea class="form-control input-style" name="designationDescription" id="designationDescription" placeholder="Enter Designation Description (Max. 100 Chars)" maxlength="100"><?php echo stripslashes($designationInfo->desig_desc); ?></textarea>
                                        </div>
                                    </div>
                                </fieldset>
                                <input type="hidden" name="desigId" value="<?php echo $designationInfo->desig_id; ?>">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Create Designation</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#dept").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() != "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDown/') ?>',
                        data: {dept_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subDeptInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subDept").html(subDeptInfo.sub_dept_list);
                            csrfHash = subDeptInfo.csrfHash;
                            designationUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#subDept").html("<option>Select Sub-Department</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $(document).ready(function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDownSelected/') ?>',
                    data: {dept_id: <?php echo $designationInfo->dept_id; ?>, sub_dept_id: <?php echo $designationInfo->sub_dept_id; ?>, csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        var subDeptInfo = JSON.parse(result);
                        $(".se-pre-con").fadeOut("slow");
                        $("#subDept").html(subDeptInfo.sub_dept_list);
                        csrfHash = subDeptInfo.csrfHash;
                        designationUpdateFrm.csrf_token.value = csrfHash;
                    }
                });
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>