<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing <?php echo stripslashes($operationGroupInfo->group_name); ?> Operation Group | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <!-- google fonts -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/OperationGroup/"); ?>">Operation Group Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/OperationGroup/editOperationGroup/".$operationGroupInfo->group_id); ?>">Edit Operation Group</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Edit Operation Group => <b><?php echo stripslashes($operationGroupInfo->group_name); ?></b><span></span></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/OperationGroup/updateOperationGroup'), ['name' => 'operationGroupUpdateFrm', 'id' => 'operationGroupUpdateFrm']); ?>
                                <fieldset>
                                    <legend>Operation Group Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="ogName" class="input__label">Name *</label>
                                            <input type="text" class="form-control input-style" id="ogName" name="ogName" value="<?php echo stripslashes($operationGroupInfo->group_name); ?>" placeholder="Enter Operation Group Name" maxlength="50">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="ogTooltip" class="input__label">Tooltip *</label>
                                            <input type="text" class="form-control input-style" id="ogTooltip" name="ogTooltip" value="<?php echo stripslashes($operationGroupInfo->group_tooltip); ?>" placeholder="Enter Operation Tooltip" maxlength="50">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="ogTitle" class="input__label">Title *</label>
                                            <input type="text" class="form-control input-style" id="ogTitle" name="ogTitle" value="<?php echo stripslashes($operationGroupInfo->group_title); ?>" placeholder="Enter Operation Group Title" maxlength="50">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="ogIconClass" class="input__label">Icon Class *</label>
                                            <input type="text" class="form-control input-style" id="ogIconClass" name="ogIconClass" value="<?php echo stripslashes($operationGroupInfo->group_icon); ?>" placeholder="Enter Operation Group Icon Class" maxlength="25">
                                            <small class="form-text text-muted">Only Font Awesome v4.7.0 Supported. Specify Full Class Name (Ex: fa fa-times).</small>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="ogSlug" class="input__label">Slug</label>
                                            <input type="text" class="form-control input-style" id="ogSlug" name="ogSlug" value="<?php echo trim($operationGroupInfo->group_slug_url); ?>" placeholder="Enter Operation Group Slug" maxlength="50">
                                            <small class="form-text text-muted">Leave this field blank if the main-menu you are creating will have sub-menus. If this main-menu will be used as direct operation (ex- Change Password) then specify the slug.</small>
                                        </div>
                                    </div>
                                </fieldset>
                                <input type="hidden" name="ogId" value="<?php echo $operationGroupInfo->group_id; ?>">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Save Changes</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#ogName").on("keyup", function () {
                $("#ogTooltip").val($(this).val());
                $("#ogTitle").val($(this).val());
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>