<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing <?php echo stripslashes($relationInfo->rel_title); ?> Relation | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <!-- google fonts -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Relation/"); ?>">Relation Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Relation/editRelation/" . $relationInfo->rel_id); ?>">Edit Relation</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Edit Relation => <b><?php echo stripslashes($relationInfo->rel_title); ?></b> <span></span></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Relation/updateRelation'), ['name' => 'relationUpdateFrm', 'id' => 'relationUpdateFrm']); ?>
                                <fieldset>
                                    <legend>Relation Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="relName" class="input__label">Relation Title *</label>
                                            <input type="text" class="form-control input-style" id="relName" name="relName" value="<?php echo stripslashes($relationInfo->rel_title); ?>" placeholder="Enter Relation Name" maxlength="150">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="relCode" class="input__label">Relation Code *</label>
                                            <input type="text" class="form-control input-style" id="relCode" name="relCode" value="<?php echo stripslashes($relationInfo->rel_code); ?>" placeholder="Enter Relation Code" maxlength="150">
                                        </div>
                                    </div>
                                </fieldset>
                                <input type="hidden" name="relId" value="<?php echo $relationInfo->rel_id; ?>">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Save Changes</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>