<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing <?php echo stripslashes($notice->nm_title); ?> Establishment | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/utils.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js") ?>"></script>  
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel='stylesheet' href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>"  type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page">Establishment Document Management</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Notification/establishments"); ?>">Establishment Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url('admin/Notification/editEstablishment/' . $notice->nm_id); ?>">Edit Establishment</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Edit => <b><?php echo stripslashes($notice->nm_title); ?></b></h3>
                            </div>
                            <div class="card-body">
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Notification/establishments"); ?>'" tooltip="View Notification"><i class="fa fa-eye"></i> View Establishment Documents</button><br><br>
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('admin/Notification/updateEstablishment'), ['name' => 'updateEstablishmentFrm', 'id' => 'updateEstablishmentFrm']); ?>
                                <fieldset>
                                    <legend>Establishment Document Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-sm-12">
                                            <label for="nm_title" class="input__label required">Establishment Title *</label>
                                            <input type="text" value="<?php echo stripcslashes($notice->nm_title); ?>" name="nm_title" id="nm_title" class="form-control input-style" placeholder="Enter Establishement Document Title">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="session" class="input__label">Session *</label>
                                            <select id="session" name="session" class="form-control input-style">
                                                <option value="">Select Session</option>
                                                <?php foreach ($sessions as $session) { ?>
                                                    <option value="<?php echo $session->session_id; ?>" <?php echo ($session->session_id == $notice->session_id) ? "selected" : ""; ?>><?php echo stripslashes($session->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="nh_name" class="input__label">Estd. Doc. Head *</label>
                                            <select id="nh_name" name="nh_name" class="form-control input-style">
                                                <option value="" <?php echo set_select("nh_name", ""); ?>>Select Estd. Doc. Head</option>
                                                <?php foreach ($noticeHead as $record) { ?>
                                                    <option value="<?php echo $record->nh_id; ?>" <?php echo ($record->nh_id == $notice->nh_id) ? "selected" : ""; ?>><?php echo stripslashes($record->nh_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-sm-4">
                                            <label for="nm_file" class="input__label ">Attach Document </label>
                                            <input type="file" value="<?php echo set_value("nm_file"); ?>" name="nm_file" id="nm_file" class="form-control input-style" placeholder="Attach Notification Document">
                                        </div>
                                    </div>
                                    <input type="hidden" name="nm_file" value="<?php echo stripslashes($notice->nm_file); ?>">
                                    <input type="hidden" name="nm_id" value="<?php echo stripslashes($notice->nm_id); ?>">
                                </fieldset>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-2">Save Changes</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div> 
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>

    </body>
</html>