<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Edit <?php echo stripslashes($noticeHead->nh_name); ?> Establishment Head | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/utils.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js") ?>"></script>  
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel='stylesheet' href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>"  type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page">Establishment Document Management</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Notification/establishmentHeads"); ?>">Establishment Head Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url('admin/Notification/editEstablishmentHead/' . $noticeHead->nh_id); ?>">Edit Establishment Heads</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Edit => <b><?php echo stripslashes($noticeHead->nh_name); ?></b></h3>
                            </div>
                            <div class="card-body">
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Notification/establishmentHeads"); ?>'" tooltip="View Notification"><i class="fa fa-eye"></i> View Establishment Head</button><br><br>
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Notification/updateEstablishmentHead'), ['name' => 'updateEstablishmentHeadFrm', 'id' => 'updateNotificationHeadFrm']); ?>
                                <fieldset>
                                    <legend>Establishment Head Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-sm-9">
                                            <label for="nh_name" class="input__label required">Estd. Doc. Head Name *</label>
                                            <input type="text" value="<?php echo stripslashes($noticeHead->nh_name); ?>" name="nh_name" id="nh_name" class="form-control" placeholder="Enter Notice Head Name">
                                        </div>
                                        <div class="form-group col-sm-3">
                                            <label  class="input__label required"></label>
                                            <input type="hidden" name="nh_id" id="nh_id" value="<?php echo $noticeHead->nh_id; ?>">
                                            <button type="submit" class="btn btn-primary btn-block mt-2">Save Changes</button>
                                        </div>
                                    </div>
                                </fieldset>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div> 
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>

    </body>
</html>