<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create/Edit Fee Structure | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-select.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Fee Management</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/FeeConfig/structure"); ?>">All Fee Structures</a></li> 
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/FeeConfig/createEditFeeStructure"); ?>">Create/Edit Fee Structure</a></li> 
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Create/Edit Fee Structure</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/FeeConfig/createEditFeeStructure'), ['name' => 'feeStructureCreationFrm', 'id' => 'feeStructureCreationFrm']); ?>
                                <fieldset>
                                    <legend>Course, Semester & Session Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-2" style="display: none;">
                                            <label for="branch" class="input__label">Branch *</label>
                                            <select id="branch" name="branch" class="custom-select">
                                                <option value="">Select Branch</option>
                                                <?php
                                                $selected = (sizeof($branches) > 2) ? "" : "selected";
                                                foreach ($branches as $branch) {
                                                    if ($branch->branch_id == 0 || $branch->branch_id == '0') {
                                                        continue;
                                                    }
                                                    ?>
                                                    <option value="<?php echo $branch->branch_id; ?>" <?php echo set_select("stuBranch", $branch->branch_id); ?> <?php echo $selected; ?>><?php echo stripslashes($branch->branch_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="course" class="input__label">Course *</label>
                                            <select id="course" name="course" class="custom-select">
                                                <option value="" <?php echo set_select("course", "") ?>>Select Course</option>
                                                <?php foreach ($courses as $course) { ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo set_select("course", $course->course_id); ?>><?php echo stripslashes($course->course_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="session" class="input__label">Session *</label>
                                            <select id="session" name="session" class="custom-select">
                                                <option value="">Select Session</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="entryType" class="input__label">Entry Type *</label>
                                            <select id="entryType" name="entryType" class="custom-select">
                                                <option value="">Select Entry Type</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="semesterOrYear" class="input__label">Semester/Year *</label>
                                            <select id="semesterOrYear" name="semesterOrYear" class="custom-select">
                                                <option value="">Select Semester/Year</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="category" class="input__label">Category *</label>
                                            <select id="category" name="category" class="custom-select">
                                                <option value="">Select Category</option>
                                                <?php foreach ($categories as $category) { ?>
                                                    <option value="<?php echo addslashes($category['category_name']); ?>" <?php echo set_select("category", addslashes($category['category_name'])); ?>><?php echo stripslashes($category['category_name']); ?></option>
                                                    <?php
                                                }
                                                ?>
                                                <option value="Female" <?php echo set_select("category", "Female"); ?>>Female</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="getFeeHeads" class="input__label"></label>
                                            <button id="getFeeHeads" name="getFeeHeads" type="submit" class="btn btn-sm btn-warning pull-right">Get Fee Heads&nbsp;<i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                </fieldset>
                                <?php if (sizeof($feeHeadAndStructure)) { ?>
                                    <fieldset>
                                        <legend>Fee Structure Info</legend>
                                        <div class="form-row">
                                            <table style="width:100%" class="table table-active">
                                                <tr>
                                                    <th><input type="checkbox" id="selectAll" name="selectAll" value="A">&nbsp;Select All</th>
                                                    <th>Sr. No</th>
                                                    <th>Fee Head</th>
                                                    <th>Fee Type</th>
                                                    <th>Amount</th>
                                                </tr>
                                                <?php for ($i = 0; $i < sizeof($feeHeadAndStructure); $i++) { ?>
                                                    <tr>
                                                        <th><input type='checkbox' name='selectedFeeHeads[]' value="<?php echo $feeHeadAndStructure[$i]['fhm_id']; ?>" <?php echo ($feeHeadAndStructure[$i]['if_checked']) ? "checked" : ""; ?>></th>
                                                        <th><?php echo ($i + 1); ?></th>
                                                        <th><label><?php echo $feeHeadAndStructure[$i]['fhm_name']; ?></label></th>
                                                        <th><label><?php echo $feeHeadAndStructure[$i]['fhm_type']; ?></label></th>
                                                        <td>
                                                            <?php
                                                            if (!($feeHeadAndStructure[$i]['fhm_type_flag'] == "E" || $feeHeadAndStructure[$i]['fhm_type_flag'] == "S")) {
                                                                ?>   
                                                                <input type="text" id="feeAmt<?php echo $i; ?>" name="amount[<?php echo $feeHeadAndStructure[$i]['fhm_id']; ?>]" class="form-control input-sm" onkeypress="return isValidAmount(event);" onkeyup="checkAndSetAmount(<?php echo $i ?>);" placeholder="Enter Amount Here" value="<?php echo $feeHeadAndStructure[$i]['fsm_amount']; ?>">
                                                            <?php } else {
                                                                ?>
                                                                -<input type="hidden" id="feeAmt<?php echo $i; ?>" name="amount[<?php echo $feeHeadAndStructure[$i]['fhm_id']; ?>]" class="form-control input-sm" onkeypress="return isValidAmount(event);" onkeyup="checkAndSetAmount(<?php echo $i ?>);" placeholder="Enter Amount Here" value="<?php echo $feeHeadAndStructure[$i]['fsm_amount']; ?>">
                                                                <?php
                                                            }
                                                            ?>
                                                        </td>
                                                    <input type="hidden" name="fsmIds[<?php echo $feeHeadAndStructure[$i]['fhm_id']; ?>]" value="<?php echo $feeHeadAndStructure[$i]['fsm_id']; ?>">
                                                    </tr>
                                                <?php } ?>
                                                <tr>
                                                    <td colspan="4">* Blank Amount Will Be Treated As INR 0/-.</td>
                                                </tr>
                                            </table>
                                        </div>
                                    </fieldset>
                                <?php } ?>
                                <span id="spnErr" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                                <button id="saveBtn" name="saveBtn" type="submit" class="btn btn-primary btn-block btn-style mt-4" <?php echo sizeof($feeHeadAndStructure) ? "" : "disabled"; ?>>Save</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#course").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $("#allotBtn").prop("disabled", "disabled");
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Sessions/getSessionByCourseAndBranch/') ?>',
                        data: {branch_id: $("#branch").val(), course_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#session").html(sessionInfo.session_List);
                            csrfHash = sessionInfo.csrfHash;
                            feeStructureCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#session").html("<option value=''>Select Session</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
                $("#entryType").html("<option value=''>Select Entry Type</option>");
                $("#semesterOrYear").html("<option value=''>Select Semester/Year</option>");
            });

            $("#session").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getEntryTypesOfGivenCourseSessionAndBranch/') ?>',
                        data: {branch_id: $("#branch").val(), course_id: $("#course").val(), session_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#entryType").html(sessionInfo.entry_types);
                            csrfHash = sessionInfo.csrfHash;
                            feeStructureCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#entryType").html("<option value=''>Select Entry Type</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
                if ($("#entryType").val().trim() !== "" && $("#course").val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getCourseSemesterOrYearForDropDown/'); ?>',
                        data: {course_id: $("#course").val(), ucs_map_id: $("#entryType").val().trim(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var semesterOrYearInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#semesterOrYear").html(semesterOrYearInfo.sem_year_list);
                            csrfHash = semesterOrYearInfo.csrfHash;
                            feeStructureCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#semesterOrYear").html("<option value=''>Select Semester/Year</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#entryType").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "" && $("#course").val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getCourseSemesterOrYearForDropDown/'); ?>',
                        data: {course_id: $("#course").val(), ucs_map_id: $(this).val().trim(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var semesterOrYearInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#semesterOrYear").html(semesterOrYearInfo.sem_year_list);
                            csrfHash = semesterOrYearInfo.csrfHash;
                            feeStructureCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#semesterOrYear").html("<option value=''>Select Semester/Year</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#selectAll").click(function () {
                $("input[type=checkbox]").prop('checked', $(this).prop('checked'));
            });

            $("#saveBtn").on("click", function () {
                if ($("#session").val() === "") {
                    $("#spnErr").html("Please Select Any Session");
                    $("#session").focus();
                } else if ($("#course").val() === "") {
                    $("#spnErr").html("Please Select Any Course");
                    $("#course").focus();
                } else if ($("#semesterOrYear").val() === "") {
                    $("#spnErr").html("Please Select Any Semester Or Year");
                    $("#semesterOrYear").focus();
                } else if ($("[name='selectedFeeHeads[]']:checked").length === 0) {
                    $("#spnErr").html("Please Select At Least One Fee Head To Save Fee Structure.");
                } else {
                    $("#spnErr").html("");
                    $("#feeStructureCreationFrm").submit();
                }
            });

            function checkAndSetAmount(index) {
                var feeAmt = "#feeAmt" + index;
                if (isNaN($(feeAmt).val().trim())) {
                    alert('Only Numbers Are Accepted In Fee Amount Field.');
                    $(feeAmt).val("");
                    $(feeAmt).focus();
                }
            }

            function isValidAmount(evt) {
                var charCode = (evt.which) ? evt.which : evt.keyCode;
                if (charCode !== 46 && charCode > 31 && (charCode < 48 || charCode > 57))
                    return false;
                return true;
            }

            $(document).ready(function () {
                var selectedSemOrYear = '<?php echo $selectedSemOrYear; ?>';
                var selectedSession = '<?php echo $selectedSession; ?>';
                var selectedEntryType = '<?php echo $selectedEntryType; ?>';
                if ($("#course").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Sessions/getSessionByCourseAndBranchSelected/') ?>',
                        data: {branch_id: $("#branch").val(), course_id: $("#course").val(), session_id: selectedSession, csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#session").html(sessionInfo.session_List);
                            csrfHash = sessionInfo.csrfHash;
                            feeStructureCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#semesterOrYear").html("<option value=''>Select Semester/Year</option>");
                    $("#session").html("<option value=''>Select Session</option>");
                    $("#entryType").html("<option value=''>Select Entry Type</option>");
                }

                if ($("#session").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getEntryTypesOfGivenCourseSessionAndBranchSelected/'); ?>',
                        data: {branch_id: $("#branch").val(), course_id: $("#course").val(), session_id: selectedSession, ucs_map_id: selectedEntryType, csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#entryType").html(sessionInfo.entry_types);
                            csrfHash = sessionInfo.csrfHash;
                            feeStructureCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if ($("#entryType").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getCourseSemesterOrYearForDropDownSelected/'); ?>',
                        data: {course_id: $("#course").val(), semester: selectedSemOrYear, ucs_map_id: $("#entryType").val().trim(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var semesterOrYearInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#semesterOrYear").html(semesterOrYearInfo.sem_year_list);
                            csrfHash = semesterOrYearInfo.csrfHash;
                            feeStructureCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>