<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create New Fee Head | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Fee Management</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/FeeConfig/heads"); ?>">Fee Head Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/FeeConfig/createFeeHead"); ?>">Create New Fee Head</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create New Fee Head</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/FeeConfig/saveNewFeeHead'), ['name' => 'feeHeadCreationFrm', 'id' => 'feeHeadCreationFrm']); ?>
                                <fieldset>
                                    <legend>Fee Head Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="feeHeadName" class="input__label">Head Name *</label>
                                            <input type="text" class="form-control input-style" id="feeHeadName" name="feeHeadName" value="<?php echo set_value('feeHeadName'); ?>" placeholder="Enter Fee Head Name" maxlength="200">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="feeHeadShortName" class="input__label">Short Name *</label>
                                            <input type="text" class="form-control input-style" id="feeHeadShortName" name="feeHeadShortName" value="<?php echo set_value('feeHeadShortName'); ?>" placeholder="Enter Fee Head Short Name" maxlength="200">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="feeHeadType" class="input__label">Type *</label>
                                            <select id="feeHeadType" name="feeHeadType" class="form-control input-style">
                                                <option value="" <?php echo set_select("feeHeadType", ""); ?>>Select Type</option>
                                                <option value="R" <?php echo set_select("feeHeadType", "R"); ?>>Recurring</option>
                                                <option value="O" <?php echo set_select("feeHeadType", "O"); ?>>One Time</option>
                                                <option value="F" <?php echo set_select("feeHeadType", "F"); ?>>Fine</option>
                                                <option value="RF" <?php echo set_select("feeHeadType", "RF"); ?>>Refundable</option>
                                                <option value="E" <?php echo set_select("feeHeadType", "E"); ?>>Excess</option>
                                                <option value="S" <?php echo set_select("feeHeadType", "S"); ?>>Scholarship</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="feeHeadCalculation" class="input__label">Calculation *</label>
                                            <select id="feeHeadCalculation" name="feeHeadCalculation" class="form-control input-style">
                                                <option value="" <?php echo set_select("feeHeadCalculation", ""); ?>>Select Calculation</option>
                                                <option value="+" <?php echo set_select("feeHeadCalculation", "+"); ?>>+</option>
                                                <option value="-" <?php echo set_select("feeHeadCalculation", "-"); ?>>-</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="feeHeadDesc" class="input__label">Description</label>
                                            <textarea id="feeHeadDesc" name="feeHeadDesc" class="form-control input-style" placeholder="Enter Description (Max. 500 Chars)" maxlength="500"><?php echo set_value('feeHeadDesc'); ?></textarea>
                                        </div>
                                    </div>
                                </fieldset>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Create Fee Head</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#feeHeadName").on("keyup", function () {
                $("#feeHeadShortName").val($(this).val());
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>