<!DOCTYPE HTML>
<html>
    <head>
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Student Room Allotment Management | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">  
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/pdfmake.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.print.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.colVis.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Hostel</li> 
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/HostelConfig/roomAllotments"); ?>">Student Room Allotment Management</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-user"></i> Student Room Allotment Details</h3>
                            </div>
                            <div class="card-body">
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/HostelConfig/allotRoomToStudent"); ?>'" tooltip="Allocate Room To Student"><i class="fa fa-bed"></i> &nbsp;Allocate Room To Student</button><br><br>
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/HostelConfig/roomAllotments'), ['name' => 'studentAllocationFrm', 'id' => 'studentAllocationFrm']); ?>
                                <fieldset>
                                    <legend>Session, Course, Semester & Room Type Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-2">
                                            <label for="session" class="input__label">Session *</label>
                                            <select id="session" name="session" class="custom-select">
                                                <option value="">Select Session</option>
                                                <?php foreach ($sessions as $session) { ?>
                                                    <option <?php echo ($selectedSession == $session->session_id ) ? "selected" : ""; ?> style="color: <?php if ($session->session_status == "C") echo "green"; ?>" value="<?php echo $session->session_id; ?>" <?php echo set_select("session", $session->session_id); ?>><?php echo stripslashes($session->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="subjectCourse" class="input__label required">Course</label>
                                            <select id="Course" name="Course" class="custom-select">
                                                <option value="">-Select Course-</option>
                                                <?php foreach ($courses as $course) { ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo set_select("Course", $course->course_id); ?>><?php echo stripslashes($course->course_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="CourseSemOrYear" class="input__label required">Semester/Year</label>
                                            <select id="CourseSemOrYear" name="CourseSemOrYear" class="custom-select">
                                                <option value="">-Select Semester/Year-</option>
                                            </select>
                                        </div>
                                        <div class="form-group  col-sm-3">
                                            <label for="roomHead" class="input__label required">Select Room Type *</label>
                                            <select name="roomHead" id="roomHead" class="custom-select">
                                                <option <?php echo set_select("roomHead", ""); ?> value="">Select Room Type</option>
                                                <?php
                                                for ($i = 0; $i < sizeof($roomHead); $i++) {
                                                    $ct = $roomHead[$i];
                                                    ?>
                                                    <option <?php echo ($selectedHead == $ct->fhom_id) ? "selected" : ""; ?> <?php echo set_select("roomHead", $ct->fhom_id); ?> value="<?php echo $ct->fhom_id; ?>"><?php echo $ct->fhom_name; ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>  
                                        <div class="form-group  col-sm-3">
                                            <label for="room" class="input__label required">Select Room </label>
                                            <select name="room" id="room" class="custom-select">
                                                <option <?php echo set_select("room", ""); ?> value="">Select Room</option>
                                            </select>
                                        </div>  
                                        <div class="col-md-12">
                                            <label for="filterSubmitBtn" class="input__label"></label>
                                            <button id="filterSubmitBtn" name="filterSubmitBtn" type="Submit" class="btn btn-sm btn-warning pull-right">Apply Filter & Fetch Student-Set List&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                </fieldset>
                                <?php echo form_close(); ?>
                                <?php if (sizeof($allotmentData) > 0) { ?>
                                    <fieldset id="studentList">
                                        <legend>Student(s) List</legend>
                                        <div class="table-responsive">
                                            <table  id="roomAllotmentTable" style="width:100%;" class="bootstrap-datatable table-striped table-hover">
                                                <thead>
                                                    <tr>
                                                        <th>Sr. No</th>
                                                        <th>Roll No.</th>
                                                        <th>Name</th>
                                                        <th>Course</th>
                                                        <th>Semester</th>
                                                        <th>Session</th>
                                                        <th>Room Details <br> Type | Room No. </th>
                                                    </tr>
                                                </thead>
                                                <tbody id="studentDetails">
                                                    <?php
                                                    for ($i = 0; $i < (sizeof($allotmentData)); $i++) {
                                                        $record = $allotmentData[$i];
                                                        ?>
                                                        <tr>
                                                            <th><?php echo ($i + 1); ?></th>
                                                            <td><?php echo stripslashes($record->tspi_rollNumber); ?></td>
                                                            <td><?php echo stripslashes($record->tspi_name); ?></td>
                                                            <td><?php echo stripslashes($record->course_name); ?></td>
                                                            <td><?php echo $this->StudentManagement->getStudentCurrentSectionSemesterInfoBy($record->tspi_id)->result()[0]->tsssi_semester; ?></td>
                                                            <td><?php echo stripslashes($record->session_name); ?></td>                                                                                      
                                                            <td>
                                                                <?php echo stripslashes($record->fhom_name); ?> | <?php echo stripslashes($record->hrm_number); ?>
                                                            </td>
                                                        </tr>
                                                    <?php } ?>
                                                </tbody>
                                            </table>
                                        </div>
                                        <span id="spnErr" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                                        <div class="form-row">

                                        </div>
                                    </fieldset>
                                <?php } ?>
                            </div>

                        </div>
                    </section>
                </div>
            </div>
        </section>

        <!-- Edit Allot Modal Starts -->
        <div class="modal fade" id="allotroom" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Allocate Room To Student</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <?php echo form_open(site_url('admin/HostelConfig/updateRoomAllocationDetails'), ['id' => "roomAllocateUpdateFrm", "name" => "roomAllocateUpdateFrm"]); ?>
                        <fieldset>
                            <div class="form-row">
                                <div class="form-group  col-sm-6">
                                    <label for="roomHeadForUpdate" class="input__label required">Select Room Type *</label>
                                    <select name="roomHeadForUpdate" id="roomHeadForUpdate" class="custom-select">
                                        <option <?php echo set_select("roomHeadForUpdate", ""); ?> value="">Select Room Type</option>
                                        <?php
                                        for ($i = 0; $i < sizeof($roomHead); $i++) {
                                            $ct = $roomHead[$i];
                                            ?>
                                            <option <?php echo ($selectedHead == $ct->fhom_id) ? "selected" : ""; ?> <?php echo set_select("roomHeadForUpdate", $ct->fhom_id); ?> value="<?php echo $ct->fhom_id; ?>"><?php echo $ct->fhom_name; ?></option>
                                            <?php
                                        }
                                        ?>
                                    </select>
                                </div>  
                                <div class="form-group  col-sm-6">
                                    <label for="newroom" class="input__label required">Select New Room </label>
                                    <select name="newroom" id="newroom" class="custom-select">
                                        <option <?php echo set_select("newroom", ""); ?> value="">Select New Room</option>
                                    </select>
                                </div>  
                                <div class="form-group col-sm-12">
                                    <button class="btn btn-primary btn-block" id="allotBtn" style="margin-top: 27px;">Allotcate</button>
                                </div>
                                <input type="hidden" name="session_id" value="<?php echo $selectedSession; ?>">
                                <input type="hidden" name="selected_tspi_id" id="tspi_id" value="">
                                <input type="hidden" name="sha_id" id="sha_id" value="">
                                <input type="hidden" name="old_hrm_id" id="old_hrm_id" value="">
                            </div>   
                        </fieldset>
                        <span id="spnErrRoom" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                        <?php echo form_close(); ?>
                        <br>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Edit Allot Modal Ends -->



        <script>
            $("#session").change(function () {
                $("#studentList").css("display", "none");
                $("#allotBtn").prop("disabled", "disabled");
                $("#Course").val("");
                $("#CourseSemOrYear").val("");
            });

            $(document).ready(function () {
                $("#roomAllotmentTable").DataTable({responsive: true, dom: 'Blfrtip'});
            });
            $("#Course").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/HostelConfig/getCourseSemesterOrYearForDropDown/'); ?>',
                        data: {course_id: $("#Course").val(), selectedSemOrYear: '', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var semesterOrYearInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#CourseSemOrYear").html(semesterOrYearInfo.sem_year_list);
                            csrfHash = semesterOrYearInfo.csrfHash;
                            studentAllocationFrm.csrf_token.value = csrfHash;
                            roomAllocateUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#CourseSemOrYear").html("<option value=''>Select Semester/Year</option>");
                }
            });
            $("#allotBtn").on("click", function () {
                if ($("#room").val().trim() === "") {
                    $("#spnErrRoom").html("Please Select Room To Allocate.");
                    event.preventDefault();
                } else {
                    $("#spnErrRoom").html("");
                    $("#roomAllocateFrm").submit();
                }
            });
            $("#roomHead").on("change", function () {
                $("#studentDetails").html("");
            });
            $("#roomHead").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/HostelConfig/getRoomsByRoomHead/'); ?>',
                        data: {roomHead: $(this).val(), hrm_id: '', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var rooms = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#room").html(rooms.rooms);
                            csrfHash = rooms.csrfHash;
                            studentAllocationFrm.csrf_token.value = csrfHash;
                            roomAllocateUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#room").html("<option value=''>Select Room</option>");
                }
            });
            $("#roomHeadForUpdate").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/HostelConfig/getRoomsByRoomHead/'); ?>',
                        data: {roomHead: $(this).val(), hrm_id: $("#old_hrm_id").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var rooms = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#newroom").html(rooms.rooms);
                            csrfHash = rooms.csrfHash;
                            studentAllocationFrm.csrf_token.value = csrfHash;
                            roomAllocateUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#room").html("<option value=''>Select Room</option>");
                }
            });
            $(document).ready(function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($("#Course").val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/HostelConfig/getCourseSemesterOrYearForDropDown/'); ?>',
                        data: {course_id: $("#Course").val(), selectedSemOrYear: '<?php echo $selectedSemOrYear; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var semesterOrYearInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#CourseSemOrYear").html(semesterOrYearInfo.sem_year_list);
                            csrfHash = semesterOrYearInfo.csrfHash;
                            studentAllocationFrm.csrf_token.value = csrfHash;
                            roomAllocateUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#CourseSemOrYear").html("<option value=''>Select Semester/Year</option>");
                    // $("#studentDetails").html("");
                }

                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($("#roomHead").val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/HostelConfig/getRoomsByRoomHead/'); ?>',
                        data: {roomHead: $("#roomHead").val(), selectedRoom: '<?php echo $selectedRoom; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var rooms = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#room").html(rooms.rooms);
                            csrfHash = rooms.csrfHash;
                            studentAllocationFrm.csrf_token.value = csrfHash;
                            roomAllocateUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#CourseSemOrYear").html("<option value=''>Select Semester/Year</option>");
                    $("#room").html("<option value=''>Select Room</option>");
                }
            });

            function updateRoomAllotment(sha_id, tspi_id, hrm_id) {
                $("#roomHeadForUpdate").val("");
                $("#newroom").val("");
                $("#tspi_id").val(tspi_id);
                $("#sha_id").val(sha_id);
                $("#old_hrm_id").val(hrm_id);
                $("#allotroom").modal('show');
            }
            $("#allotBtn").on("click", function () {
                if ($("#roomHeadForUpdate").val().trim() === "") {
                    $("#spnErrRoom").html("Please Select Room Type To Allocate.");
                    event.preventDefault();
                } else if ($("#newroom").val().trim() === "") {
                    $("#spnErrRoom").html("Please Select Room To Allocate.");
                    event.preventDefault();
                } else {
                    $("#spnErrRoom").html("");
                    $("#roomAllocateUpdateFrm").submit();
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>