<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>All ID Proof | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <!-- google fonts -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/IDProof/"); ?>">ID Proof Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/IDProof"); ?>">All ID Proofs</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-id-card-o"></i> ID Proof Management</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/IDProof/createIDProof"); ?>'" tooltip="Create New ID Proof"><i class="fa fa-plus"></i> Create New ID Proof</button><br><br>
                                <table id="allIDProofTypes" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Name</th>
                                            <th>Short Name</th>
                                            <th>Type</th>
                                            <th>Code</th>
                                            <th>Applicable For</th>
                                            <th>Added By</th>
                                            <th>Last Updated By</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Name</th>
                                            <th>Short Name</th>
                                            <th>Type</th>
                                            <th>Code</th>
                                            <th>Applicable For</th>
                                            <th>Added By</th>
                                            <th>Last Updated By</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        $CI = & get_instance();
                                        for ($i = 0; $i < sizeof($allIDProofs); $i++) {
                                            $record = $allIDProofs[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo stripslashes($record['tipm_name']); ?></td>
                                                <th><?php echo stripslashes($record['tipm_short_name']); ?></th>
                                                <td><?php echo $record['tipm_proof_type']; ?></td>
                                                <td><?php echo ($record['tipm_code'] == "" || $record['tipm_code'] == NULL) ? "NA" : stripslashes($record['tipm_code']); ?></td>
                                                <td><?php echo $record['tipm_proof_for'];?></td>
                                                <td><?php echo $record['addedByAdmin'] . " On " . date("d-m-Y h:i:s A", strtotime($record['tipm_added_on'])); ?></td>
                                                <td><?php echo $record['updatedByAdmin'] . " On " . date("d-m-Y h:i:s A", strtotime($record['tipm_updated_on'])); ?></td>
                                                <td>
                                                    <?php
                                                    if ($record['tipm_delete_status'] == 'F') {
                                                        if ($record['tipm_active_status'] == 'T') {
                                                            ?>
                                                            <i class="fa fa-ban" style="color:#FF0000;cursor: pointer;" title="Disable This ID Proof" onClick="window.location.href = '<?php echo site_url('admin/IDProof/toggleIDProofStatus/' . $record['tipm_id'] . '/F') ?>'"></i> 
                                                            <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This ID Proof" onClick="window.location.href = '<?php echo site_url('admin/IDProof/editIDProof/' . $record['tipm_id']) ?>'"  ></i>
                                                            <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This ID Proof" onClick="window.location.href = '<?php echo site_url('admin/IDProof/deleteIDProof/' . $record['tipm_id']) ?>'"></i> 
                                                        <?php } else { ?>
                                                            <i class="fa fa-check-circle" style="color:#297534;cursor: pointer;" title="Enable This ID Proof" onClick="window.location.href = '<?php echo site_url('admin/IDProof/toggleIDProofStatus/' . $record['tipm_id'] . '/T') ?>'"></i> 
                                                            <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This ID Proof" onClick="window.location.href = '<?php echo site_url('admin/IDProof/editIDProof/' . $record['tipm_id']) ?>'"  ></i>
                                                            <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This ID Proof" onClick="window.location.href = '<?php echo site_url('admin/IDProof/deleteIDProof/' . $record['tipm_id']) ?>'"></i> 
                                                            <?php
                                                        }
                                                    } else {
                                                        ?>
                                                        <b>ID Proof Deleted By <?php echo $record['updatedByAdmin']; ?> On <?php echo date("d-m-Y h:i:s A", strtotime($record['tipm_updated_on'])); ?>. <a href="<?php echo site_url('admin/IDProof/undoDeleteIDProof/' . $record['tipm_id']) ?>">Click To Undo <i class="fa fa-undo" style="color:#FF0000"></i></a></b> 
                                                    <?php } ?>
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                $("#allIDProofTypes").DataTable({responsive: true, dom: 'Blfrtip'});
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>