<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>View Books/Magazines/Journals & Library Copies | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/pdfmake.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.print.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.colVis.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Library Management</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/LibraryConfig/viewBooksMagazinesJournal/"); ?>">View Books/Magazines/Journals & Library Copies</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-book"></i> Books/Magazines/Journals & Library Copies Management</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Filters <i class="fa fa-filter"></i></legend>
                                    <?php echo form_open(site_url('admin/LibraryConfig/viewBooksMagazinesJournal'), ['name' => 'viewBooksMagazinesJournalFilterFrm', 'id' => 'viewBooksMagazinesJournalFilterFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="searchKeyWord" class="input__label">Enter Keyword To Search</label>
                                            <input type="text" name="searchKeyWord" id="searchKeyWord" class="form-control" value="<?php echo set_value("searchKeyWord"); ?>" placeholder="Enter Search Keyword (ISBN No./ISSN No./Title/Author/Publication Year/Publisher Name/Subject Name/Place(Stack & Rows Etc.)/Description)">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="session" class="input__label">Session</label>
                                            <select id="session" name="session" class="custom-select">
                                                <option value="" <?php echo set_select("session", ""); ?>>All</option>
                                                <?php foreach ($sessions as $session) { ?>
                                                    <option value="<?php echo $session->session_id; ?>" <?php echo set_select("session", $session->session_id); ?>><?php echo stripslashes($session->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="publicationType" class="input__label">Publication Type</label>
                                            <select id="publicationType" name="publicationType" class="custom-select">
                                                <option value="" <?php echo set_select("publicationType", ""); ?>>All</option>
                                                <?php
                                                foreach ($publicationCategories as $publicationCategory) {
                                                    ?>
                                                    <option value="<?php echo $publicationCategory->lpcm_id; ?>" <?php echo set_select("publicationType", $publicationCategory->lpcm_id); ?>><?php echo stripslashes($publicationCategory->lpcm_short_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="department" class="input__label">Department</label>
                                            <select name="department" id="department" class="form-control custom-select">
                                                <option value="">Select Department</option>
                                                <?php foreach ($departments as $department) { ?>
                                                    <option value="<?php echo $department->dept_id; ?>" <?php echo set_select("empDept", $department->dept_id); ?>><?php echo stripslashes($department->dept_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="subDepartment" class="input__label">Sub-Department</label>
                                            <select name="subDepartment" id="subDepartment" class="form-control custom-select">
                                                <option value="">Select Sub-Department</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="startDate" class="input__label">Start Date</label>
                                            <input type="text" class="form-control" id="startDate" name="startDate" value="<?php echo set_value('startDate'); ?>" placeholder="Choose Start Date" autocomplete="off" maxlength="15">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="endDate" class="input__label">End Date</label>
                                            <input type="text" class="form-control" id="endDate" name="endDate" value="<?php echo set_value('endDate'); ?>" placeholder="Choose End Date" autocomplete="off" maxlength="15">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="dateRangeAppliedWith" class="input__label">Apply Date Range With</label>
                                            <select id="dateRangeAppliedWith" name="dateRangeAppliedWith" class="custom-select readonly">
                                                <option selected value="ED" <?php echo set_select("dateRangeAppliedWith", "ED") ?>>Entry Date</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="filterSubmitBtn" class="input__label"></label>
                                            <button id="filterSubmitBtn" name="filterSubmitBtn" type="submit" class="btn btn-sm btn-warning pull-right">Apply&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                    <?php echo form_close(); ?>
                                    <hr>
                                </fieldset>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/LibraryConfig/createBookMagazineJournal"); ?>'" tooltip="Add New Books/Mag./Jnls."><i class="fa fa-plus"></i> Add New Books/Mag./Jnls.</button><br><br>
                                <table id="allLibraryCopies" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Category</th>
                                            <th>ISBN/ISSN No.</th>
                                            <th>Title</th>
                                            <th>Author(s)</th>
                                            <th>Session</th>
                                            <th>Publisher Name</th>
                                            <th>Publication Year</th>
                                            <th>Place</th>
                                            <th style='display:none;'>Added By</th>
                                            <th style='display:none;'>Updated By</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Category</th>
                                            <th>ISBN/ISSN No.</th>
                                            <th>Title</th>
                                            <th>Author(s)</th>
                                            <th>Session</th>
                                            <th>Publisher Name</th>
                                            <th>Publication Year</th>
                                            <th>Place</th>
                                            <th style='display:none;'>Added By</th>
                                            <th style='display:none;'>Updated By</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($filteredRecords); $i++) {
                                            $record = $filteredRecords[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo stripslashes($record->lpcm_short_name); ?></td>
                                                <td><?php echo stripslashes($record->lbmjm_isbn_issn_no); ?></td>
                                                <td><?php echo stripslashes($record->lbmjm_title); ?></td>
                                                <td><?php echo ($record->lbmjm_authors == "" || $record->lbmjm_authors == NULL) ? "-" : stripslashes($record->lbmjm_authors); ?></td>
                                                <td><?php echo stripslashes($record->session_name); ?></td>
                                                <td><?php echo ($record->lbmjm_publisher_name == "" || $record->lbmjm_publisher_name == NULL) ? "-" : stripslashes($record->lbmjm_publisher_name); ?></td>
                                                <td><?php echo ($record->lbmjm_publication_year == "" || $record->lbmjm_publication_year == NULL) ? "-" : stripslashes($record->lbmjm_publication_year); ?></td>
                                                <td><?php echo ($record->lbmjm_place == "" || $record->lbmjm_place == NULL) ? "-" : stripslashes($record->lbmjm_place); ?></td>
                                                <td style='display:none;'><?php echo "Added On " . date('d-m-Y h:i:s A', strtotime($record->lbmjm_added_on)) . " By " . stripslashes($record->addedByAdmin) ?></td>
                                                <td style='display:none;'><?php echo "Added On " . date('d-m-Y h:i:s A', strtotime($record->lbmjm_updated_on)) . " By " . stripslashes($record->updatedByAdmin) ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->lbmjm_active_status == 'T') {
                                                        ?>
                                                        <i class="fa fa-ban" style="color:#FF0000;cursor: pointer;" title="Prevent This Copy From Issuing" onClick="window.location.href = '<?php echo site_url('admin/LibraryConfig/toggleBooksMagazinesJournalStatus/' . $record->lbmjm_id . '/F') ?>'"></i> 
                                                    <?php } else { ?>
                                                        <i class="fa fa-check-circle" style="color:#297534;cursor: pointer;" title="Enable This Copy For Issuing" onClick="window.location.href = '<?php echo site_url('admin/LibraryConfig/toggleBooksMagazinesJournalStatus/' . $record->lbmjm_id . '/T') ?>'"></i> 
                                                        <?php
                                                    }
                                                    ?>
                                                    <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Copy" onClick="window.location.href = '<?php echo site_url('admin/LibraryConfig/editBookMagazineJournal/' . $record->lbmjm_id) ?>'"  ></i>
                                                    <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Copy" onClick="deleteBookMagazineJournal(<?php echo $record->lbmjm_id; ?>);"></i> 
                                                    <i class="fa fa-info-circle" style="color:#002166;cursor: pointer;" title="More Info About This Library Copy" onClick="getBookMagazineJournalInfo(<?php echo $record->lbmjm_id; ?>);"></i> 
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#department").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDown/') ?>',
                        data: {dept_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subDeptInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subDepartment").html(subDeptInfo.sub_dept_list);
                            csrfHash = subDeptInfo.csrfHash;
                            viewBooksMagazinesJournalFilterFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#subDepartment").html("<option>Select Sub-Department</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $(function () {
                var dateFormat = "dd/mm/yy",
                        from = $("#startDate")
                        .datepicker({
                            dateFormat: dateFormat,
                            defaultDate: '0',
                            changeMonth: true,
                            changeYear: true,
                            numberOfMonths: 1
                        })
                        .on("change", function () {
                            to.datepicker("option", "minDate", getDate(this));
                        }),
                        to = $("#endDate").datepicker({
                    dateFormat: dateFormat,
                    defaultDate: '0',
                    changeMonth: true,
                    changeYear: true,
                    numberOfMonths: 1
                })
                        .on("change", function () {
                            from.datepicker("option", "maxDate", getDate(this));
                        });

                function getDate(element) {
                    var date;
                    try {
                        date = $.datepicker.parseDate(dateFormat, element.value);
                    } catch (error) {
                        date = null;
                    }
                    return date;
                }
            });

            function deleteBookMagazineJournal(lbmjm_id) {
                if (confirm("Are You Sure You Want To Delete This Copy From Library? Click OK To Continue & Cancel Otherwise.")) {
                    window.location.href = '<?php echo site_url("admin/LibraryConfig/deleteBooksMagazinesJournal/") ?>' + lbmjm_id;
                }
            }

            function getBookMagazineJournalInfo(lbmjm_id) {
                event.preventDefault();
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/LibraryConfig/getLibraryCopyFullInfo/'); ?>',
                    data: {lbmjm_id: lbmjm_id, csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        $(".se-pre-con").fadeOut("slow");
                        var thisLeaveRequestInfo = JSON.parse(result);
                        csrfHash = thisLeaveRequestInfo.csrfHash;
                        viewBooksMagazinesJournalFilterFrm.csrf_token.value = csrfHash;
                        $("#lib_category").html(thisLeaveRequestInfo.publication_category);
                        $("#lib_isbn_issn").html(thisLeaveRequestInfo.lbmjm_isbn_issn_no);
                        $("#lib_title").html(thisLeaveRequestInfo.lbmjm_title);
                        $("#lib_authors").html(thisLeaveRequestInfo.lbmjm_authors);
                        $("#lib_publication_year").html(thisLeaveRequestInfo.lbmjm_publication_year);
                        $("#lib_publication_name").html(thisLeaveRequestInfo.lbmjm_publisher_name);
                        $("#lib_subject_name").html(thisLeaveRequestInfo.lbmjm_subject_name);
                        $("#lib_place").html(thisLeaveRequestInfo.lbmjm_place);
                        $("#lib_department").html(thisLeaveRequestInfo.department);
                        $("#lib_sub_department").html(thisLeaveRequestInfo.sub_department);
                        $("#lib_session").html(thisLeaveRequestInfo.session);
                        $("#lib_description").html(thisLeaveRequestInfo.lbmjm_description);
                        $("#lib_added_on").html(thisLeaveRequestInfo.lbmjm_added_on + " By " + thisLeaveRequestInfo.lbmjm_added_by);
                        $("#lib_updated_on").html(thisLeaveRequestInfo.lbmjm_updated_on + " By " + thisLeaveRequestInfo.lbmjm_updated_by);
                        $("#libraryCopyDetailsModal").modal('show');
                    }
                });
            }

            $(document).ready(function () {
                $("#allLibraryCopies").DataTable({responsive: true, dom: 'Blfrtip', buttons: [
                        {extend: 'copy', text: "<i class='fa fa-clipboard'></i> Copy"},
                        {extend: 'csv', text: "<i class='fa fa-table'></i> CSV"},
                        {extend: 'excel', text: "<i class='fa fa-file-excel-o'></i> Excel"},
                        {extend: 'pdfHtml5', text: "<i class='fa fa-file-pdf-o'></i> PDF", orientation: 'landscape', pageSize: 'LEGAL'}
                    ]});

                if ($("#department").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDown/') ?>',
                        data: {dept_id: $("#department").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subDeptInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subDepartment").html(subDeptInfo.sub_dept_list);
                            csrfHash = subDeptInfo.csrfHash;
                            viewBooksMagazinesJournalFilterFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
        <!-- Library Copy Details Modal Starts -->
        <div class="modal fade" id="libraryCopyDetailsModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Library Copy Details</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div id="libraryCopyDetail" class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <div class="row">
                            <div class="col-sm-12">
                                <center>
                                    <img src="<?php echo base_url('assets/admin/images/header.png'); ?>" width="95%" height="100" style="margin-top:4%"><br>
                                    <h5><b><u>Library Copy Details</u></b></h5>
                                </center>
                            </div>
                        </div><br>
                        <div class="row">
                            <div class="col-sm-3"><b>Category</b></div>
                            <div class="col-sm-3"><span id="lib_category"></span></div>
                            <div class="col-sm-3"><b>ISBN/ISSN No.</b></div>
                            <div class="col-sm-3"><span id="lib_isbn_issn"></span></div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3"><b>Title</b></div>
                            <div class="col-sm-3"><span id="lib_title"></span></div>
                            <div class="col-sm-3"><b>Author(s)</b></div>
                            <div class="col-sm-3"><span id="lib_authors"></span></div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3"><b>Publication Year</b></div>
                            <div class="col-sm-3"><span id="lib_publication_year"></span></div>
                            <div class="col-sm-3"><b>Publisher Name(s)</b></div>
                            <div class="col-sm-3"><span id="lib_publication_name"></span></div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3"><b>Subject</b></div>
                            <div class="col-sm-3"><span id="lib_subject_name"></span></div>
                            <div class="col-sm-3"><b>Place</b></div>
                            <div class="col-sm-3"><span id="lib_place"></span></div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3"><b>Department</b></div>
                            <div class="col-sm-3"><span id="lib_department"></span></div>
                            <div class="col-sm-3"><b>Sub-Department</b></div>
                            <div class="col-sm-3"><span id="lib_sub_department"></span></div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3"><b>Session</b></div>
                            <div class="col-sm-9"><span id="lib_session"></span></div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3"><b>Description</b></div>
                            <div class="col-sm-9"><span id="lib_description"></span></div>
                        </div>
                        <hr style="border-top: 1px solid black;">
                        <div class="row">
                            <div class="col-sm-3"><b>Added On</b></div>
                            <div class="col-sm-9"><span id="lib_added_on"></span></div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3"><b>Last Updated On</b></div>
                            <div class="col-sm-9"><span id="lib_updated_on"></span></div>
                        </div>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Library Copy Details Modal Ends -->
    </body>
</html>