<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create New Publication Category | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Library Management</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/LibraryConfig/publicationCategories/"); ?>">All Publication Categories</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/LibraryConfig/createPublicationCategory"); ?>">Create New Publication Category</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create New Publication Category </h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/LibraryConfig/saveNewPublicationCategory'), ['name' => 'publicationCategoryCreationFrm', 'id' => 'publicationCategoryCreationFrm']); ?>
                                <fieldset>
                                    <legend>Publication Category Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="lpcm_name" class="input__label">Name *</label>
                                            <input type="text" class="form-control input-style" id="lpcm_name" name="lpcm_name" value="<?php echo set_value('lpcm_name'); ?>" placeholder="Enter Publication Category Name" maxlength="150">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="lpcm_short_name" class="input__label">Short Name/Abbrevation *</label>
                                            <input type="text" class="form-control input-style" id="lpcm_short_name" name="lpcm_short_name" value="<?php echo set_value('lpcm_short_name'); ?>" placeholder="Enter Publication Category Short Name" maxlength="150">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="lpcm_description" class="input__label">Description</label>
                                            <textarea class="form-control input-style" name="lpcm_description" id="lpcm_description" placeholder="Enter Publication Category Description (Max. 500 Chars)" maxlength="100"><?php echo set_value('lpcm_description'); ?></textarea>
                                        </div>
                                    </div>
                                </fieldset>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Create Publication Category</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#lpcm_name").on("keyup", function () {
                $("#lpcm_short_name").val($(this).val());
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>