<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Return Books/Magazines/Journals & Library Copies | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-select.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Library Management</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Library/returnBooks/"); ?>">Return Books/Magazines/Journals & Library Copies</a></li>
                        </ol>
                    </nav>
                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-book"></i> Return Books/Magazines/Journals & Library Copies</h3><br>
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <fieldset>
                                <?php echo form_open(site_url('admin/Library/returnBooks'), ['name' => 'issueBooksMagazinesJournalFilterFrm', 'id' => 'issueBooksMagazinesJournalFilterFrm']); ?>
                                <div class="form-row">
                                    <div class="pull-left col-md-10">
                                        <legend>Filters <i class="fa fa-filter"></i></legend>
                                    </div>
                                    <div class="pull-right col-md-2">      
                                        <label for="sessions">Sessions</label>
                                        <select id="sessions" name="session" class="custom-select readonly" onChange="changeSessionFrm.submit();">
                                            <?php
                                            for ($i = 0; $i < sizeof($allSessions); $i++) {
                                                $color = ($allSessions[$i]->session_status == 'C') ? "#00FF00" : "#FF0000";
                                                $sessionId = $allSessions[$i]->session_id;
                                                $sessionName = $allSessions[$i]->session_name;
                                                $selected = ($allSessions[$i]->session_status == 'C') ? "selected" : "";
                                                ?>
                                                <option style="color:<?php echo $color; ?>;" value="<?php echo $sessionId; ?>" <?php echo $selected; ?>><?php echo $sessionName; ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-12">
                                        <label class="input__label"><b>Return From : &nbsp; </b></label>
                                        <input <?php if ($this->session->flashdata('selectedIssuedTo') == "S") echo "checked"; ?> type="radio" class="issuedTo" id="Stu" name="issuedTo" value="S" <?php echo set_radio("issuedTo", "S"); ?>>&nbsp;<label for="Stu">Student</label>
                                        <input <?php if ($this->session->flashdata('selectedIssuedTo') == "E") echo "checked"; ?> type="radio" class="issuedTo" id="Emp" name="issuedTo" value="E" <?php echo set_radio("issuedTo", "E"); ?>>&nbsp;<label for="Emp">Employee</label>
                                    </div>
                                </div>
                                <div class="form-row" id="studentSearchFilters" style="display:none;">
                                    <div class="form-group col-md-12">
                                        <label for="rollNumber" class="input__label">Enter Student Rollno. *</label>
                                        <input type="text" name="rollNumber" id="rollNumber" class="form-control" value="<?php echo set_value("rollNumber"); ?>" placeholder="Enter Student Rollno.">
                                    </div>
                                </div>
                                <div class="form-row" id="employeeSearchFilters" style="display:none;">
                                    <div class="form-group col-md-2 pull-left">
                                        <label for="empRole" class="input__label">Role *</label>
                                        <select id="empRole" name="empRole" class="custom-select">
                                            <option value="" <?php echo set_select("empRole", "") ?>>Select Role</option>
                                            <?php foreach ($roles as $role) { ?>
                                                <option value="<?php echo $role->role_id; ?>" <?php echo set_select("empRole", $role->role_id); ?>><?php echo stripslashes($role->role_name); ?></option>
                                            <?php }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-10 pull-right">
                                        <label for="employee" class="input__label">Employee *</label>
                                        <select id="employee" name="employee" class="form-control selectpicker" data-selected-text-format="count > 1" data-dropup-auto="true" data-live-search="true" onmousedown="if (this.options.length > 2) {
                                                    this.size = 2;
                                                }" title="Select Employee">
                                        </select>
                                    </div>
                                </div>
                                <div class="form-row" id="applyBtn" style="display:none;">
                                    <div class="col-md-12">
                                        <label for="filterSubmitBtn" class="input__label"></label>
                                        <button id="filterSubmitBtn" name="filterSubmitBtn" type="submit" class="btn btn-sm btn-warning pull-right">Apply&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                    </div>
                                </div>
                                <?php echo form_close(); ?>
                            </fieldset>
                            <div class="card-body">
                                <?php
                                if (sizeof($empInfo)) {
                                    $loginActiveStatus = "";
                                    if ($empInfo[0]->tld_delete_status == "F" && $empInfo[0]->tld_login_status == "T" && $empInfo[0]->tld_working_status != "L") {
                                        $loginActiveStatus = "<i class='fa fa-check' style='color:#00FF00;'></i> Active";
                                    } else if ($empInfo[0]->tld_delete_status == "F" && $empInfo[0]->tld_login_status == "F" && $empInfo[0]->tld_working_status != "L") {
                                        $loginActiveStatus = "<i class='fa fa-ban' style='color:#FF0000;'></i> Blocked";
                                    } else if ($empInfo[0]->tld_delete_status == "F" && $empInfo[0]->tld_working_status == "L") {
                                        $loginActiveStatus = "<i class='fa fa-user-times' style='color:#FF0000;'></i> Employee Left Organization";
                                    } else {
                                        $loginActiveStatus = "<i class='fa fa-trash' style='color:#FF0000;'></i> Employee Deleted";
                                    }
                                    ?>
                                    <fieldset id="empDetails">
                                        <hr>
                                        <legend>Employee Info</legend>
                                        <div>
                                            <table border="1" class="table table-success table-hover table-striped">
                                                <tr>
                                                    <td rowspan="3">
                                                        <a href="<?php echo base_url($empInfo[0]->staff_photograph); ?>" target="_blank" title="Click To Open Photograph"><img src="<?php echo base_url($empInfo[0]->staff_photograph); ?>" id="photograph" height="78px" alt="Photograph Not Available"/></a><br><br>
                                                    </td>
                                                    <th>Emp No.</th>
                                                    <td><b><span id="empNo" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo ($empInfo[0]->smember_code == "") ? "-" : stripslashes($empInfo[0]->smember_code); ?></span></b></td>
                                                    <th>Designation</th>
                                                    <td><b><span id="empDesig" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo stripslashes($empInfo[0]->designatioName); ?></span></b></td>
                                                    <th>Signin Id</th>
                                                    <td><b><span id="empSigninId" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $empInfo[0]->tld_signinid; ?></span></b></td>
                                                </tr>
                                                <tr>
                                                    <th>First Name</th>
                                                    <td><b><span id="empFirstName" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo stripslashes($empInfo[0]->tprfl_firstname); ?></span></b></td>
                                                    <th>Last Name</th>
                                                    <td><b><span id="empLastName" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo ($empInfo[0]->tprfl_lastname == "") ? "-" : stripslashes($empInfo[0]->tprfl_lastname); ?></span></b></td>
                                                    <th>Gender</th>
                                                    <td><b><span id="empGender" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo ($empInfo[0]->tprfl_gender == "M") ? "<i class='fa fa-male'></i> Male" : (($empInfo[0]->tprfl_gender == "F") ? "<i class='fa fa-female'></i> Female" : "<i class='fa fa-transgender'></i> Trans"); ?></span></b></td>
                                                </tr>
                                                <tr>
                                                    <th>Category</th>
                                                    <td><b><span id="empCategory" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo stripslashes($empInfo[0]->dcm_short_name); ?></span></b></td>
                                                    <th>Sub. Dept</th>
                                                    <td><b><span id="empSubDept" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo stripslashes($empInfo[0]->sub_dept_name); ?></span></b></td>
                                                    <th>Department</th>
                                                    <td><b><span id="empDept" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo stripslashes($empInfo[0]->dept_name); ?></span></b></td>
                                                </tr>
                                                <tr>
                                                    <th colspan="2">Max. No. Of Books Allowed For Issue</th>
                                                    <td colspan="2"><b><span class="maxAllowedBooks" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo (sizeof($libConfigurationForUser)) ? $libConfigurationForUser[0]->lism_max_copy_allowed : 0; ?></span></b></td>
                                                    <th colspan="2">No. Of Books Issued</th>
                                                    <td colspan="2"><b><span class="bookIssued" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo (sizeof($alreadyIssuedBookList)) ? sizeof($alreadyIssuedBookList) : 0; ?></span></b></td>                                                   
                                                </tr>

                                            </table>
                                        </div>
                                        <input type="hidden" name="smember_id" id="smember_id" value="<?php echo $empInfo[0]->smember_id; ?>">
                                    </fieldset>
                                    <?php
                                }
                                ?>
                                <?php if (sizeof($studentInfo)) { ?>
                                    <fieldset id="studentDetails">
                                        <hr>
                                        <legend>Student Info</legend>
                                        <div>
                                            <table border="1" class="table table-warning table-hover table-striped">
                                                <tr>
                                                    <td rowspan="3">
                                                        <a href="<?php echo $studentInfo['stu_photograph']; ?>" target="_blank" title="Click To Open Photograph"><img src="<?php echo $studentInfo['stu_photograph']; ?>" id="photograph" height="78px" alt="Photograph Not Available"/></a><br><br>
                                                        <a href="<?php echo $studentInfo['stu_sign']; ?>" target="_blank" title="Click To Open Signature"><img src="<?php echo $studentInfo['stu_sign']; ?>" id="sign" width="78px" alt="Signature Not Available"/></a>
                                                    </td>
                                                    <th>Form No.</th>
                                                    <td><b><span id="formNo" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_form_no']; ?></span></b></td>
                                                    <th>Enrl. No.</th>
                                                    <td><b><span id="enrollmentNo" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_enrollment_no']; ?></span></b></td>
                                                    <th>Roll No.</th>
                                                    <td><b><span id="rollNo" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_roll_no']; ?></span></b></td>
                                                </tr>
                                                <tr>
                                                    <th>Name</th>
                                                    <td><b><span id="name" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_name']; ?></span></b></td>
                                                    <th>Father's Name</th>
                                                    <td><b><span id="fatherName" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_father_name']; ?></span></b></td>
                                                    <th>D.O.B.</th>
                                                    <td><b><span id="dob" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_dob']; ?></span></b></td>
                                                </tr>
                                                <tr>
                                                    <th>Course</th>
                                                    <td><b><span id="course" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_course'] . " (" . $studentInfo['stu_entry_type'] . ")"; ?></span></b></td>
                                                    <th>Batch</th>
                                                    <td><b><span id="batch" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_batch']; ?></span></b></td>
                                                    <th>Current Semester/Year</th>
                                                    <td><b><span id="semesterOrYear" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_current_semester']; ?></span></b></td>
                                                </tr>
                                                <tr>
                                                    <th colspan="2">Max. No. Of Books Allowed For Issue</th>
                                                    <td colspan="2"><b><span class="maxAllowedBooks" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo (sizeof($libConfigurationForUser)) ? $libConfigurationForUser[0]->lism_max_copy_allowed : 0; ?></span></b></td>
                                                    <th colspan="2">No. Of Books Issued</th>
                                                    <td colspan="2"><b><span class="bookIssued" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo (sizeof($alreadyIssuedBookList)) ? sizeof($alreadyIssuedBookList) : 0; ?></span></b></td>                                                   
                                                </tr>
                                            </table>
                                        </div>
                                        <input type="hidden" name="tspi_id" id="tspi_id" value="<?php echo $studentInfo['stu_id']; ?>">
                                        <input type="hidden" name="course_category" id="course_category" value="<?php echo $studentInfo['stu_course_category']; ?>">
                                        <hr>
                                    </fieldset>
                                <?php } ?>
                                <?php
                                if (sizeof($empInfo) > 0 || sizeof($studentInfo) > 0) {
                                    ?>
                                    <fieldset id="alreadyIssueBookList">                                    
                                        <legend>Already Issued Book Detailed List</legend>
                                        <hr>
                                        <div class="form-row">
                                            <div class="pull-left col-md-10">  
                                                <div class="form-group col-md-6">
                                                    <input class="form-control" type="text" value="" placeholder="Enter Fine Rate Per Book." onkeypress="return event.charCode >= 48 && event.charCode <= 57" name="fineRate" id="fineRate">
                                                </div>
                                            </div>
                                            <div class="pull-left col-md-2" >
                                                <div class="form-group">
                                                    <input type="hidden" id="allowed_days" name="allowed_days" value="<?php echo (sizeof($libConfigurationForUser)) ? $libConfigurationForUser[0]->lism_max_allowed_day : ""; ?>">
                                                    <button class="btn btn-block btn-primary returnBook" type="button">Return&nbsp;<i class="fa fa-check"></i></button>
                                                </div>
                                                <div id="error"></div>
                                            </div>
                                        </div>
                                        <div class="table-responsive">
                                            <table class="table table-striped table-hover">
                                                <thead>
                                                    <tr>
                                                        <th><i class="fa fa-check"></i></th>
                                                        <th>Sr. No</th>
                                                        <th>Category</th>
                                                        <th>ISBN/ISSN No.</th>
                                                        <th>Title</th>
                                                        <th>Author(s)</th>
                                                        <th>Session</th>
                                                        <th>Publication Year</th>                                           
                                                        <th>Issued By</th>
                                                        <th>Extra Days</th>
                                                        <th>Fine Amount</th>
                                                    </tr>
                                                </thead>
                                                <tbody id="issuedBookList">
                                                    <?php
                                                    if (sizeof($alreadyIssuedBookList)) {
                                                        for ($i = 0; $i < sizeof($alreadyIssuedBookList); $i++) {
                                                            $record = $alreadyIssuedBookList[$i];
                                                            ?>
                                                            <tr>
                                                                <td><input type="checkbox" name="check" class="check" id="check" value="<?php echo $record['lirm_id']; ?>"></td>
                                                                <td><?php echo ($i + 1); ?></td>
                                                                <td><?php echo stripslashes($record["book_category"]); ?></td>
                                                                <td><?php echo stripslashes($record["ISBNNo"]); ?></td>
                                                                <td><?php echo stripslashes($record["book_title"]); ?></td>
                                                                <td><?php echo ($record["book_author"] == "" || $record["book_author"] == NULL) ? "-" : stripslashes($record["book_author"]); ?></td>
                                                                <td><?php echo stripslashes($record["session"]); ?></td>
                                                                <td><?php echo ($record["book_publication_year"] == "" || $record["book_publication_year"] == NULL) ? "-" : stripslashes($record["book_publication_year"]); ?></td>
                                                                <td><?php echo stripslashes($record["book_issued_by"]); ?></td>
                                                                <td><input type="hidden" value="<?php echo $record["extra_days"]; ?>" id="extraDays<?php echo $record["lirm_id"]; ?>" name="extraDays<?php echo $record["lirm_id"]; ?>"><?php echo stripslashes($record["extra_days"]); ?></td>
                                                                <td >
                                                                    <input type="hidden" value="0" class="fineClass" id="fi<?php echo $record["lirm_id"]; ?>" name="fi<?php echo $record["lirm_id"]; ?>">
                                                                    <div class="fineDivClass" id="fine<?php echo $record["lirm_id"]; ?>"><i class="fa fa-inr"></i>&nbsp;0</div>
                                                                </td>
                                                            </tr>
                                                            <?php
                                                        }
                                                    } else {
                                                        ?>
                                                        <tr><td colspan="11" aline="center" style="text-align: center; vertical-align: middle;" >No Record Found</td></tr>
                                                    <?php }
                                                    ?>
                                                </tbody>
                                                <tfoot>
                                                    <tr>
                                                        <th colspan="2">Total : </th>
                                                        <td colspan="9" id="totalFine"></td>
                                                    </tr>
                                                </tfoot>
                                            </table>
                                        </div>
                                        <hr>
                                        <div class="form-row">
                                            <div class="pull-left col-md-10">                                            
                                            </div>
                                            <div class="pull-left col-md-2" >
                                                <div class="form-group">
                                                    <input type="hidden" id="allowed_days" name="allowed_days" value="<?php echo (sizeof($libConfigurationForUser)) ? $libConfigurationForUser[0]->lism_max_allowed_day : ""; ?>">
                                                    <button class="btn btn-block btn-primary returnBook" type="button">Return &nbsp;<i class="fa fa-check"></i></button>
                                                </div>
                                            </div>
                                        </div>
                                    </fieldset>
                                    <?php
                                }
                                ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                calculateFine();
                $('#alreadyIssueBookList').css("display", "none");
                if (document.getElementById("Stu").checked === true) {
                    $('#studentSearchFilters').css("display", "block");
                    $('#employeeSearchFilters').css("display", "none");
                    $('#applyBtn').css("display", "block");
                    $('#alreadyIssueBookList').css("display", "block");
                    $('#bookList').css("display", "block");
                }
                if (document.getElementById("Emp").checked === true) {
                    $('#employeeSearchFilters').css("display", "block");
                    $('#studentSearchFilters').css("display", "none");
                    $('#applyBtn').css("display", "block");
                    $('#alreadyIssueBookList').css("display", "block");
                    $('#bookList').css("display", "block");
                }
                if ($("#empRole").val().trim() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Staff/getAllEmployeesByRoleForDropDown/'); ?>',
                        data: {role_id: $("#empRole").val().trim(), smember_id: '<?php echo (sizeof($empInfo)) ? $empInfo[0]->smember_id : ""; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var employeeInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#employee").html(employeeInfo.emp_list);
                            $("#employee").selectpicker('refresh');
                            csrfHash = employeeInfo.csrfHash;
                            issueBooksMagazinesJournalFilterFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#employee").html("<option value=''>Select Employee</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });
            
            $(".issuedTo").on("click", function () {
                if (this.value === "S") {
                    $('#studentSearchFilters').css("display", "block");
                    $('#employeeSearchFilters').css("display", "none");
                    $('#empRole').val('');
                    $("#employee").html("");
                    $('#empDetails').css('display', 'none');
                    $('#alreadyIssueBookList').css("display", "none");
                    $('#bookList').css("display", "none");
                } else {
                    $('#employeeSearchFilters').css("display", "block");
                    $('#studentSearchFilters').css("display", "none");
                    $('#rollNumber').val('');
                    $('#studentDetails').css('display', 'none');
                    $('#alreadyIssueBookList').css("display", "none");
                    $('#bookList').css("display", "none");
                }
                $('#applyBtn').css("display", "block");
            });

            $("#empRole").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $("#employee").html("<option value=''>Select Employee</option>");
                    $.ajax({
                        url: '<?php echo site_url('admin/Staff/getAllEmployeesByRoleForDropDown/'); ?>',
                        data: {role_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var employeeInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#employee").html(employeeInfo.emp_list);
                            $("#employee").selectpicker('refresh');
                            csrfHash = employeeInfo.csrfHash;
                            issueBooksMagazinesJournalFilterFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#employee").html("<option value=''>Select Employee</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $(".returnBook").on("click", function () {
                var returnArray = new Array();
                var fineRate = '';
                var lirm_id = '';

                if ($('input[name="check"]:checked').length === 0 || $('input[name="check"]:checked').length === "0") {
                    $('#error').html("<span style='color:red'>Please Select Atleast One Issue Record To Return.</span>");
                } else {
                    $('#error').html("");
                    if (confirm('Are sure want to return selected books?')) {
                        $(".se-pre-con").fadeIn("slow");
                        if (csrfHash === '') {
                            csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                        }
                        $('input[name="check"]:checked').each(function () {
                            extraDays = $('#extraDays' + this.value).val();
                            fineRate = ($('#fineRate').val() === "") ? "0" : $('#fineRate').val();
                            lirm_id = this.value;
                            returnArray.push(
                                    {
                                        "lirm_id": lirm_id,
                                        "lirm_excess_days": extraDays,
                                        "lirm_fine_amt": fineRate,
                                        "lirm_returned_collected_by": "<?php echo $this->session->userdata("adminData")["smember_id"]; ?>",
                                        "lirm_return_flag": "R",
                                        "lirm_returned_on": "<?php echo date('Y-m-d'); ?>"
                                    }
                            );
                        });
                        $.ajax({
                            url: '<?php echo site_url('admin/Library/saveReturnedBookDetails/'); ?>',
                            data: {
                                returnDetails: returnArray,
                                csrf_token: csrfHash
                            },
                            type: 'POST',
                            async: false,
                            success: function (result) {
                                var res = JSON.parse(result);
                                $(".se-pre-con").fadeOut("slow");
                                if (res.status === 1 || res.status === "1") {
                                    $("#error").html("<span style='color:green'>" + res.message + "</span>");
                                } else {
                                    $("#error").html("<span style='color:red'>" + res.message + "</span>");
                                }
                                csrfHash = res.csrfHash;
                                issueBooksMagazinesJournalFilterFrm.csrf_token.value = csrfHash;
                                getIssuedBookList();
                                calculateFine();
                            }
                        });
                    }
                }
            });

            $('#fineRate').on("keyup", function () {
                calculateFine();
            });

            function calculateFine() {
                if ($('#fineRate').val() === "" || $('#fineRate').val() === null) {
                    $('.fineClass').val("0");
                    getTotalSumOfFine();
                    $('.fineDivClass').html('<span style="color:black;"><i class="fa fa-inr"></i>&nbsp;0/-</span>');
                } else {
                    var fineRate = parseInt($('#fineRate').val());
                    var jsonString = '<?php echo $alreadyIssuedBookJSONList; ?>';
                    var alreadyIssuedBookList = JSON.parse(jsonString);
                    var extraDaysCellName = '';
                    var allowedDays = '';
                    for (var i = 0; i < alreadyIssuedBookList.length; i++) {
                        var obj = alreadyIssuedBookList[i];
                        fineCallName = "fine" + obj.lirm_id;
                        extraDaysCellName = "extraDays" + obj.lirm_id;
                        allowedDays = parseInt($("#" + extraDaysCellName).val());
                        $("#fi" + obj.lirm_id).val(fineRate * allowedDays);
                        $("#" + fineCallName).html('<span style="color:red;"><i class="fa fa-inr"></i>&nbsp;' + (fineRate * allowedDays + '/-</span>'));
                    }
                    getTotalSumOfFine();
                }
            }
            
            function getTotalSumOfFine() {
                var sum = 0;              
                $('input[name="check"]:checked').each(function () {
                    sum += parseFloat($('#fi'+this.value).val());
                });
                $('#totalFine').html('<span><i class="fa fa-inr"></i>&nbsp;' + sum + '/-</span>');
            }
            
            $('.check').on("click",function(){
                getTotalSumOfFine();
            });

            $('#fineRate').on("	blur", function () {
                calculateFine();
            });

            function getIssuedBookList() {
                var issuerID = '';
                var course_category = '';
                if (document.getElementById("Stu").checked === true) {
                    issuerID = $('#tspi_id').val();
                    course_category = $('#course_category').val();
                } else if (document.getElementById("Emp").checked === true) {
                    issuerID = $('#smember_id').val();
                    course_category = "S";
                }
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/Library/getRefreshedIssuedBookListForAfterReturnUpdated/'); ?>',
                    data: {
                        issuerID: issuerID,
                        course_category: course_category,
                        session_id: $('#sessions').val(),
                        csrf_token: csrfHash
                    },
                    type: 'POST',
                    async: false,
                    success: function (result) {
                        var res = JSON.parse(result);
                        $(".se-pre-con").fadeOut("slow");
                        $("#issuedBookList").html(res.issuedBookTable);
                        $('.bookIssued').text(res.noOfBookAlreadyIssued);
                        $('.maxAllowedBooks').text(res.maxNoOfBooksCanBeIssued);
                        csrfHash = res.csrfHash;
                        issueBooksMagazinesJournalFilterFrm.csrf_token.value = csrfHash;
                    }
                });
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>
