<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create New Criteria | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">OBES Config</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/OBESConfig/"); ?>">Criteria Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/OBESConfig/createCriteria"); ?>">Create New Criteria</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create New Criteria <span></span></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/OBESConfig/saveNewCriteria/'), ['name' => 'criteriaCreationFrm', 'id' => 'criteriaCreationFrm']); ?>
                                <fieldset>
                                    <legend>Criteria Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-sm-4">
                                            <label for="cr_name" class="input__label">Criteria Name *</label>
                                            <input type="text" value="<?php echo set_value("cr_name"); ?>" name="cr_name" id="cr_name" class="form-control" placeholder="Enter Criteria Name">
                                        </div>
                                        <div class="form-group  col-sm-4">
                                            <label for="cr_marks" class="input__label">Criteria Marks *</label>
                                            <input type="text" value="<?php echo set_value("cr_marks"); ?>" class="form-control " id="cr_marks" name="cr_marks" placeholder="Enter Criteria Marks" onkeypress="return event.charCode >= 48 && event.charCode <= 57">
                                        </div>
                                        <div class="form-group col-sm-4">
                                            <label for="cr_order" class="input__label">Criteria Order *</label>
                                            <input type="text" value="<?php echo set_value("cr_order"); ?>" name="cr_order" id="cr_order" class="form-control" placeholder="Enter Criteria Order" onkeypress="return event.charCode >= 48 && event.charCode <= 57">
                                        </div>
                                    </div>
                                </fieldset>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-2">Create Criteria</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div> 
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>

