
<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create New Guideline | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Master Entry</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/OBESConfig/guidelines"); ?>">Guideline Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/OBESConfig/createGuideline"); ?>">Create New Guideline</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create Sub-Criteria Guideline</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url("admin/OBESConfig/saveNewGuideline"), ['name' => 'guidelineCreationFrm', 'id' => 'guidelineCreationFrm']); ?>
                                <fieldset>
                                    <legend>Guideline Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-sm-9">
                                            <label for="csgm_name" class="input__label required">Guideline Name *</label>
                                            <input type="text" value="<?php echo set_value("csgm_name") ?>" name="csgm_name" id="csgm_name" class="form-control" placeholder="Enter Sub Criteria Guide Name">
                                        </div>
                                        <div class="form-group  col-sm-3">
                                            <label for="csgm_marks" class="input__label required">Guideline Marks *</label>
                                            <input type="text" value="<?php echo set_value("csgm_marks") ?>" class="form-control" id="csgm_marks" name="csgm_marks" placeholder="Enter Sub Criteria Guide Marks" onkeypress="return event.charCode >= 48 && event.charCode <= 57">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label class="input__label required" for="cr_name">Criteria *</label>
                                            <select name="cr_name" id="cr_name" class="custom-select">
                                                <option <?php echo set_select("cr_name", ""); ?> value="">Select Criteria</option>
                                                <?php foreach ($criteria as $criterion) { ?>
                                                    <option value="<?php echo $criterion->cr_id; ?>" <?php echo set_select("cr_name", $criterion->cr_id); ?>><?php echo stripslashes($criterion->cr_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label class="input__label required" for="csm_name">Sub Criteria *</label>
                                            <select name="csm_name" id="csm_name" class="custom-select">
                                                <option <?php echo set_select("csm_name", ""); ?> value="">Select Sub Criteria</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label class="input__label required" for="up_type">Upload Type *</label>
                                            <select name="up_type" id="up_type" class="custom-select">
                                                <option <?php echo set_select("up_type", ""); ?> value="">Select Upload Type</option>
                                                <option <?php echo set_select("up_type", "M"); ?> value="M">Manual</option>
                                                <option <?php echo set_select("up_type", "G"); ?> value="G">Generated</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label class="input__label required" for="ifSession">With Session</label>
                                            <select name="ifSession" id="ifSession" class="custom-select">
                                                <option <?php echo set_select("ifSession", "T"); ?> value="T">Yes</option>
                                                <option <?php echo set_select("ifSession", "F"); ?> value="F">No</option>
                                            </select>
                                        </div>
                                    </div>
                                </fieldset>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-2">Create Guideline</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div> 
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
        <script>
            $("#cr_name").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url("admin/OBESConfig/getActiveSubCriteriaByCriteria"); ?>',
                        data: {cr_name: $(this).val(), csm_id: '', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subCriteriaInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#csm_name").html(subCriteriaInfo.csm_list);
                            csrfHash = subCriteriaInfo.csrfHash;
                            guidelineCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#csm_name").html("<option>Select Sub-Criteria</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $(document).ready(function () {
                if ($("#cr_name").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/OBESConfig/getActiveSubCriteriaByCriteria/') ?>',
                        data: {cr_name: $("#cr_name").val(), csm_id: '', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subCriteriaInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#csm_name").html(subCriteriaInfo.csm_list);
                            csrfHash = subCriteriaInfo.csrfHash;
                            guidelineCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
    </body>
</html>

