<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create New Assessment | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">OBES Config</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/OBESConfig/tests"); ?>">Assessment Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/OBESConfig/createTest"); ?>">Create New Assessment</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create New Assessment</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url("admin/OBESConfig/saveNewTest"), ['name' => 'testCreationFrm', 'id' => 'testCreationFrm']); ?>
                                <fieldset>
                                    <legend>Assessment Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label class="input__label required" for="sm_name">Subject *</label>
                                            <select name="sm_name" id="sm_name" class="custom-select">
                                                <option <?php echo set_select("sm_name", ""); ?> value="">Select Subject</option>
                                                <?php foreach ($subjects as $subject) { ?>
                                                    <option value="<?php echo $subject->sm_id; ?>" <?php echo set_select("sm_name", $subject->sm_id) ?>><?php echo stripslashes($subject->sm_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-sm-6">
                                            <label for="test_name" class="input__label required">Assessment Name *</label>
                                            <input type="text" value="<?php echo set_value("test_name") ?>" name="test_name" id="test_name" class="form-control" placeholder="Enter Assessment Name">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label class="input__label required" for="test_type">Assessment Type *</label>
                                            <select name="test_type" id="test_type" class="custom-select">
                                                <option <?php echo set_select("test_type", ""); ?> value="">Select Subject</option>
                                                <option value="D" <?php echo set_select("test_type", "D") ?>>Direct</option>
                                                <option value="I" <?php echo set_select("test_type", "I") ?>>Indirect</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="test_weightage" class="input__label required">Assessment Weightage *</label>
                                            <input type="text" class="form-control" id="test_weightage" name="test_weightage"  placeholder="Enter Assessment Weightage" maxlength="5" onkeypress="return event.charCode >= 47 && event.charCode <= 57" value="<?php echo set_value("test_weightage") ?>">
                                        </div>
                                        <div class="form-group col-sm-12">
                                            <label for="test_desc" class="input__label required">Assessment Description</label>
                                            <textarea name="test_desc" id="test_desc" class="form-control" placeholder="Enter Assessment Description"><?php echo set_value("test_desc") ?></textarea>
                                        </div>

                                </fieldset>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-2">Create Assessment</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div> 
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>

    </body>
</html>



