<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create New Objective General Question | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-select.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Tasks & Quizzes</li>
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/TasksAndQuizzes/objectiveQuestions"); ?>">Objective Questions Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/TasksAndQuizzes/createObjectiveQuestion"); ?>">Add New Objective General Questions</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create New Objective General Questions</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('admin/TasksAndQuizzes/saveNewObjectiveGeneralQuestion'), ['name' => 'objectiveGenQuestionCreationFrm', 'id' => 'objectiveGenQuestionCreationFrm']); ?>
                                <fieldset>
                                    <legend>Question Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="subjectCourse" class="input__label">Course *</label>
                                            <select id="subjectCourse" name="subjectCourse" class="custom-select">
                                                <option value="">Select Course</option>
                                                <?php
                                                foreach ($courses as $course) {
                                                    if ($this->session->flashdata('selectedCourse')) {
                                                        $selected = ($course->course_id == $this->session->flashdata('selectedCourse')) ? "selected" : "";
                                                        ?>
                                                        <option value="<?php echo $course->course_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($course->course_name); ?></option>
                                                    <?php } else {
                                                        ?>
                                                        <option value="<?php echo $course->course_id; ?>" <?php echo set_select("subjectCourse", $course->course_id); ?>><?php echo stripslashes($course->course_name); ?></option>
                                                        <?php
                                                    }
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="subject" class="input__label">Subject *</label>
                                            <select id="subject" name="subject" class="form-control selectpicker" data-selected-text-format="count > 1" data-dropup-auto="true" data-live-search="true" onmousedown="if (this.options.length > 2) {
                                                        this.size = 2;
                                                    }" title="Select Subject">
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="subjectTopic" class="input__label">Topic *</label>
                                            <select id="subjectTopic" name="subjectTopic" class="custom-select">
                                                <option value="">Select Topic</option>
                                            </select>
                                            <small id="addTopic" style="display:none;" class="form-text pull-right text-muted"><a href="javascript:void(0);" onClick="$('#addTopicFormModal').modal('show');"><i class="fa fa-plus"></i>Add New Topic</a></small>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="question" class="input__label">Question *</label>
                                            <textarea class="form-control" id="question" name="question" placeholder="Enter Question" maxlength="1000"><?php echo set_value('question'); ?></textarea>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="questionMarks" class="input__label">Marks *</label>
                                            <input type="text" class="form-control" id="questionMarks" name="questionMarks" placeholder="Enter Marks" value="<?php echo set_value('questionMarks'); ?>">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="questionNegMarks" class="input__label">Negative Marks *</label>
                                            <input type="text" class="form-control" id="questionNegMarks" name="questionNegMarks" placeholder="Enter Negative Marks (Without -/Minus Symbol)" value="<?php echo set_value('questionNegMarks'); ?>">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="imageFile" class="input__label">Image File</label>
                                            <input type="file" class="form-control" id="imageFile" name="imageFile">
                                            <small id="imageFileInstruction" style="color:#0000FF;font-weight: bold;">Max File Size For Image File & Option Image Files Is 500KB And Allowed Extensions Are *.png, *.jpg, *.jpeg.</small>
                                        </div>
                                    </div>
                                </fieldset>
                                <fieldset>
                                    <legend>Options</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <div class="row">
                                                <div class="col-sm-6">
                                                    <label for="option_a" class="input__label">A.</label>
                                                    <input type="text" class="form-control" id="option_a" name="option_a" value="<?php echo set_value('option_a'); ?>" placeholder="Enter Option A" maxlength="200">
                                                </div>
                                                <div class="col-sm-6">
                                                    <label for="option_a_img" class="input__label">A. Image</label>
                                                    <input type="file" class="form-control" id="option_a_img" name="option_a_img">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <div class="row">
                                                <div class="col-sm-6">
                                                    <label for="option_b" class="input__label">B.</label>
                                                    <input type="text" class="form-control" id="option_b" name="option_b" value="<?php echo set_value('option_b'); ?>" placeholder="Enter Option B" maxlength="200">
                                                </div>
                                                <div class="col-sm-6">
                                                    <label for="option_b_img" class="input__label">B. Image</label>
                                                    <input type="file" class="form-control" id="option_b_img" name="option_b_img">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <div class="row">
                                                <div class="col-sm-6">
                                                    <label for="option_c" class="input__label">C.</label>
                                                    <input type="text" class="form-control" id="option_c" name="option_c" value="<?php echo set_value('option_c'); ?>" placeholder="Enter Option C" maxlength="200">
                                                </div>
                                                <div class="col-sm-6">
                                                    <label for="option_c_img" class="input__label">C. Image</label>
                                                    <input type="file" class="form-control" id="option_c_img" name="option_c_img">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <div class="row">
                                                <div class="col-sm-6">
                                                    <label for="option_d" class="input__label">D.</label>
                                                    <input type="text" class="form-control" id="option_d" name="option_d" value="<?php echo set_value('option_d'); ?>" placeholder="Enter Option D" maxlength="200">
                                                </div>
                                                <div class="col-sm-6">
                                                    <label for="option_d_img" class="input__label">D. Image</label>
                                                    <input type="file" class="form-control" id="option_d_img" name="option_d_img">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </fieldset>
                                <fieldset>
                                    <legend>Correct Answer</legend>
                                    <table style="width:100%" class="table table-active">
                                        <tr>
                                            <td>
                                                <label for="correctAnswer" class="input__label">Correct Option *</label>
                                                <select id="correctAnswer" name="correctAnswer" class="custom-select">
                                                    <option value="" <?php echo set_select("correctAnswer", ""); ?>>Select Correct Option</option>
                                                    <option value="A" <?php echo set_select("correctAnswer", "A"); ?>>A</option>
                                                    <option value="B" <?php echo set_select("correctAnswer", "B"); ?>>B</option>
                                                    <option value="C" <?php echo set_select("correctAnswer", "C"); ?>>C</option>
                                                    <option value="D" <?php echo set_select("correctAnswer", "D"); ?>>D</option>
                                                </select>
                                            </td>
                                        </tr>
                                    </table>
                                </fieldset>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <button id="saveAndMove" name="saveAndMove" type="submit" class="btn btn-primary btn-block btn-style mt-4"><i class="fa fa-save"></i> | <i class="fa fa-list-ol"></i>&nbsp;Save & Show List</button>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <button id="submitBtn" name="submitBtn" type="submit" class="btn btn-success btn-block btn-style mt-4"><i class="fa fa-save"></i> | <i class="fa fa-plus"></i>&nbsp;Save & Add More</button>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <a  href="<?php echo site_url("admin/TasksAndQuizzes/objectiveQuestions"); ?>" id="submitBtn" class="btn btn-danger btn-block btn-style mt-4"><i class="fa fa-ban"></i>&nbsp;Cancel</a>
                                    </div>
                                </div>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <!-- Add Topic Form Starts -->
        <div class="modal fade" id="addTopicFormModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-xl">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Add New Topic</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <?php echo form_open("", ['name' => 'topicCreationFrm', 'id' => 'topicCreationFrm']); ?>
                        <fieldset>
                            <legend>Topic Info</legend>
                            <input type="hidden" id="subjectModal" name="subjectModal" value="">
                            <div class="form-row">
                                <div class="form-group col-md-12">
                                    <label for="subjectTopicModal" class="input__label">Topic *</label>
                                    <input type="text" class="form-control input-style" id="subjectTopicModal" name="subjectTopicModal" value="<?php echo set_value('subjectTopicModal'); ?>" placeholder="Enter Subject Topic" maxlength="500">
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group col-md-12">
                                    <label for="subjectTopicModalDesc" class="input__label">Topic Description</label>
                                    <textarea class="form-control" id="subjectTopicModalDesc" name="subjectTopicModalDesc" placeholder="Enter Subject Topic Description" maxlength="1000"><?php echo set_value('subjectTopicModalDesc'); ?></textarea>
                                </div>
                            </div>
                        </fieldset>
                        <span id="spnErr" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                        <span id="spnSuccess" style="color:#00FF00;font-size:15px;font-weight: bolder;"></span>
                        <button type="button" onClick="saveTopic();" class="btn btn-primary btn-block btn-style mt-4">Create Topic</button>
                        <?php echo form_close(); ?>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Add Topic Form Modal Ends -->
        <script>
            $("#subjectCourse").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Subject/getSubjectsForMultipleDropDown/') ?>',
                        data: {course_id: $("#subjectCourse").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subjectInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subject").html(subjectInfo.subject_list);
                            $("#subject").selectpicker('refresh');
                            csrfHash = subjectInfo.csrfHash;
                            objectiveGenQuestionCreationFrm.csrf_token.value = csrfHash;
                            topicCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subject").html("<option value=''>Select Subject</option>");
                    $("#subjectTopic").html("<option value=''>Select Topic</option>");
                    $("#addTopic").css("display", "none");
                }
            });

            $("#subject").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($("#subject").val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/TasksAndQuizzes/getTopicsForDropdownBySubject/') ?>',
                        data: {subject_id: $("#subject").val(), topic_id: '', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var topicInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subjectTopic").html(topicInfo.topics);
                            $("#addTopic").css("display", "block");
                            $("#subjectModal").val($("#subject").val());
                            csrfHash = topicInfo.csrfHash;
                            objectiveGenQuestionCreationFrm.csrf_token.value = csrfHash;
                            topicCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subjectTopic").html("<option value=''>Select Topic</option>");
                }
            });

            function saveTopic() {
                if ($("#subjectTopicModal").val() === "") {
                    $("#spnErr").html("Topic Name Cannot be Blank.");
                } else {
                    $(".se-pre-con").fadeIn("slow");
                    event.preventDefault();
                    var formValues = $("#topicCreationFrm").serialize();
                    $.post("<?php echo site_url('admin/TasksAndQuizzes/saveNewTopicAndReturnForDropDown'); ?>", formValues, function (data) {
                        $(".se-pre-con").fadeOut("slow");
                        var response = JSON.parse(data);
                        csrfHash = response.csrfHash;
                        if (response.stm_id === '-1' || response.stm_id === -1) {
                            $("#spnSuccess").html("");
                            $("#spnErr").html("Error! Please Fill Up Topic Name.");
                        } else if (response.stm_id === '0' || response.stm_id === 0) {
                            $("#spnSuccess").html("");
                            $("#spnErr").html("Error! This Topic Already Exists. Please Choose Different Topic Name.");
                        } else {
                            var newTopic = JSON.parse(data);
                            var newTopicOption = "<option value='" + newTopic.stm_id + "' selected>" + newTopic.stm_name + "</option>";
                            $("#spnErr").html("");
                            $("#spnSuccess").html("Topic Added Successfully.");
                            $("#subjectTopic").append(newTopicOption);
                            $("#topicCreationFrm").trigger('reset');
                            $('#addTopicFormModal').modal('hide');
                        }
                        topicCreationFrm.csrf_token.value = csrfHash;
                        objectiveGenQuestionCreationFrm.csrf_token.value = csrfHash;
                    });
                }
            }

            $(document).ready(function () {
                if ($("#subjectCourse").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Subject/getSubjectsForMultipleDropDown/') ?>',
                        data: {course_id: $("#subjectCourse").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subjectInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subject").html(subjectInfo.subject_list);
                            $("#subject").selectpicker('refresh');
                            $("#subject").val(<?php echo $this->session->flashdata('selectedSubject'); ?>);
                            $("#subject").selectpicker('refresh');
                            csrfHash = subjectInfo.csrfHash;
                            objectiveGenQuestionCreationFrm.csrf_token.value = csrfHash;
                            topicCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if ('<?php echo $this->session->flashdata('selectedSubject'); ?>' !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/TasksAndQuizzes/getTopicsForDropdownBySubject/'); ?>',
                        data: {subject_id: '<?php echo $this->session->flashdata('selectedSubject'); ?>', topic_id: '<?php echo $this->session->flashdata('selectedTopic'); ?>', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var topicInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subjectTopic").html(topicInfo.topics);
                            csrfHash = topicInfo.csrfHash;
                            objectiveGenQuestionCreationFrm.csrf_token.value = csrfHash;
                            topicCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>