<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create New Subjective Comprehensive Question | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-select.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Tasks & Quizzes</li>
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/TasksAndQuizzes/subjectiveQuestions"); ?>">Subjective Questions Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/TasksAndQuizzes/createSubjectiveComprehensiveQuestions"); ?>">Add New Subjective Comprehensive Questions</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create New Subjective Comprehensive Questions</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('admin/TasksAndQuizzes/saveNewSubjectiveGroupQuestion'), ['name' => 'subjectiveGroupQuestionCreationFrm', 'id' => 'subjectiveGroupQuestionCreationFrm']); ?>
                                <fieldset>
                                    <legend>Question Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="subjectCourse" class="input__label">Course *</label>
                                            <select id="subjectCourse" name="subjectCourse" class="custom-select">
                                                <option value="">Select Course</option>
                                                <?php foreach ($courses as $course) { ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo set_select("subjectCourse", $course->course_id); ?>><?php echo stripslashes($course->course_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="subject" class="input__label">Subject *</label>
                                            <select id="subject" name="subject" class="form-control selectpicker" data-selected-text-format="count > 1" data-dropup-auto="true" data-live-search="true" onmousedown="if (this.options.length > 2) {
                                                        this.size = 2;
                                                    }" title="Select Subject">
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="subjectTopic" class="input__label">Topic *</label>
                                            <select id="subjectTopic" name="subjectTopic" class="custom-select">
                                                <option value="">Select Topic</option>
                                            </select>
                                            <small id="addTopic" style="display:none;" class="form-text pull-right text-muted"><a href="javascript:void(0);" onClick="$('#addTopicFormModal').modal('show');"><i class="fa fa-plus"></i>Add New Topic</a></small>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="questionDesc" class="input__label">Question Description *</label>
                                            <textarea class="form-control" id="questionDesc" name="questionDesc" placeholder="Enter Question Description" maxlength="1000"><?php echo set_value('questionDesc'); ?></textarea>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="imageFile" class="input__label">Image File</label>
                                            <input type="file" class="form-control" id="imageFile" name="imageFile">
                                            <small id="imageFileInstruction" style="color:#0000FF;font-weight: bold;">Max File Size For Image File Is 500KB And Allowed Extensions Are *.png, *.jpg, *.jpeg.</small>
                                        </div>
                                    </div>
                                </fieldset>
                                <fieldset>
                                    <legend>Add Sub-Questions</legend>
                                    <table id="subQuestions" style="width:100%" class="table table-active">
                                        <tr>
                                            <td style="width:75%">
                                                <input type="text" class="form-control questions" name="questions[]" placeholder="Enter Sub-Question" maxlength="1000">
                                            </td>
                                            <td style="width:15%">
                                                <input type="text" class="form-control marks" name="marks[]" placeholder="Marks" maxlength="3" onkeypress="return event.charCode >= 48 && event.charCode <= 57">
                                            </td>
                                            <td style="width:10%">
                                                <a href="javascript:void(0);" id="addMoreBtn" class='btn btn-sm btn-primary'><i class="fa fa-plus"></i> More</a>
                                            </td>
                                        </tr>
                                    </table>
                                </fieldset>
                                <input type="hidden" id="totalMarks" name="totalMarks">
                                <button id="submitBtn" type="button" class="btn btn-primary btn-block btn-style mt-4">Save Question</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <!-- Add Topic Form Starts -->
        <div class="modal fade" id="addTopicFormModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-xl">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Add New Topic</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <?php echo form_open("", ['name' => 'topicCreationFrm', 'id' => 'topicCreationFrm']); ?>
                        <fieldset>
                            <legend>Topic Info</legend>
                            <input type="hidden" id="subjectModal" name="subjectModal" value="">
                            <div class="form-row">
                                <div class="form-group col-md-12">
                                    <label for="subjectTopicModal" class="input__label">Topic *</label>
                                    <input type="text" class="form-control input-style" id="subjectTopicModal" name="subjectTopicModal" value="<?php echo set_value('subjectTopicModal'); ?>" placeholder="Enter Subject Topic" maxlength="500">
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group col-md-12">
                                    <label for="subjectTopicModalDesc" class="input__label">Topic Description</label>
                                    <textarea class="form-control" id="subjectTopicModalDesc" name="subjectTopicModalDesc" placeholder="Enter Subject Topic Description" maxlength="1000"><?php echo set_value('subjectTopicModalDesc'); ?></textarea>
                                </div>
                            </div>
                        </fieldset>
                        <span id="spnErr" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                        <span id="spnSuccess" style="color:#00FF00;font-size:15px;font-weight: bolder;"></span>
                        <button type="button" onClick="saveTopic();" class="btn btn-primary btn-block btn-style mt-4">Create Topic</button>
                        <?php echo form_close(); ?>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Add Topic Form Modal Ends -->
        <script>
            $("#subjectCourse").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Subject/getSubjectsForMultipleDropDown/') ?>',
                        data: {course_id: $("#subjectCourse").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subjectInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subject").html(subjectInfo.subject_list);
                            $("#subject").selectpicker('refresh');
                            csrfHash = subjectInfo.csrfHash;
                            subjectiveGroupQuestionCreationFrm.csrf_token.value = csrfHash;
                            topicCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subject").html("<option value=''>Select Subject</option>");
                    $("#subjectTopic").html("<option value=''>Select Topic</option>");
                    $("#addTopic").css("display", "none");
                }
            });

            $("#subject").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/TasksAndQuizzes/getTopicsForDropdownBySubject/') ?>',
                        data: {subject_id: $("#subject").val(), topic_id: '', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var topicInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subjectTopic").html(topicInfo.topics);
                            $("#addTopic").css("display", "block");
                            $("#subjectModal").val($("#subject").val());
                            csrfHash = topicInfo.csrfHash;
                            subjectiveGroupQuestionCreationFrm.csrf_token.value = csrfHash;
                            topicCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subjectTopic").html("<option value=''>Select Topic</option>");
                }
            });

            $("#addMoreBtn").on("click", function () {
                $("#subQuestions").append('<tr><td style="width:75%"><input type="text" class="form-control questions" name="questions[]" placeholder="Enter Sub-Question"/></td><td style="width:15%"><input type="text" class="form-control marks" name="marks[]" onkeypress="return event.charCode >= 48 && event.charCode <= 57" placeholder="Marks"/></td><td style="width:10%"><a href="javascript:void(0);" class="removeBtn btn btn-sm btn-danger"><i class="fa fa-times"></i> Delete</a></td></tr>');
            });

            $("#subQuestions").on('click', '.removeBtn', function () {
                var inx = $('.removeBtn').index(this);
                $('tr').eq(inx + 1).remove();
            });

            $("#submitBtn").on("click", function () {
                var marksValidated = 0;
                var totalMarks = 0;
                var questionsValidated = 0;
                $("input[name='marks[]']").each(function () {
                    if ($(this).val().trim() === "" || isNaN($(this).val().trim())) {
                        marksValidated++;
                    } else {
                        totalMarks += parseInt($(this).val().trim());
                    }
                });
                $("input[name='questions[]']").each(function () {
                    if ($(this).val().trim() === "") {
                        questionsValidated++;
                    }
                });
                if ($("#subjectCourse").val().trim() === "") {
                    alert("Please Select A Course.");
                    $("#subjectCourse").focus();
                } else if ($("#subject").val().trim() === "") {
                    alert("Please Select A Subject.");
                    $("#subject").focus();
                } else if ($("#subjectTopic").val().trim() === "") {
                    alert("Please Select Any Topic.");
                    $("#subjectTopic").focus();
                } else if ($("#questionDesc").val().trim() === "") {
                    alert("Please Enter Question Description.");
                    $("#questionDesc").focus();
                } else if (questionsValidated !== 0) {
                    alert("You Left Any Sub-Question Field Blank. Please Enter The Question.");
                } else if (marksValidated !== 0) {
                    alert("You Have Left Any Marks Field Blank Or May Have Entered Non-Numeric Value. Only Numbers Are Accepted.");
                } else {
                    $("#totalMarks").val(totalMarks);
                    $("#subjectiveGroupQuestionCreationFrm").submit();
                }
            });

            function saveTopic() {
                if ($("#subjectTopicModal").val() === "") {
                    $("#spnErr").html("Topic Name Cannot be Blank.");
                } else {
                    $(".se-pre-con").fadeIn("slow");
                    event.preventDefault();
                    var formValues = $("#topicCreationFrm").serialize();
                    $.post("<?php echo site_url('admin/TasksAndQuizzes/saveNewTopicAndReturnForDropDown'); ?>", formValues, function (data) {
                        $(".se-pre-con").fadeOut("slow");
                        var response = JSON.parse(data);
                        csrfHash = response.csrfHash;
                        if (response.stm_id === '-1' || response.stm_id === -1) {
                            $("#spnSuccess").html("");
                            $("#spnErr").html("Error! Please Fill Up Topic Name.");
                        } else if (response.stm_id === '0' || response.stm_id === 0) {
                            $("#spnSuccess").html("");
                            $("#spnErr").html("Error! This Topic Already Exists. Please Choose Different Topic Name.");
                        } else {
                            var newTopic = JSON.parse(data);
                            var newTopicOption = "<option value='" + newTopic.stm_id + "' selected>" + newTopic.stm_name + "</option>";
                            $("#spnErr").html("");
                            $("#spnSuccess").html("Topic Added Successfully.");
                            $("#subjectTopic").append(newTopicOption);
                            $("#topicCreationFrm").trigger('reset');
                            $('#addTopicFormModal').modal('hide');
                        }
                        topicCreationFrm.csrf_token.value = csrfHash;
                        subjectiveGroupQuestionCreationFrm.csrf_token.value = csrfHash;
                    });
                }

            }

            $(document).ready(function () {
                if ($("#subjectCourse").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Subject/getSubjectsForMultipleDropDown/') ?>',
                        data: {course_id: $("#subjectCourse").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subjectInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subject").html(subjectInfo.subject_list);
                            $("#subject").selectpicker('refresh');
                            csrfHash = subjectInfo.csrfHash;
                            subjectiveGroupQuestionCreationFrm.csrf_token.value = csrfHash;
                            topicCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>