<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>E-Content Assignemnts | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-select.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Tasks & Quizzes</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/TasksAndQuizzes/eContentAssigments"); ?>">E-Content Assignments</a></li>
                        </ol>
                    </nav>

                    <section class="forms">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-share"></i> Subject Wise E-Content Assignment</h3><br>
                            <div class="card-body">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <fieldset>
                                    <legend><i class="fa fa-filter"></i>Filters</legend>
                                    <?php echo form_open(site_url('admin/TasksAndQuizzes/eContentAssigments'), ['name' => 'fetchEContentAssignmentFilterFrm', 'id' => 'fetchEContentAssignmentFilterFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="title" class="input__label">Title/Description</label>
                                            <input id="title" type="text" name="title" class="form-control" value="<?php echo set_value("title"); ?>" placeholder="Enters Title/Description To Search">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="session" class="input__label">E-Content Upload Session</label>
                                            <select id="session" name="session" class="custom-select">
                                                <option value="" <?php echo set_select("session", "") ?>>All</option>
                                                <?php foreach ($sessions as $session) { ?>
                                                    <option value="<?php echo $session->session_id; ?>" <?php echo set_select("session", $session->session_id); ?>><?php echo stripslashes($session->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="subject" class="input__label">Subject</label>
                                            <select id="subject" name="subject" class="form-control selectpicker" data-selected-text-format="count > 1" data-dropup-auto="true" data-live-search="true" onmousedown="if (this.options.length > 2) {
                                                        this.size = 2;
                                                    }" title="Select Subject">
                                                <option value="" <?php echo set_select("subject", "") ?>>All</option>
                                                <?php foreach ($subjects as $subject) { ?>
                                                    <option value="<?php echo $subject->sm_id; ?>" <?php echo set_select("subject", $subject->sm_id); ?>><?php echo "[" . stripslashes($subject->sm_code) . "]-" . stripslashes($subject->sm_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="econtent" class="input__label">E-Content</label>
                                            <select id="econtent" name="econtent" class="form-control selectpicker" data-selected-text-format="count > 1" data-dropup-auto="true" data-live-search="true" onmousedown="if (this.options.length > 2) {
                                                        this.size = 2;
                                                    }" title="All E-Contents">
                                                <option value="" <?php echo set_select("subject", "") ?>>All</option>
                                                <?php foreach ($econtents as $econtent) { ?>
                                                    <option value="<?php echo $econtent->ecm_id; ?>" <?php echo set_select("econtent", $econtent->ecm_id); ?>><?php echo stripslashes($econtent->ecm_title); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="startDate" class="input__label">Start Date</label>
                                            <input id="startDate" type="startDate" name="startDate" class="form-control" value="<?php echo set_value("startDate"); ?>" autocomplete="off" placeholder="Enter/Select Start Date">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="endDate" class="input__label">End Date</label>
                                            <input id="endDate" type="text" name="endDate" class="form-control" value="<?php echo set_value("endDate"); ?>" autocomplete="off" placeholder="Enter/Select End Date">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="dateRangeAppliedWith" class="input__label">Apply Date Range With</label>
                                            <select id="dateRangeAppliedWith" name="dateRangeAppliedWith" class="custom-select">
                                                <option value="ASD" <?php echo set_select("dateRangeAppliedWith", "") ?>>Assignment Date</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="fetchEContentsSchedules" class="input__label"></label>
                                            <button type="submit" id="fetchEContentsSchedules" name="fetchEContentsSchedules" class="btn btn-sm btn-warning pull-right">Fetch E-Contents&nbsp;<i class="fa fa-arrow-left"></i></button>
                                        </div>
                                    </div>
                                    <hr>
                                    <?php echo form_close(); ?>
                                </fieldset>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/TasksAndQuizzes/assignNewEContent"); ?>'" tooltip="Assign New E-Contents"><i class="fa fa-plus"></i> Assign New E-Contents</button><br><br>
                                <table id="eContentAssignments" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Start Date</th>
                                            <th>End Date</th>
                                            <th>Title</th>
                                            <th>File</th>
                                            <th>Assigned On</th>
                                            <th>Updated On</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Start Date</th>
                                            <th>End Date</th>
                                            <th>Title</th>
                                            <th>File</th>
                                            <th>Assigned On</th>
                                            <th>Updated On</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($econtentAssignments); $i++) {
                                            $record = $econtentAssignments[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo date("d-m-Y", strtotime($record->ecsm_start_date)); ?></td>
                                                <td><?php echo date("d-m-Y", strtotime($record->ecsm_end_date)); ?></td>
                                                <td><?php echo stripslashes($record->ecm_title); ?></td>
                                                <td><a href="<?php echo base_url($record->ecm_file); ?>" target="_blank"><i class="fa fa-download"></i> View/Download</a></td>
                                                <td><?php echo date("d-m-Y", strtotime($record->ecsm_scheduled_on)); ?></td>
                                                <td><?php echo date("d-m-Y", strtotime($record->ecsm_schedule_updated_on)); ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->ecsm_active_status == 'T') {
                                                        ?>
                                                        <i class="fa fa-ban" style="color:#FF0000;cursor: pointer;" title="Disable This E-Content Schedule" onClick="window.location.href = '<?php echo site_url('admin/TasksAndQuizzes/toggleEContentScheduleStatus/' . $record->ecsm_id . '/F/' . 'O'); ?>'"></i> 
                                                    <?php } else { ?>
                                                        <i class="fa fa-check-circle" style="color:#297534;cursor: pointer;" title="Enable This E-Content Schedule" onClick="window.location.href = '<?php echo site_url('admin/TasksAndQuizzes/toggleEContentScheduleStatus/' . $record->ecsm_id . '/T/' . 'O'); ?>'"></i> 
                                                        <?php
                                                    }
                                                    ?>
                                                    <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This E-Content Schedule" onClick="window.location.href = '<?php echo site_url('admin/TasksAndQuizzes/editEContentAssignment/' . $record->ecsm_id); ?>'" ></i>
                                                    <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This E-Content Schedule" onClick="deleteEContentSchedule(<?php echo $record->ecsm_id; ?>);"></i> 
                                                </td>
                                            </tr>
                                            <?php
                                        }
                                        ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                $("#eContentAssignments").DataTable({responsive: true, dom: 'Blfrtip'});
            });

            $(function () {
                var dateFormat = "dd/mm/yy",
                        from = $("#startDate")
                        .datepicker({
                            dateFormat: dateFormat,
                            defaultDate: '0',
                            changeMonth: true,
                            changeYear: true,
                            numberOfMonths: 1
                        })
                        .on("change", function () {
                            to.datepicker("option", "minDate", getDate(this));
                        }),
                        to = $("#endDate").datepicker({
                    dateFormat: dateFormat,
                    defaultDate: '0',
                    changeMonth: true,
                    changeYear: true,
                    numberOfMonths: 1
                })
                        .on("change", function () {
                            from.datepicker("option", "maxDate", getDate(this));
                        });

                function getDate(element) {
                    var date;
                    try {
                        date = $.datepicker.parseDate(dateFormat, element.value);
                    } catch (error) {
                        date = null;
                    }
                    return date;
                }
            });

            function deleteEContentSchedule(ecsm_id) {
                if (confirm("Are You Sure You Want To Delete This E-Content Schedule?")) {
                    window.location.href = '<?php echo site_url("admin/TasksAndQuizzes/deleteEContentSchedule/"); ?>' + ecsm_id;
                }
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>