<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing <?php echo stripslashes($econtentInfo->ecm_title); ?> | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-select.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Tasks & Quizzes</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/TasksAndQuizzes/eContents"); ?>">E-Contents</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/TasksAndQuizzes/editEContent/" . $econtentInfo->ecm_id); ?>">Edit E-Content</a></li>
                        </ol>
                    </nav>

                    <section class="forms">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-edit"></i> Edit E-Content File => <b><?php echo stripslashes($econtentInfo->ecm_title); ?></b></h3><br>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('admin/TasksAndQuizzes/updateEContent'), ['name' => 'eContentUpdateFrm', 'id' => 'eContentUpdateFrm']); ?>
                                <fieldset>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label class="input__label">Session *</label>
                                            <select id="session" name="session" class="custom-select readonly" tabindex="-1">
                                                <option value="">Select Session</option>
                                                <?php foreach ($sessions as $session) { ?>
                                                    <option <?php
                                                    if ($session->session_status == "C") {
                                                        echo "selected";
                                                    }
                                                    ?> value="<?php echo $session->session_id; ?>" <?php echo set_select("session", $session->session_id); ?>><?php echo stripslashes($session->session_name); ?></option>
                                                    <?php }
                                                    ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="subject" class="input__label">Subject *</label>
                                            <select id="subject" name="subject" class="form-control selectpicker" data-selected-text-format="count > 1" data-dropup-auto="true" data-live-search="true" onmousedown="if (this.options.length > 2) {
                                                        this.size = 2;
                                                    }" title="Select Subject">
                                                        <?php
                                                        foreach ($subjects as $subject) {
                                                            $selected = ($subject->sm_id == $econtentInfo->sm_id) ? "selected" : "";
                                                            ?>
                                                    <option value="<?php echo $subject->sm_id; ?>" <?php echo $selected; ?>><?php echo "[" . stripslashes($subject->sm_code) . "]-" . stripslashes($subject->sm_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label class="input__label">Course *</label>
                                            <select id="course" name="course" class="custom-select readonly" tabindex="-1">
                                                <option value="">Select Course</option>
                                            </select>
                                        </div>
                                    </div>
                                </fieldset>
                                <fieldset>
                                    <legend>About E-Content</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="title" class="input__label">Title *</label>
                                            <input type="text" class="form-control" id="title" name="title" value="<?php echo stripslashes($econtentInfo->ecm_title); ?>" placeholder="Enter Title" maxlength="200">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-8">
                                            <label for="file" class="input__label">File</label>
                                            <input type="file" class="form-control" id="file" name="file">
                                            <small id="eContentFileInstruction" class="form-text text-muted">Allowed Extensions: Only *.pdf,*.ppt(x),*.doc(x),*.xls(x),*.rar,*.zip,*.txt,*.csv,*.png,*.jpg,*.jpeg. Max. File Size: 2MB</small>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label class="input__label"></label><br>
                                            <label class="input__label pull-right"><a href="<?php echo base_url($econtentInfo->ecm_file); ?>" target="_blank"><i class="fa fa-hand-pointer-o"></i>View/Download Uploaded File</a></label>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="description" class="input__label">Description</label>
                                            <textarea class="form-control" id="description" name="description" maxlength="500" placeholder="Enter Description (Max. 500 Characters)"><?php echo stripslashes($econtentInfo->ecm_description); ?></textarea>
                                        </div>
                                    </div>
                                </fieldset>
                                <input type="hidden" name="ecm_id" value="<?php echo $econtentInfo->ecm_id ?>">
                                <input type="hidden" name="ecm_file_path" value="<?php echo $econtentInfo->ecm_file ?>">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4"><i class="fa fa-save"></i>&nbsp;Save Changes</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#subject").on("change", function () {
                $("#course").html("<option value=''></option>");
                event.preventDefault();
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/Subject/getCourseBySubjectForDropDown/'); ?>',
                    data: {subject_id: $("#subject").val().trim(), csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        var subjectInfo = JSON.parse(result);
                        $(".se-pre-con").fadeOut("slow");
                        csrfHash = subjectInfo.csrfHash;
                        if (subjectInfo.courses_avail !== '0' || subjectInfo.courses_avail !== 0) {
                            $("#course").html(subjectInfo.course_list);
                            eContentUpdateFrm.csrf_token.value = csrfHash;
                        }
                    }
                });
            });

            $(document).ready(function () {
                if ($("#subject").val().trim() !== "") {
                    $("#course").html("<option value=''></option>");
                    event.preventDefault();
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Subject/getCourseBySubjectForDropDown/'); ?>',
                        data: {subject_id: $("#subject").val().trim(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subjectInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            csrfHash = subjectInfo.csrfHash;
                            if (subjectInfo.courses_avail !== '0' || subjectInfo.courses_avail !== 0) {
                                $("#course").html(subjectInfo.course_list);
                                eContentUpdateFrm.csrf_token.value = csrfHash;
                            }
                        }
                    });
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>
