<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>All Objective Questions List | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Tasks & Quizzes</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/TasksAndQuizzes/objectiveQuestions"); ?>">All Objective Questions</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-quora"></i> Objective Questions Management</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/TasksAndQuizzes/createObjectiveQuestion"); ?>'" tooltip="Add New Objective Question"><i class="fa fa-plus"></i> Add New Question</button><br><br>
                                <div class="row">
                                    <div class="col-12">
                                        <table id="allGeneralQuestions" class="bootstrap-datatable table-striped" style="width:100%">
                                            <thead>
                                                <tr>
                                                    <th>Sr. No</th>
                                                    <th>Question</th>
                                                    <th>Marks(+/-)</th>
                                                    <th>Topic</th>
                                                    <th>Subject</th>
                                                    <th>Course</th>
                                                    <th>Last Updated On</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                            <tfoot>
                                                <tr>
                                                    <th>Sr. No</th>
                                                    <th>Question</th>
                                                    <th>Marks(+/-)</th>
                                                    <th>Topic</th>
                                                    <th>Subject</th>
                                                    <th>Course</th>
                                                    <th>Last Updated On</th>
                                                    <th>Action</th>
                                                </tr>
                                            </tfoot>
                                            <tbody>
                                                <?php
                                                for ($i = 0; $i < sizeof($objectiveGenQuestion); $i++) {
                                                    $record = $objectiveGenQuestion[$i];
                                                    ?>
                                                    <tr>
                                                        <td><?php echo ($i + 1); ?></td>
                                                        <th>
                                                            <?php
                                                            echo stripslashes($record->qb_question) . "<br>";
                                                            if ($record->qb_image != NULL || $record->qb_image != "") {
                                                                echo "<img src='" . base_url($record->qb_image) . "' width='50%'><br>";
                                                            }
                                                            ?>
                                                            <table class="table table-bordered">
                                                                <tr>
                                                                    <td <?php echo ($record->qb_correct_opt == "A") ? "style='background:#03c895;'" : "style='background:#FFF;'" ?> >A. <?php echo stripslashes($record->qb_opt_a); echo ($record->qb_correct_opt == "A") ? " <i class='fa fa-check-circle-o'></i>" : ""; echo ($record->qb_opt_a_img != NULL || $record->qb_opt_a_img != "") ? "<br><img src='" . base_url($record->qb_opt_a_img) . "' width='50px' height='20px'>" : "";?></td>
                                                                    <td <?php echo ($record->qb_correct_opt == "B") ? "style='background:#03c895;'" : "style='background:#FFF;'" ?>>B. <?php echo stripslashes($record->qb_opt_b); echo ($record->qb_correct_opt == "B") ? " <i class='fa fa-check-circle-o'></i>" : ""; echo ($record->qb_opt_b_img != NULL || $record->qb_opt_b_img != "") ? "<br><img src='" . base_url($record->qb_opt_b_img) . "' width='50px' height='20px'>" : "";?></td>
                                                                </tr>
                                                                <tr>
                                                                    <td <?php echo ($record->qb_correct_opt == "C") ? "style='background:#03c895;'" : "style='background:#FFF;'" ?>>C. <?php echo stripslashes($record->qb_opt_c); echo ($record->qb_correct_opt == "C") ? " <i class='fa fa-check-circle-o'></i>" : ""; echo ($record->qb_opt_c_img != NULL || $record->qb_opt_c_img != "") ? "<br><img src='" . base_url($record->qb_opt_c_img) . "' width='50px' height='20px'>" : "";?></td>
                                                                    <td <?php echo ($record->qb_correct_opt == "D") ? "style='background:#03c895;'" : "style='background:#FFF;'" ?>>D. <?php echo stripslashes($record->qb_opt_d); echo ($record->qb_correct_opt == "D") ? " <i class='fa fa-check-circle-o'></i>" : ""; echo ($record->qb_opt_d_img != NULL || $record->qb_opt_d_img != "") ? "<br><img src='" . base_url($record->qb_opt_d_img) . "' width='50px' height='20px'>" : "";?></td>
                                                                </tr>
                                                            </table>
                                                        </th>
                                                        <td><?php echo $record->qb_marks."/".$record->qb_negative_marks; ?></td>
                                                        <td><?php echo $record->stm_name; ?></td>
                                                        <td><?php echo stripslashes($record->sm_name); ?></td>
                                                        <td><?php echo stripslashes($record->course_name); ?></td>
                                                        <td><?php echo date("d-m-Y h:i:s A", strtotime($record->qb_updated_on)); ?></td>
                                                        <td>
                                                            <?php if ($record->qb_delete_status == 'F') { ?>
                                                                <i class = 'fa fa-edit' style = 'color:#002166;cursor: pointer;' title = "Edit This Question" onClick = "window.location.href = '<?php echo site_url('admin/TasksAndQuizzes/editObjectiveGeneralQuestion/' . $record->qb_id) ?>'" ></i>
                                                                <i class = "fa fa-trash" style = "color:#FF0000;cursor: pointer;" title = "Delete This Question" onClick = "deleteQuestion(<?php echo $record->qb_id; ?>);"></i>
                                                            <?php }
                                                            ?>
                                                        </td>
                                                    </tr>
                                                <?php } ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                $("#allGeneralQuestions").DataTable({responsive: true, dom: 'Blfrtip'});
            });

            function deleteQuestion(question_id) {
                if (confirm("Are You Sure To Delete This Question? Click OK To Continue And Cancel Otherwise.")) {
                    window.location.href = "<?php echo site_url('admin/TasksAndQuizzes/deleteGeneralQuestion/'); ?>" + question_id + "/O";
                }
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>