<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>All Deleted Employees List | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Recycle Bin</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/RecycleBin/employeeBin"); ?>">Employee's Bin</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-user-times"></i> All Deleted Employees</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <table id="allDeletedEmployees" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Employee Id/Code</th>
                                            <th>Full Name</th>
                                            <th>Signin Id</th>
                                            <th>Mobile</th>
                                            <th>Email</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Employee Id/Code</th>
                                            <th>Full Name</th>
                                            <th>Signin Id</th>
                                            <th>Mobile</th>
                                            <th>Email</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($deletedEmployees); $i++) {
                                            $record = $deletedEmployees[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo ($record->smember_code == "" || $record->smember_code == NULL) ? "-" : "<a href='" . site_url("admin/Staff/viewEmployee/" . $record->smember_id) . "' target='_blank'>" . $record->smember_code . "</a>"; ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->tprfl_gender == "M") {
                                                        echo "<i class='fa fa-male'></i>|" . "<a href='" . site_url("admin/Staff/viewEmployee/" . $record->smember_id) . "' target='_blank'>" . stripslashes($record->tprfl_firstname);
                                                        echo ($record->tprfl_lastname == "" || $record->tprfl_lastname == NULL) ? "" : " " . stripslashes($record->tprfl_lastname) . "</a>";
                                                    } else if ($record->tprfl_gender == "F") {
                                                        echo "<i class='fa fa-female'></i>|" . "<a href='" . site_url("admin/Staff/viewEmployee/" . $record->smember_id) . "' target='_blank'>" . stripslashes($record->tprfl_firstname);
                                                        echo ($record->tprfl_lastname == "" || $record->tprfl_lastname == NULL) ? "" : " " . stripslashes($record->tprfl_lastname) . "</a>";
                                                    } else {
                                                        echo "<i class='fa fa-transgender'></i>|" . "<a href='" . site_url("admin/Staff/viewEmployee/" . $record->smember_id) . "' target='_blank'>" . stripslashes($record->tprfl_firstname);
                                                        echo ($record->tprfl_lastname == "" || $record->tprfl_lastname == NULL) ? "" : " " . stripslashes($record->tprfl_lastname) . "</a>";
                                                    }
                                                    ?>
                                                </td>
                                                <td><?php echo $record->tld_signinid; ?></td>
                                                <td><?php echo $record->tprfl_mobile_no; ?></td>
                                                <td><?php echo $record->tprfl_email; ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->tld_working_status != 'L') {
                                                        ?>
                                                        <i class="fa fa-undo" style="color:#002166;cursor: pointer;" title="Restore This Employee" onClick="restoreEmployee(<?php echo $record->tld_id; ?>);"></i> 
                                                    <?php } ?>
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>

        <script>
            $(document).ready(function () {
                $("#allDeletedEmployees").DataTable({responsive: true, dom: 'Blfrtip'});
            });

            function restoreEmployee(tld_id) {
                if (confirm("Are You Sure To Restore This Employee?")) {
                    window.location.href = "<?php echo site_url('admin/RecycleBin/restoreEmployee/'); ?>" + tld_id;
                }
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>