<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title><?php echo ($selectedCourseDetail == "") ? "Attendance Report" : " $selectedCourseDetail->course_name - Semester $selectedSemester - $selectedSessionDetails->session_name Attedance Report" ?> | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/pdfmake.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.print.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.colVis.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Reports</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Reports/attendanceReport"); ?>">Attendance Report</a></li>                            
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-table"></i>&nbsp;Attendance Report</h3>
                            </div>
                            <div class="card-body">

                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Reports/attendanceReport'), ['name' => 'attendanceReportFilterFrm', 'id' => 'attendanceReportFilterFrm']); ?>
                                <fieldset>
                                    <legend>Session , Course, Semester & Attendance Info. </legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-2">
                                            <label for="session" class="input__label">Session *</label>
                                            <select id="session" name="session" class="custom-select">
                                                <option value="">Select Session</option>
                                                <?php foreach ($sessions as $session) { ?>
                                                    <option <?php if ($session->session_status == "C") echo "selected"; ?> value="<?php echo $session->session_id; ?>" <?php echo set_select("session", $session->session_id); ?>><?php echo stripslashes($session->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="subjectCourse" class="input__label">Course *</label>
                                            <select id="subjectCourse" name="subjectCourse" class="custom-select">
                                                <option value="">Select Course</option>
                                                <?php foreach ($courses as $course) { ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo set_select("subjectCourse", $course->course_id); ?>><?php echo stripslashes($course->course_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="subjectCourseSemOrYear" class="input__label">Semester/Year *</label>
                                            <select id="subjectCourseSemOrYear" name="subjectCourseSemOrYear" class="custom-select">
                                                <option value="">Select Semester/Year</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="from" class="input__label">From</label>
                                            <input  autocomplete="off"  type="text" class="form-control"   id="from" name="from" value="<?php echo set_value('from'); ?>" placeholder="Choose Attendance Range Date" maxlength="10">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="to" class="input__label">To</label>
                                            <input  autocomplete="off" type="text" class="form-control"  id="to" name="to" value="<?php echo set_value('to'); ?>" placeholder="Choose Attendance Range Date" maxlength="10">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="filterAttendanceBtn" class="input__label"></label>
                                            <button id="filterAttendanceBtn" name="filterAttendanceBtn" type="submit" class="btn btn-sm btn-warning pull-right">Apply Filter & Fetch Attendance Report&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                    <span id="spnErr" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                                </fieldset>        
                                <fieldset id="studentList" style="display: <?php echo (sizeof($attendanceData)) ? "block" : "block"; ?>;">
                                    <legend>Attendance Report</legend>
                                    <div class="table-responsive">
                                        <table id="subjectWiseStudentAttendanceReport" style="width:100%;" class="bootstrap-datatable  table-hover  ">
                                            <thead>  
                                                <tr style="background-color: lightblue;">
                                                    <th style="text-align: center;" colspan="9"><?php echo ($selectedCourseDetail == "") ? "Attendance Report" : " $selectedCourseDetail->course_name - Semester $selectedSemester - $selectedSessionDetails->session_name Attedance Report" ?></th>
                                                </tr>
                                                <tr >
                                                    <th style="background-color: #ffeeba;">Sr. No</th>
                                                    <th style="background-color: #ffeeba;">Enrl. No.</th>
                                                    <th style="background-color: #ffeeba;">Name</th>
                                                    <?php
                                                    for ($i = 0; $i < sizeof($subjects); $i++) {
                                                        $sub = $subjects[$i];
                                                        ?>
                                                    <th style="background-color: #f7b0bb;text-align: center;"><?php echo $sub->sm_name; ?> <br> (CA | CH)</th>
                                                        <?php
                                                    }
                                                    ?>
                                                    <th style="background-color: lightblue;">Attendance Average in(%)</th>
                                                </tr>
                                            </thead>
                                            <tfoot>
                                                <tr>
                                                    <th colspan="<?php echo sizeof($subjects) + 4; ?>">Note :(CA) Is Abbriviation For Total Class Attended In Particular Subject-Teacher Allotment</th>
                                                </tr>
                                                <tr>
                                                    <th colspan="<?php echo sizeof($subjects) + 4; ?>">Note :(CH) Is Abbriviation For Total Class Held In Particular Subject-Teacher Allotment</th>
                                                </tr>
                                            </tfoot>
                                            <tbody id="studentDetails">
                                                <?php
                                                for ($i = 0; $i < sizeof($attendanceData); $i++) {
                                                    $atd = $attendanceData[$i];
                                                    ?>
                                                    <tr style="background-color: #ffeeba;">
                                                        <td><?php echo $i + 1 ?></td>
                                                        <td><?php echo $atd["tspi_rollNumber"]; ?></td>
                                                        <td><?php echo $atd["tspi_name"]; ?></td>

                                                        <?php
                                                        for ($j = 0; $j < sizeof($atd["subjectWiseAttendanceDetails"]); $j++) {
                                                            $subjectWiseDetail = $atd["subjectWiseAttendanceDetails"][$j];
                                                            ?>
                                                            <td style="background-color: #f7b0bb;color: black;text-align: center;"><?php echo $subjectWiseDetail["presentCount"]; ?> &nbsp;| <?php echo $subjectWiseDetail["total_class_held"]; ?> </td>
                                                            <?php
                                                        }
                                                        ?> 
                                                        <td style="background-color: lightblue;color: black;text-align: center;"><?php echo $atd["avgPercent"]; ?></td>
                                                    </tr>
                                                    <?php
                                                }
                                                ?>
                                            </tbody>
                                        </table>
                                    </div>                                  
                                </fieldset>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#from").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                yearRange: '1995:+0',
                numberOfMonths: 1
            });

            $("#to").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                yearRange: '1995:+0',
                numberOfMonths: 1
            });

            $("#subjectCourse").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getCourseSemesterOrYearForDropDown/'); ?>',
                        data: {course_id: $("#subjectCourse").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var semesterOrYearInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subjectCourseSemOrYear").html(semesterOrYearInfo.sem_year_list);
                            csrfHash = semesterOrYearInfo.csrfHash;
                            attendanceReportFilterFrm.csrf_token.value = csrfHash;
                        }
                    });

                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subjectCourseSemOrYear").html("<option value=''>Select Semester/Year</option>");
                    $("#subjectSet").html("<option value=''>Select Subject Set</option>");
                    $("#studentDetails").html("");
                }
            });
            $(document).ready(function () {
                $("#subjectWiseStudentAttendanceReport").DataTable({responsive: true, dom: 'Blfrtip'});


                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($("#subjectCourse").val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getCourseSemesterOrYearForDropDownSelected/'); ?>',
                        data: {course_id: $("#subjectCourse").val(), semester: '<?php echo $selectedSemester; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var semesterOrYearInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subjectCourseSemOrYear").html(semesterOrYearInfo.sem_year_list);
                            csrfHash = semesterOrYearInfo.csrfHash;
                            attendanceReportFilterFrm.csrf_token.value = csrfHash;
                        }
                    });

                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subjectCourseSemOrYear").html("<option value=''>Select Semester/Year</option>");
                    $("#studentDetails").html("");
                }
            });
            $("#subjectCourse").on("change", function () {
                if ($(this).val().trim() == "") {
                    $("#spnErr").html("Please Select Any Subject To Fetch Attendance Report.");
                } else {
                    $("#spnErr").html("");
                }
            });
            $("#session").on("change", function () {
                if ($(this).val().trim() == "") {
                    $("#spnErr").html("Please Select The Session To Proceed.");
                }
            });

            $("#filterAttendanceBtn").on("click", function () {
                if ($("#session").val() === "" || $("#session").val() === null) {
                    $("#spnErr").html("Please Select Session To Proceed.");
                    event.preventDefault();
                    $("#session").focus();
                } else if ($("#subjectCourse").val() === "" || $("#subjectCourse").val() === null) {
                    $("#spnErr").html("Please Select Any Subject To Fetch Attendance Report.");
                    event.preventDefault();
                    $("#subjectCourse").focus();
                } else if ($("#subjectCourseSemOrYear").val() === "" || $("#subjectCourseSemOrYear").val() === null) {
                    $("#spnErr").html("Please Select Any Semester To Fetch Attendance Report.");
                    event.preventDefault();
                    $("#subjectCourseSemOrYear").focus();
                } else {
                    $("#spnErr").html("");
                    $("#attendanceEditFilterFrm").submit();
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>