<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>All Employees Leave Report | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/pdfmake.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.print.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Reports</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Reports/leaveReport"); ?>">Employee Leave Requests</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-calendar-times-o"></i> Employee Leave Requests</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('successMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Filters <i class="fa fa-filter"></i></legend>
                                    <?php echo form_open(site_url('admin/Reports/leaveReport'), ['name' => 'leaveRequestsReportFrm', 'id' => 'leaveRequestsReportFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="appliedForSession" class="input__label">For Session</label>
                                            <select id="appliedForSession" name="appliedForSession" class="custom-select">
                                                <option value="" <?php echo set_select("appliedForSession", ""); ?>>All</option>
                                                <?php foreach ($sessions as $session) { ?>
                                                    <option value="<?php echo $session->session_id; ?>" <?php echo set_select("appliedForSession", $session->session_id); ?>><?php echo stripslashes($session->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="leaveType" class="input__label">Leave Type</label>
                                            <select id="leaveType" name="leaveType" class="custom-select">
                                                <option value="" <?php echo set_select("leaveType", ""); ?>>All</option>
                                                <?php foreach ($leaveTypes as $leaveType) { ?>
                                                    <option value="<?php echo $leaveType->tltm_id; ?>" <?php echo set_select("leaveType", $leaveType->tltm_id); ?>><?php echo stripslashes($leaveType->tltm_name) . "(" . stripslashes($leaveType->tltm_short_name) . ")"; ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="leaveStatus" class="input__label">Status</label>
                                            <select id="leaveStatus" name="leaveStatus" class="custom-select">
                                                <option value="" <?php echo set_select("schDeleteStatus", ""); ?>>All</option>
                                                <option value="A" <?php echo set_select("schDeleteStatus", "A"); ?>>Approved</option>
                                                <option value="P" <?php echo set_select("schDeleteStatus", "P"); ?>>Pending</option>
                                                <option value="CU" <?php echo set_select("schDeleteStatus", "CU"); ?>>Cancelled By You</option>
                                                <option value="C" <?php echo set_select("schDeleteStatus", "C"); ?>>Rejected By Approval Authority</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="startDate" class="input__label">Start Date</label>
                                            <input type="text" class="form-control" id="startDate" name="startDate" value="<?php echo set_value('startDate'); ?>" placeholder="Choose Start Date" autocomplete="off" maxlength="15">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="endDate" class="input__label">End Date</label>
                                            <input type="text" class="form-control" id="endDate" name="endDate" value="<?php echo set_value('endDate'); ?>" placeholder="Choose End Date" autocomplete="off" maxlength="15">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="dateRangeAppliedWith" class="input__label">Apply Date Range With</label>
                                            <select id="dateRangeAppliedWith" name="dateRangeAppliedWith" class="custom-select">
                                                <option value="LDR" <?php echo set_select("dateRangeAppliedWith", "LDR") ?>>Leave Dates</option>
                                                <option value="ADR" <?php echo set_select("dateRangeAppliedWith", "ADR") ?>>Apply Date</option>
                                                <option value="APR" <?php echo set_select("dateRangeAppliedWith", "APR") ?>>Approve Dates</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="empGender" class="input__label">Gender</label>
                                            <select id="empGender" name="empGender" class="custom-select">
                                                <option value="">All</option>
                                                <option value="M">Males Only</option>
                                                <option value="F">Females Only</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="empDesigCat" class="input__label">Designation Category</label>
                                            <select id="empDesigCat" name="empDesigCat" class="custom-select">
                                                <option value="">All</option>
                                                <?php foreach ($desigCategories as $desigCats) { ?>
                                                    <option value="<?php echo $desigCats->dcm_id; ?>" <?php echo set_select("empDesigCat", $desigCats->dcm_id); ?>><?php echo stripslashes($desigCats->dcm_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="empDesig" class="input__label">Designation</label>
                                            <select id="empDesig" name="empDesig" class="custom-select">
                                                <option value="">All</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="empDept" class="input__label">Department</label>
                                            <?php if ($this->session->userdata("adminData")["role_id"] == 1) { ?>
                                                <select id="empDept" name="empDept" class="custom-select">
                                                    <option value="">All</option>
                                                    <?php foreach ($departments as $department) { ?>
                                                        <option value="<?php echo $department->dept_id; ?>" <?php echo set_select("empDept", $department->dept_id); ?>><?php echo stripslashes($department->dept_name); ?></option>
                                                    <?php }
                                                    ?>
                                                </select>
                                            <?php } else {
                                                ?>
                                                <select id = "empDept" name = "empDept" class = "custom-select readonly">
                                                    <option value = "">All</option>
                                                    <?php
                                                    foreach ($departments as $department) {
                                                        $selected = ($department->dept_id == $this->session->userdata("adminData")["dept_id"]) ? "selected" : "";
                                                        ?>
                                                        <option value="<?php echo $department->dept_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($department->dept_name); ?></option>
                                                        <?php
                                                    }
                                                    ?>
                                                </select>
                                            <?php } ?>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="empSubDept" class="input__label">Sub-Department</label>
                                            <select id="empSubDept" name="empSubDept" class="custom-select">
                                                <option value="">All</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">

                                        <div class="form-group col-md-12">
                                            <label for="employee" class="input__label">Employee</label>
                                            <select id="employee" name="employee" class="custom-select">
                                                <option value="">All</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="filterSubmitBtn" class="input__label"></label>
                                            <button id="filterSubmitBtn" name="filterSubmitBtn" type="submit" class="btn btn-sm btn-warning pull-right">Apply Filter & Fetch Leave Requests&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                    <?php echo form_close(); ?>
                                    <hr>
                                </fieldset>
                                <table id="employeeLeaveReport" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Emp. Code</th>
                                            <th>Name</th>
                                            <th>Dept./Sub-Dept.</th>
                                            <th>Desig. Cat./Desig.</th>
                                            <th>From</th>
                                            <th>To</th>
                                            <th>No. Of Days</th>
                                            <th>Leave Type</th>
                                            <th>Duration</th>
                                            <th>Status</th>
                                            <th>Action By</th>
                                            <th>Remarks</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Emp. Code</th>
                                            <th>Name</th>
                                            <th>Dept./Sub-Dept.</th>
                                            <th>Desig. Cat./Desig.</th>
                                            <th>From</th>
                                            <th>To</th>
                                            <th>No. Of Days</th>
                                            <th>Leave Type</th>
                                            <th>Duration</th>
                                            <th>Status</th>
                                            <th>Action By</th>
                                            <th>Remarks</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($filteredRecords); $i++) {
                                            $record = $filteredRecords[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo ($record['smember_code'] == "" || $record['smember_code'] == NULL) ? "-" : "<a href='" . site_url("admin/Staff/viewEmployee/" . $record['smember_id']) . "' target='_blank'>" . stripslashes($record['smember_code']) . "</a>"; ?></td>
                                                <td><?php echo "<a href='" . site_url("admin/Staff/viewEmployee/" . $record['smember_id']) . "' target='_blank'>" . stripslashes($record['tprfl_firstname'] . " " . $record['tprfl_firstname']) . "</a>"; ?></td>
                                                <td><?php echo stripslashes($record['sub_dept_name']) . "/" . $record['dept_name']; ?></td>
                                                <td><?php echo stripslashes($record['dcm_short_name']) . "/" . $record['desig_name']; ?></td>
                                                <td><?php echo $record['slm_from']; ?></td>
                                                <td><?php echo $record['slm_to']; ?></td>
                                                <td><?php echo $record['slm_no_of_days']; ?></td>
                                                <td><?php echo stripslashes($record['tltm_name']) . " (" . $record['tltm_short_name'] . ")"; ?></td>
                                                <td><?php echo stripslashes($record['slm_duration']); ?></td>
                                                <td>
                                                    <?php
                                                    if ($record['slm_status'] == "P") {
                                                        echo "<a href='javascript:void(0);' class='badge badge-warning'>&nbsp;Pending&nbsp;<i class='fa fa-clock-o'></i></a>";
                                                    } else if ($record['slm_status'] == "CU") {
                                                        echo "<a href='javascript:void(0);' class='badge badge-primary'>&nbsp;Deleted&nbsp;<i class='fa fa-trash-o'></i></a>";
                                                    } else if ($record['slm_status'] == "C") {
                                                        echo "<a href='javascript:void(0);' class='badge badge-danger'>&nbsp;Rejected&nbsp;<i class='fa fa-times'></i></a>";
                                                    } else {
                                                        echo "<a href='javascript:void(0);' class='badge badge-success'>&nbsp;Approved&nbsp;<i class='fa fa-check-square'></i></a>";
                                                    }
                                                    ?>
                                                </td>
                                                <td><?php echo stripslashes($record['slm_admin_remark_by']); ?></td>
                                                <td><?php echo stripslashes($record['slm_admin_remark']); ?></td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#empDept").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDown/') ?>',
                        data: {dept_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subDeptInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empSubDept").html(subDeptInfo.sub_dept_list);
                            csrfHash = subDeptInfo.csrfHash;
                            leaveRequestsReportFrm.csrf_token.value = csrfHash;
                            leaveActionFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#empSubDept").html("<option value=''>All</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#empSubDept").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Staff/getAllEmployeesBySubDepartmentForDropDown/') ?>',
                        data: {sub_dept_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var empInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#employee").html(empInfo.emp_list);
                            csrfHash = empInfo.csrfHash;
                            leaveRequestsReportFrm.csrf_token.value = csrfHash;
                            leaveActionFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#employee").html("<option value=''>All</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#empDesigCat").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Designation/getNonDeletedActiveDesignationsForDropDown/') ?>',
                        data: {desig_cat_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var desigInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empDesig").html(desigInfo.desig_list);
                            csrfHash = desigInfo.csrfHash;
                            leaveRequestsReportFrm.csrf_token.value = csrfHash;
                            leaveActionFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#empDesig").html("<option value=''>All</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $(function () {
                var dateFormat = "dd/mm/yy",
                        from = $("#startDate")
                        .datepicker({
                            dateFormat: dateFormat,
                            defaultDate: '0',
                            changeMonth: true,
                            changeYear: true,
                            numberOfMonths: 1
                        })
                        .on("change", function () {
                            to.datepicker("option", "minDate", getDate(this));
                        }),
                        to = $("#endDate").datepicker({
                    dateFormat: dateFormat,
                    defaultDate: '0',
                    changeMonth: true,
                    changeYear: true,
                    numberOfMonths: 1
                })
                        .on("change", function () {
                            from.datepicker("option", "maxDate", getDate(this));
                        });

                function getDate(element) {
                    var date;
                    try {
                        date = $.datepicker.parseDate(dateFormat, element.value);
                    } catch (error) {
                        date = null;
                    }
                    return date;
                }
            });

            $(document).ready(function () {
                $("#employeeLeaveReport").DataTable({responsive: true, dom: 'Blfrtip', buttons: [
                        {extend: 'copy', text: "<i class='fa fa-clipboard'></i> Copy"},
                        {extend: 'csv', text: "<i class='fa fa-table'></i> CSV"},
                        {extend: 'excel', text: "<i class='fa fa-file-excel-o'></i> Excel"},
                        {extend: 'pdfHtml5', text: "<i class='fa fa-file-pdf-o'></i> PDF", orientation: 'landscape', pageSize: 'LEGAL'}
                    ]});

                var selectedSession = '<?php echo $selectedSession; ?>';
                var selectedSubDepartment = '<?php echo $selectedSubDepartment; ?>';
                var selectedDesignation = '<?php echo $selectedDesignation; ?>';
                var selectedEmployee = '<?php echo $selectedEmployee; ?>';
                if (selectedSession !== "") {
                    $("#appliedForSession").val(selectedSession);
                }
                if (selectedSubDepartment !== "") {
                    $("#empSubDept").val(selectedSubDepartment);
                }
                if (selectedDesignation !== "") {
                    $("#empDesig").val(selectedDesignation);
                }

                if ($("#empDept").val().trim() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDownSelected/') ?>',
                        data: {dept_id: $("#empDept").val(), sub_dept_id: selectedSubDepartment, csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subDeptInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empSubDept").html(subDeptInfo.sub_dept_list);
                            csrfHash = subDeptInfo.csrfHash;
                            leaveRequestsReportFrm.csrf_token.value = csrfHash;
                            leaveActionFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if ($("#empDesigCat").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Designation/getNonDeletedActiveDesignationsForDropDownSelected/') ?>',
                        data: {desig_cat_id: $("#empDesigCat").val(), desig_id: selectedDesignation, csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var desigInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empDesig").html(desigInfo.desig_list);
                            csrfHash = desigInfo.csrfHash;
                            leaveRequestsReportFrm.csrf_token.value = csrfHash;
                            leaveActionFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if (selectedSubDepartment !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Staff/getAllEmployeesBySubDepartmentForDropDownSelected/') ?>',
                        data: {sub_dept_id: selectedSubDepartment, smember_id: selectedEmployee, csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var empInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#employee").html(empInfo.emp_list);
                            csrfHash = empInfo.csrfHash;
                            leaveRequestsReportFrm.csrf_token.value = csrfHash;
                            leaveActionFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>