<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Employees Achievement Report | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.print.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Reports</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Reports/staffAchievementReport"); ?>">Employee Achievement Report</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-trophy"></i> Employees Achievement Report</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('successMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Filters <i class="fa fa-filter"></i></legend>
                                    <?php echo form_open(site_url('admin/Reports/staffAchievementReport'), ['name' => 'staffAchievementReportFitlerFrm', 'id' => 'staffAchievementReportFitlerFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-2" style="display: none;">
                                            <label for="empBranch" class="input__label">Branch *</label>
                                            <select id="empBranch" name="empBranch" class="custom-select">
                                                <option value="">Select Branch</option>
                                                <?php
                                                $selected = (sizeof($branches) > 2) ? "" : "selected";
                                                foreach ($branches as $branch) {
                                                    if ($branch->branch_id == 0 || $branch->branch_id == '0') {
                                                        continue;
                                                    }
                                                    ?>
                                                    <option value="<?php echo $branch->branch_id; ?>" <?php echo set_select("stuBranch", $branch->branch_id); ?> <?php echo $selected; ?>><?php echo stripslashes($branch->branch_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="empDept" class="input__label">Department</label>
                                            <?php if ($this->session->userdata("adminData")["role_id"] == 1) { ?>
                                                <select id="empDept" name="empDept" class="custom-select">
                                                    <option value="" <?php echo set_select("empDept", ""); ?>>All</option>
                                                    <?php foreach ($departments as $department) { ?>
                                                        <option value="<?php echo $department->dept_id; ?>" <?php echo set_select("empDept", $department->dept_id); ?>><?php echo stripslashes($department->dept_name); ?></option>
                                                    <?php }
                                                    ?>
                                                </select>
                                            <?php } else {
                                                ?>
                                                <select id="empDept" name="empDept" class="custom-select readonly">
                                                    <option value="" <?php echo set_select("empDept", ""); ?>>All</option>
                                                    <?php
                                                    foreach ($departments as $department) {
                                                        $selected = ($department->dept_id == $this->session->userdata("adminData")["dept_id"]) ? "selected" : "";
                                                        ?>
                                                        <option value="<?php echo $department->dept_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($department->dept_name); ?></option>
                                                        <?php
                                                    }
                                                    ?>
                                                </select>
                                            <?php } ?>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="empSubDept" class="input__label">Sub-Department</label>
                                            <select id="empSubDept" name="empSubDept" class="custom-select">
                                                <option value="" <?php echo set_select("empSubDept", ""); ?>>All</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="empDesigCat" class="input__label">Designation Category</label>
                                            <select id="empDesigCat" name="empDesigCat" class="custom-select">
                                                <option value="" <?php echo set_select("empDesigCat", ""); ?>>All</option>
                                                <?php foreach ($desigCategories as $desigCats) { ?>
                                                    <option value="<?php echo $desigCats->dcm_id; ?>" <?php echo set_select("empDesigCat", $desigCats->dcm_id); ?>><?php echo stripslashes($desigCats->dcm_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="empDesig" class="input__label">Designation</label>
                                            <select id="empDesig" name="empDesig" class="custom-select">
                                                <option value="" <?php echo set_select("empDesig", ""); ?>>All</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="session" class="input__label">Session</label>
                                            <select id="session" name="session" class="custom-select">
                                                <option value="" <?php echo set_select("session", ""); ?>>All</option>
                                                <?php foreach ($sessions as $session) { ?>
                                                    <option value="<?php echo $session->session_id; ?>" <?php echo set_select("session", $session->session_id); ?>><?php echo stripslashes($session->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-8">
                                            <label for="achvHead" class="input__label">Achievement Head</label>
                                            <select id="achvHead" name="achvHead" class="custom-select">
                                                <option value="" <?php echo set_select("achvHead", ""); ?>>All</option>
                                                <?php foreach ($achievementHeads as $achvHeads) { ?>
                                                    <option value="<?php echo $achvHeads->tsam_id; ?>" <?php echo set_select("achvHead", $achvHeads->tsam_id); ?>><?php echo stripslashes($achvHeads->tsam_short_title); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="filterSubmitBtn" class="input__label"></label>
                                            <button id="filterSubmitBtn" name="filterSubmitBtn" type="submit" class="btn btn-sm btn-warning pull-right">Apply Filter & Fetch Report&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                    <?php echo form_close(); ?>
                                    <hr>
                                </fieldset>
                                <table id="allEmployeesAchievementReport" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Emp. Name</th>
                                            <th>Designation</th>
                                            <th>Dept./Sub Dept.</th>
                                            <th>Achievement Head</th>
                                            <th>Title</th>
                                            <th>Description</th>
                                            <th>File</th>
                                            <th style="display: none;">File Path</th>
                                            <th>Session</th>
                                            <th>Status</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Emp. Name</th>
                                            <th>Designation</th>
                                            <th>Dept./Sub Dept.</th>
                                            <th>Achievement Head</th>
                                            <th>Title</th>
                                            <th>Description</th>
                                            <th>File</th>
                                            <th style="display: none;">File Path</th>
                                            <th>Session</th>
                                            <th>Status</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($filteredRecords); $i++) {
                                            $record = $filteredRecords[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo "<a href='" . site_url("admin/Staff/viewEmployee/" . $record->smember_id) . "' target='_blank'>" . stripslashes($record->tprfl_firstname . " " . $record->tprfl_lastname) . "</a>"; ?></td>
                                                <td><?php echo stripslashes($record->desig_name); ?></td>
                                                <td><?php echo stripslashes($record->dept_name . "/" . $record->sub_dept_name); ?></td>
                                                <td><?php echo stripslashes($record->tsam_short_title); ?></td>
                                                <td><?php echo stripslashes($record->sam_title); ?></td>
                                                <td><?php echo stripslashes($record->sam_description); ?></td>
                                                <td><?php echo ($record->sam_file != "" || $record->sam_file != NULL) ? "<a href='" . base_url($record->sam_file) . "' target='_blank' title='Click To View File'><i class='fa fa-file'></i></a>" : "-"; ?></td>
                                                <td style="display: none;"><?php echo ($record->sam_file != "" || $record->sam_file != NULL) ? base_url($record->sam_file) : "-"; ?></td>
                                                <td><?php echo stripslashes($record->session_name); ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->sam_delete_status == 'T') {
                                                        echo "Deleted By Employee.";
                                                    } else {
                                                        echo "-";
                                                    }
                                                    ?>
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#empDept").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDown/') ?>',
                        data: {dept_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subDeptInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empSubDept").html(subDeptInfo.sub_dept_list);
                            csrfHash = subDeptInfo.csrfHash;
                            staffAchievementReportFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#empSubDept").html("<option value=''>All</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#empDesigCat").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Designation/getNonDeletedActiveDesignationsForDropDown/') ?>',
                        data: {desig_cat_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var desigInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empDesig").html(desigInfo.desig_list);
                            csrfHash = desigInfo.csrfHash;
                            staffAchievementReportFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#empDesig").html("<option value=''>All</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $(document).ready(function () {
                var selectedSubDepartment = '<?php echo $selectedSubDepartment; ?>';
                var selectedDesignation = '<?php echo $selectedDesignation; ?>';

                if ($("#empDept").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDownSelected/') ?>',
                        data: {dept_id: $("#empDept").val(), sub_dept_id: selectedSubDepartment, csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subDeptInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empSubDept").html(subDeptInfo.sub_dept_list);
                            csrfHash = subDeptInfo.csrfHash;
                            staffAchievementReportFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if ($("#empDesigCat").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Designation/getNonDeletedActiveDesignationsForDropDownSelected/') ?>',
                        data: {desig_cat_id: $("#empDesigCat").val(), desig_id: selectedDesignation, csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var desigInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empDesig").html(desigInfo.desig_list);
                            csrfHash = desigInfo.csrfHash;
                            staffAchievementReportFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                $("#allEmployeesAchievementReport").DataTable({responsive: true, dom: 'Blfrtip', buttons: [
                        {extend: 'copy', text: "<i class='fa fa-clipboard'></i> Copy"},
                        {extend: 'csv', text: "<i class='fa fa-table'></i> CSV"},
                        {extend: 'excel', text: "<i class='fa fa-file-excel-o'></i> Excel"}
                    ]});
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>