<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Pending Payments Report | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/pdfmake.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.print.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Inventory & Stock</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Reports/pendingPayments"); ?>">Pending Payment Report</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-paypal"></i> Pending Payment Report</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('successMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <table id="allPendingPayments" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Bill/Invoice No.</th>
                                            <th>Invoice Date</th>
                                            <th>Total Items</th>
                                            <th>Supplier</th>
                                            <th>Total Amount+Tax</th>
                                            <th>Paid Amount</th>
                                            <th>Pending Amount</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Bill/Invoice No.</th>
                                            <th>Invoice Date</th>
                                            <th>Total Items</th>
                                            <th>Supplier</th>
                                            <th>Total Amount+Tax</th>
                                            <th>Paid Amount</th>
                                            <th>Pending Amount</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($pendingPayments); $i++) {
                                            $record = $pendingPayments[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo "<a href='" . base_url($record->pm_invoice_file) . "' target='_blank'>" . stripslashes($record->pm_invoice_number) . "</a>"; ?></td>
                                                <td><?php echo date("d-m-Y", strtotime($record->pm_invoice_date)); ?></td>
                                                <td><?php echo $record->pm_total_items; ?></td>
                                                <td>
                                                    <?php
                                                    echo stripslashes($record->ven_business_name);
                                                    echo " (" . stripslashes($record->ven_addr_line_one . " " . $record->ven_addr_line_two . " " . $record->ven_addr_line_three . " | " . $record->city_name . " | " . $record->ven_zipcode) . ")";
                                                    ?>
                                                </td>
                                                <td><?php echo $record->pm_total_amt_with_tax . "/- INR"; ?></td>
                                                <td><?php echo ($record->paid_amount == "") ? "0.0/- INR" : $record->paid_amount . "/- INR"; ?></td>
                                                <td><?php echo ($record->pending_amount == "") ? "0.0/- INR" : $record->pending_amount . "/-"; ?></td>
                                                <td>
                                                    <?php if (!($record->pending_amount == '0' || $record->pending_amount == '0.0' || $record->pending_amount == 0 || $record->pending_amount == 0.0)) { ?>
                                                        <a href="<?php echo site_url("admin/StockAndPurchase/createVoucher/" . $record->pm_id); ?>" class="badge badge-secondary"><i class="fa fa-inr"></i>&nbsp;Pay Now&nbsp;<i class="fa fa-external-link"></i></a>
                                                    <?php } else {
                                                        ?>
                                                        <a href="javascript:void(0);" class="badge badge-success"><i class="fa fa-inr"></i>&nbsp;Settled&nbsp;<i class="fa fa-check-square-o"></i></a>
                                                        <?php }
                                                        ?>
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                $("#allPendingPayments").DataTable({responsive: true, dom: 'Blfrtip', buttons: [
                        {extend: 'csv', text: "<i class='fa fa-table'></i> CSV"},
                        {extend: 'excel', text: "<i class='fa fa-file-excel-o'></i> Excel"},
                        {extend: 'pdfHtml5', text: "<i class='fa fa-file-pdf-o'></i> PDF", orientation: 'landscape', pageSize: 'LEGAL'}
                    ]});
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>