<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Miscellaneous Student's Report | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.print.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Reports</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Reports/studentMiscellaneousReport"); ?>">Student's Miscellaneous Report</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-flag-checkered"></i> Student Miscellaneous Reports</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('successMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Filters <i class="fa fa-filter"></i></legend>
                                    <?php echo form_open(site_url('admin/Reports/studentMiscellaneousReport'), ['name' => 'studentMiscReportFitlerFrm', 'id' => 'studentMiscReportFitlerFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-2" style="display: none;">
                                            <label for="stuBranch" class="input__label">Branch *</label>
                                            <select id="stuBranch" name="stuBranch" class="custom-select">
                                                <option value="">Select Branch</option>
                                                <?php
                                                $selected = (sizeof($branches) > 2) ? "" : "selected";
                                                foreach ($branches as $branch) {
                                                    if ($branch->branch_id == 0 || $branch->branch_id == '0') {
                                                        continue;
                                                    }
                                                    ?>
                                                    <option value="<?php echo $branch->branch_id; ?>" <?php echo set_select("stuBranch", $branch->branch_id); ?> <?php echo $selected; ?>><?php echo stripslashes($branch->branch_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="stuName" class="input__label">Student Name</label>
                                            <input type="text" class="form-control" id="stuName" name="stuName" value="<?php echo set_value('stuName'); ?>" placeholder="Enter Student Name" autocomplete="off" maxlength="150">
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="stuGender" class="input__label">Gender</label>
                                            <select id="stuGender" name="stuGender" class="custom-select">
                                                <option value="" <?php echo set_select("stuGender", ""); ?>>All Gender</option>
                                                <option value="M" <?php echo set_select("stuGender", "M"); ?>>Only Males</option>
                                                <option value="F" <?php echo set_select("stuGender", "F"); ?>>Only Females</option>
                                                <option value="T" <?php echo set_select("stuGender", "T"); ?>>Only Transgenders</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="stuCategory" class="input__label">Category</label>
                                            <select id="stuCategory" name="stuCategory" class="custom-select">
                                                <option value="" <?php echo set_select("stuCategory", ""); ?>>All Categories</option>
                                                <?php foreach ($categories as $category) { ?>
                                                    <option value="<?php echo addslashes($category['category_name']); ?>" <?php echo set_select("stuCategory", addslashes($category['category_name'])); ?>><?php echo stripslashes($category['category_name']); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="stuReligion" class="input__label">Religion</label>
                                            <select id="stuReligion" name="stuReligion" class="custom-select">
                                                <option value="" <?php echo set_select("stuReligion", ""); ?>>All Religions</option>
                                                <?php foreach ($religions as $religion) { ?>
                                                    <option value="<?php echo addslashes($religion['religion_name']); ?>" <?php echo set_select("stuReligion", addslashes($religion['religion_name'])); ?>><?php echo stripslashes($religion['religion_name']); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="stuDisability" class="input__label">Disability</label>
                                            <select id="stuDisability" name="stuDisability" class="custom-select">
                                                <option value="" <?php echo set_select("stuDisability", "") ?>>All</option>
                                                <option value="T" <?php echo set_select("stuDisability", "T") ?>>Only Disabled</option>
                                                <option value="F" <?php echo set_select("stuDisability", "F") ?>>Only Non-Disabled</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="stuStatus" class="input__label">Status</label>
                                            <select id="stuStatus" name="stuStatus" class="custom-select">
                                                <option value="" <?php echo set_select("stuStatus", "") ?>>All</option>
                                                <option value="NA" <?php echo set_select("stuStatus", "NA") ?>>Not Admitted</option>
                                                <option value="DV" <?php echo set_select("stuStatus", "DV") ?>>Document Verified & Councelling Complete</option>
                                                <option value="CE" <?php echo set_select("stuStatus", "CE") ?>>Currently Enrolled</option>
                                                <option value="D" <?php echo set_select("stuStatus", "D") ?>>Drop Out</option>
                                                <option value="E" <?php echo set_select("stuStatus", "E") ?>>Expelled</option>
                                                <option value="P" <?php echo set_select("stuStatus", "P") ?>>Passout/Alumni</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="enrollSession" class="input__label">Enrollment Session</label>
                                            <select id="enrollSession" name="enrollSession" class="custom-select">
                                                <option value="">All</option>
                                                <?php foreach ($sessions as $session) { ?>
                                                    <option value="<?php echo $session->session_id; ?>" <?php echo set_select("enrollSession", $session->session_id); ?>><?php echo stripslashes($session->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="stuCourse" class="input__label">Course</label>
                                            <select id="stuCourse" name="stuCourse" class="custom-select">
                                                <option value="" <?php echo set_select("stuCourse", "") ?>>All Courses</option>
                                                <?php foreach ($courses as $course) { ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo set_select("stuCourse", $course->course_id); ?>><?php echo stripslashes($course->course_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="stuSession" class="input__label">Session</label>
                                            <select id="stuSession" name="stuSession" class="custom-select">
                                                <option value="">Select Session</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="stuEntryType" class="input__label">Entry Type</label>
                                            <select id="stuEntryType" name="stuEntryType" class="custom-select">
                                                <option value="">Select Entry Type</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="stuEntryOprtr" class="input__label">Entry Operator</label>
                                            <select id="stuEntryOprtr" name="stuEntryOprtr" class="custom-select">
                                                <option value="">Select Entry Operator</option>
                                                <?php foreach ($operators as $operator) { ?>
                                                    <option value="<?php echo $operator->smember_id; ?>" <?php echo set_select("stuEntryOprtr", $operator->smember_id); ?>><?php echo stripslashes($operator->tprfl_firstname . " " . $operator->tprfl_lastname); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="entryStartDate" class="input__label">Start Date</label>
                                            <input type="text" class="form-control" id="entryStartDate" name="entryStartDate" value="<?php echo set_value('entryStartDate'); ?>" placeholder="Choose Start Date" autocomplete="off" maxlength="15">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="entryEndDate" class="input__label">End Date</label>
                                            <input type="text" class="form-control" id="entryEndDate" name="entryEndDate" value="<?php echo set_value('entryEndDate'); ?>" placeholder="Choose End Date" autocomplete="off" maxlength="15">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="entryDateRangeAppliedWith" class="input__label">Apply Date Range With</label>
                                            <select id="entryDateRangeAppliedWith" name="entryDateRangeAppliedWith" class="custom-select">
                                                <option value="ENTDT" <?php echo set_select("entryDateRangeAppliedWith", "ENTDT") ?>>Entry Dates</option>
                                                <option value="ADMDT" <?php echo set_select("entryDateRangeAppliedWith", "ADMDT") ?>>Admission Dates</option>
                                                <option value="ENRLDT" <?php echo set_select("entryDateRangeAppliedWith", "ENRLDT") ?>>Enrollment Dates</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="filterSubmitBtn" class="input__label"></label>
                                            <button id="filterSubmitBtn" name="filterSubmitBtn" type="submit" class="btn btn-sm btn-warning pull-right">Apply Filter & Fetch Report&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                    <?php echo form_close(); ?>
                                    <hr>
                                </fieldset>
                                <table id="allStudentsMiscReport" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Form No.</th>
                                            <th>Enrl. No.</th>
                                            <th style="display: none;">Roll No.</th>
                                            <th>Name</th>
                                            <th>Gender</th>
                                            <th>Father's Name</th>
                                            <th>Course</th>
                                            <th>Session</th>
                                            <th>Entry Type</th>
                                            <th>Status</th>
                                            <th style="display: none;">Category</th>
                                            <th style="display: none;">Religion</th>
                                            <th style="display: none;">DOB</th>
                                            <th style="display: none;">Differently Abled</th>
                                            <th style="display: none;">Mother's Name</th>
                                            <th style="display: none;">Mobile Number</th>
                                            <th style="display: none;">Email</th>
                                            <th style="display: none;">Admission Date</th>
                                            <th style="display: none;">Enrollment Date</th>
                                            <th style="display: none;">Mailing Address Line One</th>
                                            <th style="display: none;">Mailing Address Line Two</th>
                                            <th style="display: none;">Mailing Address Line Three</th>
                                            <th style="display: none;">Mailing Address State</th>
                                            <th style="display: none;">Mailing Address City</th>
                                            <th style="display: none;">Mailing Address Zip Code</th>
                                            <th style="display: none;">Permanent Address Line One</th>
                                            <th style="display: none;">Permanent Address Line Two</th>
                                            <th style="display: none;">Permanent Address Line Three</th>
                                            <th style="display: none;">Permanent Address State</th>
                                            <th style="display: none;">Permanent Address City</th>
                                            <th style="display: none;">Permanent Address Zip Code</th>
                                            <th style="display: none;">Parent's Mobile</th>
                                            <th style="display: none;">Parent's Landline</th>
                                            <th style="display: none;">Parent's Annual Income</th>
                                            <th style="display: none;">Have Prof. Exp.</th>
                                            <th style="display: none;">Exp. In Years</th>
                                            <th style="display: none;">Organisation Name</th>
                                            <th style="display: none;">Job Description</th>
                                            <th style="display: none;">Extra-Curricular Exp.</th>
                                            <th style="display: none;">Is Hosteler</th>
                                            <th style="display: none;">Entrance Test Name</th>
                                            <th style="display: none;">Entrance Test Reg. No.</th>
                                            <th style="display: none;">Entrance Test Comp. Score</th>
                                            <th style="display: none;">Entrance Test Percentile Obt.</th>
                                            <th style="display: none;">Entrance Test Percentage</th>
                                            <th style="display: none;">Entrance Test Rank</th>
                                            <th style="display: none;">Communication Address Line One</th>
                                            <th style="display: none;">Communication Address Line Two</th>
                                            <th style="display: none;">Communication Address Line Three</th>
                                            <th style="display: none;">Communication Address State</th>
                                            <th style="display: none;">Communication Address City</th>
                                            <th style="display: none;">Communication Address Zip Code</th>
                                            <th style="display: none;">Residence Choice</th>
                                            <th style="display: none;">Local Guardian Name</th>
                                            <th style="display: none;">Local Guardian Tel. No.</th>
                                            <th style="display: none;">Local Guardian Mobile</th>
                                            <th style="display: none;">Local Guardian Address Line One</th>
                                            <th style="display: none;">Local Guardian Address Line Two</th>
                                            <th style="display: none;">Local Guardian Address Line Three</th>
                                            <th style="display: none;">Local Guardian Address State</th>
                                            <th style="display: none;">Local Guardian Address City</th>
                                            <th style="display: none;">Local Guardian Address Zip Code</th>
                                            <th style="display: none;">Student's Aadhar Number</th>
                                            <th style="display: none;">Student's Photograph Path</th>
                                            <th style="display: none;">Student's Signature Path</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Form No.</th>
                                            <th>Enrl. No.</th>
                                            <th style="display: none;">Roll No.</th>
                                            <th>Name</th>
                                            <th>Gender</th>
                                            <th>Father's Name</th>
                                            <th>Course</th>
                                            <th>Session</th>
                                            <th>Entry Type</th>
                                            <th>Status</th>
                                            <th style="display: none;">Category</th>
                                            <th style="display: none;">Religion</th>
                                            <th style="display: none;">DOB</th>
                                            <th style="display: none;">Differently Abled</th>
                                            <th style="display: none;">Mother's Name</th>
                                            <th style="display: none;">Mobile Number</th>
                                            <th style="display: none;">Email</th>
                                            <th style="display: none;">Admission Date</th>
                                            <th style="display: none;">Enrollment Date</th>
                                            <th style="display: none;">Mailing Address Line One</th>
                                            <th style="display: none;">Mailing Address Line Two</th>
                                            <th style="display: none;">Mailing Address Line Three</th>
                                            <th style="display: none;">Mailing Address State</th>
                                            <th style="display: none;">Mailing Address City</th>
                                            <th style="display: none;">Mailing Address Zip Code</th>
                                            <th style="display: none;">Permanent Address Line One</th>
                                            <th style="display: none;">Permanent Address Line Two</th>
                                            <th style="display: none;">Permanent Address Line Three</th>
                                            <th style="display: none;">Permanent Address State</th>
                                            <th style="display: none;">Permanent Address City</th>
                                            <th style="display: none;">Permanent Address Zip Code</th>
                                            <th style="display: none;">Parent's Mobile</th>
                                            <th style="display: none;">Parent's Landline</th>
                                            <th style="display: none;">Parent's Annual Income</th>
                                            <th style="display: none;">Have Prof. Exp.</th>
                                            <th style="display: none;">Exp. In Years</th>
                                            <th style="display: none;">Organisation Name</th>
                                            <th style="display: none;">Job Description</th>
                                            <th style="display: none;">Extra-Curricular Exp.</th>
                                            <th style="display: none;">Is Hosteler</th>
                                            <th style="display: none;">Entrance Test Name</th>
                                            <th style="display: none;">Entrance Test Reg. No.</th>
                                            <th style="display: none;">Entrance Test Comp. Score</th>
                                            <th style="display: none;">Entrance Test Percentile Obt.</th>
                                            <th style="display: none;">Entrance Test Percentage</th>
                                            <th style="display: none;">Entrance Test Rank</th>
                                            <th style="display: none;">Communication Address Line One</th>
                                            <th style="display: none;">Communication Address Line Two</th>
                                            <th style="display: none;">Communication Address Line Three</th>
                                            <th style="display: none;">Communication Address State</th>
                                            <th style="display: none;">Communication Address City</th>
                                            <th style="display: none;">Communication Address Zip Code</th>
                                            <th style="display: none;">Residence Choice</th>
                                            <th style="display: none;">Local Guardian Name</th>
                                            <th style="display: none;">Local Guardian Tel. No.</th>
                                            <th style="display: none;">Local Guardian Mobile</th>
                                            <th style="display: none;">Local Guardian Address Line One</th>
                                            <th style="display: none;">Local Guardian Address Line Two</th>
                                            <th style="display: none;">Local Guardian Address Line Three</th>
                                            <th style="display: none;">Local Guardian Address State</th>
                                            <th style="display: none;">Local Guardian Address City</th>
                                            <th style="display: none;">Local Guardian Address Zip Code</th>
                                            <th style="display: none;">Student's Aadhar Number</th>
                                            <th style="display: none;">Student's Photograph Path</th>
                                            <th style="display: none;">Student's Signature Path</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($filteredRecords); $i++) {
                                            $record = $filteredRecords[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo "<a href='" . site_url("admin/Student/viewStudent/" . $record->tspi_id) . "' target='_blank'>" . stripslashes($record->tspi_form_no) . "</a>"; ?></td>
                                                <td><?php echo ($record->tspi_enrollment_no == $record->tspi_form_no) ? "-" : "<a href='" . site_url("admin/Student/viewStudent/" . $record->tspi_id) . "' target='_blank'>" . stripslashes($record->tspi_enrollment_no) . "</a>"; ?></td>
                                                <td style="display: none;"><?php echo ($record->tspi_rollNumber == $record->tspi_form_no) ? "-" : "<a href='" . site_url("admin/Student/viewStudent/" . $record->tspi_id) . "' target='_blank'>" . stripslashes($record->tspi_rollNumber) . "</a>"; ?></td>
                                                <td><?php echo "<a href='" . site_url("admin/Student/viewStudent/" . $record->tspi_id) . "' target='_blank'>" . stripslashes($record->tspi_name) . "</a>"; ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->tspi_gender == "M") {
                                                        echo "Male";
                                                    } else if ($record->tspi_gender == "F") {
                                                        echo "Female";
                                                    } else {
                                                        echo "Transgender";
                                                    }
                                                    ?>
                                                </td>
                                                <td><?php echo stripslashes($record->fatherName); ?></td>
                                                <td><?php echo stripslashes($record->course_name); ?></td>
                                                <td><?php echo stripslashes($record->session_name); ?></td>
                                                <td><?php echo stripslashes($record->tcsm_course_type); ?></td>
                                                <td>
                                                    <?php
                                                    echo stripslashes($record->status_text);
                                                    if ($record->tspi_status == 'D') {
                                                        echo " On " . date("d-m-Y", strtotime($record->tspi_log_date));
                                                    }
                                                    ?>
                                                </td>
                                                <td style="display: none;"><?php echo stripslashes($record->tspi_category); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->tspi_religion); ?></td>
                                                <td style="display: none;"><?php echo date("d-m-Y", strtotime($record->tspi_dob)); ?></td>
                                                <td style="display: none;"><?php echo ($record->tspi_is_diff_abled == "T") ? "Yes" : "No"; ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->motherName); ?></td>
                                                <td style="display: none;"><?php echo $record->tspi_mobile; ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->tspi_email); ?></td>
                                                <td style="display: none;"><?php echo ($record->tspi_admission_date == "" || $record->tspi_admission_date == NULL) ? "-" : date("d-m-Y", strtotime($record->tspi_admission_date)); ?></td>
                                                <td style="display: none;"><?php echo ($record->tspi_enrollment_date == "" || $record->tspi_enrollment_date == NULL) ? "-" : date("d-m-Y", strtotime($record->tspi_enrollment_date)); ?></td>
                                                <td style="display: none;"><?php echo ($record->tsci_resid_address_line_one == "" || $record->tsci_resid_address_line_one == NULL) ? "-" : stripslashes($record->tsci_resid_address_line_one); ?></td>
                                                <td style="display: none;"><?php echo ($record->tsci_resid_address_line_two == "" || $record->tsci_resid_address_line_two == NULL) ? "-" : stripslashes($record->tsci_resid_address_line_two); ?></td>
                                                <td style="display: none;"><?php echo ($record->tsci_resid_address_line_three == "" || $record->tsci_resid_address_line_three == NULL) ? "-" : stripslashes($record->tsci_resid_address_line_three); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->residState); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->residCity); ?></td>
                                                <td style="display: none;"><?php echo $record->tsci_resid_zipcode; ?></td>
                                                <td style="display: none;"><?php echo ($record->tsci_perma_address_line_one == "" || $record->tsci_perma_address_line_one == NULL) ? "-" : stripslashes($record->tsci_perma_address_line_one); ?></td>
                                                <td style="display: none;"><?php echo ($record->tsci_perma_address_line_two == "" || $record->tsci_perma_address_line_two == NULL) ? "-" : stripslashes($record->tsci_perma_address_line_two); ?></td>
                                                <td style="display: none;"><?php echo ($record->tsci_perma_address_line_three == "" || $record->tsci_perma_address_line_three == NULL) ? "-" : stripslashes($record->tsci_perma_address_line_three); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->permaState); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->permaCity); ?></td>
                                                <td style="display: none;"><?php echo $record->tsci_perma_zipcode; ?></td>
                                                <td style="display: none;"><?php echo ($record->tsci_parent_mobile == "" || $record->tsci_parent_mobile == NULL) ? "-" : $record->tsci_parent_mobile; ?></td>
                                                <td style="display: none;"><?php echo ($record->tsci_parent_landline == "" || $record->tsci_parent_landline == NULL) ? "-" : $record->tsci_parent_mobile; ?></td>
                                                <td style="display: none;"><?php echo ($record->tspi_parent_annual_income == "" || $record->tspi_parent_annual_income == NULL) ? "-" : $record->tspi_parent_annual_income; ?></td>
                                                <td style="display: none;"><?php echo ($record->tsevi_is_prof_exp == "T") ? "Yes" : "No"; ?></td>
                                                <td style="display: none;"><?php echo $record->tsevi_no_of_years; ?></td>
                                                <td style="display: none;"><?php echo ($record->tsevi_organization == "" || $record->tsevi_organization == NULL) ? "-" : stripslashes($record->tsevi_organization); ?></td>
                                                <td style="display: none;"><?php echo ($record->tsevi_job_desc == "" || $record->tsevi_job_desc == NULL) ? "-" : stripslashes($record->tsevi_job_desc); ?></td>
                                                <td style="display: none;"><?php echo ($record->tsevi_extra_activities == "" || $record->tsevi_extra_activities == NULL) ? "-" : stripslashes($record->tsevi_extra_activities); ?></td>
                                                <td style="display: none;"><?php echo ($record->tshri_is_hostel_opted == "T") ? "Yes" : "No"; ?></td>
                                                <td style="display: none;"><?php echo ($record->tsevi_entrance_through == "" || $record->tsevi_entrance_through == NULL) ? "-" : stripslashes($record->tsevi_entrance_through); ?></td>
                                                <td style="display: none;"><?php echo ($record->tsevi_form_no == "" || $record->tsevi_form_no == NULL) ? "-" : $record->tsevi_form_no; ?></td>
                                                <td style="display: none;"><?php echo ($record->tsevi_composite_score == "" || $record->tsevi_composite_score == NULL) ? "-" : $record->tsevi_composite_score; ?></td>
                                                <td style="display: none;"><?php echo ($record->tsevi_percnt_obtained == "" || $record->tsevi_percnt_obtained == NULL) ? "-" : $record->tsevi_percnt_obtained; ?></td>
                                                <td style="display: none;"><?php echo ($record->tsevi_percntage == "" || $record->tsevi_percntage == NULL) ? "-" : $record->tsevi_percntage; ?></td>
                                                <td style="display: none;"><?php echo ($record->tsevi_rank == "" || $record->tsevi_rank == NULL) ? "-" : $record->tsevi_rank; ?></td>
                                                <td style="display: none;"><?php echo ($record->tshri_comm_address_line_one == "" || $record->tshri_comm_address_line_one == NULL) ? "-" : stripslashes($record->tshri_comm_address_line_one); ?></td>
                                                <td style="display: none;"><?php echo ($record->tshri_comm_address_line_two == "" || $record->tshri_comm_address_line_two == NULL) ? "-" : stripslashes($record->tshri_comm_address_line_two); ?></td>
                                                <td style="display: none;"><?php echo ($record->tshri_comm_address_line_three == "" || $record->tshri_comm_address_line_three == NULL) ? "-" : stripslashes($record->tshri_comm_address_line_three); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->comm_addr_state_name); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->comm_addr_city_name); ?></td>
                                                <td style="display: none;"><?php echo $record->tshri_comm_zipcode; ?></td>
                                                <td style="display: none;">
                                                    <?php
                                                    if ($record->tshri_resid_choice == "H") {
                                                        echo "Will Stay In College Hostel";
                                                    } else if ($record->tshri_resid_choice == "P") {
                                                        echo "Will Stay With Parents In City";
                                                    } else {
                                                        echo "Own Arrangement In City";
                                                    }
                                                    ?>
                                                </td>
                                                <td style="display: none;"><?php echo ($record->tshri_loc_guard_name == "" || $record->tshri_loc_guard_name == NULL) ? "-" : stripslashes($record->tshri_loc_guard_name); ?></td>
                                                <td style="display: none;"><?php echo ($record->tshri_loc_guard_tel_no == "" || $record->tshri_loc_guard_tel_no == NULL) ? "-" : $record->tshri_loc_guard_tel_no; ?></td>
                                                <td style="display: none;"><?php echo ($record->tshri_loc_guard_mob == "" || $record->tshri_loc_guard_mob == NULL) ? "-" : $record->tshri_loc_guard_mob; ?></td>
                                                <td style="display: none;"><?php echo ($record->tshri_loc_guard_address_line_one == "" || $record->tshri_loc_guard_address_line_one == NULL) ? "-" : stripslashes($record->tshri_loc_guard_address_line_one); ?></td>
                                                <td style="display: none;"><?php echo ($record->tshri_loc_guard_address_line_two == "" || $record->tshri_loc_guard_address_line_two == NULL) ? "-" : stripslashes($record->tshri_loc_guard_address_line_two); ?></td>
                                                <td style="display: none;"><?php echo ($record->tshri_loc_guard_address_line_three == "" || $record->tshri_loc_guard_address_line_three == NULL) ? "-" : stripslashes($record->tshri_loc_guard_address_line_three); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->loc_guard_state_name); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->loc_guard_city_name); ?></td>
                                                <td style="display: none;"><?php echo $record->tshri_loc_guard_zipcode; ?></td>
                                                <td style="display: none;"><?php echo ($record->aadharNumber == "" || $record->aadharNumber == NULL) ? "" : $record->aadharNumber; ?></td>
                                                <td style="display: none;"><?php echo base_url("assets/admin/uploads/studentData/") . $record->photoFileName; ?></td>
                                                <td style="display: none;"><?php echo base_url("assets/admin/uploads/studentData/") . $record->signFileName; ?></td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#stuCourse").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Sessions/getSessionByCourseAndBranch/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuSession").html(sessionInfo.session_List);
                            csrfHash = sessionInfo.csrfHash;
                            studentMiscReportFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#stuSession").html("<option value=''>Select Session</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#stuSession").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getEntryTypesOfGivenCourseSessionAndBranch/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $("#stuCourse").val(), session_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuEntryType").html(sessionInfo.entry_types);
                            csrfHash = sessionInfo.csrfHash;
                            studentMiscReportFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#stuEntryType").html("<option value=''>Select Entry Type</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $(function () {
                var dateFormat = "dd/mm/yy",
                        from = $("#entryStartDate")
                        .datepicker({
                            dateFormat: dateFormat,
                            defaultDate: '0',
                            changeMonth: true,
                            changeYear: true,
                            numberOfMonths: 1
                        })
                        .on("change", function () {
                            to.datepicker("option", "minDate", getDate(this));
                        }),
                        to = $("#entryEndDate").datepicker({
                    dateFormat: dateFormat,
                    defaultDate: '0',
                    changeMonth: true,
                    changeYear: true,
                    numberOfMonths: 1
                })
                        .on("change", function () {
                            from.datepicker("option", "maxDate", getDate(this));
                        });

                function getDate(element) {
                    var date;
                    try {
                        date = $.datepicker.parseDate(dateFormat, element.value);
                    } catch (error) {
                        date = null;
                    }
                    return date;
                }
            });

            $(document).ready(function () {
                var selectedSession = '<?php echo $selectedSession; ?>';
                var selectedUCSMapId = '<?php echo $selectedEntryType; ?>';
                if ($("#stuCourse").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Sessions/getSessionByCourseAndBranchSelected/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $("#stuCourse").val(), session_id: selectedSession, csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuSession").html(sessionInfo.session_List);
                            csrfHash = sessionInfo.csrfHash;
                            studentMiscReportFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if (selectedSession !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getEntryTypesOfGivenCourseSessionAndBranchSelected/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $("#stuCourse").val(), session_id: selectedSession, ucs_map_id: selectedUCSMapId, csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuEntryType").html(sessionInfo.entry_types);
                            csrfHash = sessionInfo.csrfHash;
                            studentMiscReportFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                $("#allStudentsMiscReport").DataTable({responsive: true, dom: 'Blfrtip', buttons: [
                        {extend: 'copy', text: "<i class='fa fa-clipboard'></i> Copy"},
                        {extend: 'csv', text: "<i class='fa fa-table'></i> CSV"},
                        {extend: 'excel', text: "<i class='fa fa-file-excel-o'></i> Excel"}
                    ]});
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>