<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Students Scholarship Report | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.print.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Reports</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Reports/studentScholarshipReport"); ?>">Student Scholarship Report</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-inr"></i> Student Scholarship Report</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('successMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Filters <i class="fa fa-filter"></i></legend>
                                    <?php echo form_open(site_url('admin/Reports/studentScholarshipReport'), ['name' => 'studentScholarshipReportFitlerFrm', 'id' => 'studentScholarshipReportFitlerFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-2" style="display: none;">
                                            <label for="stuBranch" class="input__label">Branch *</label>
                                            <select id="stuBranch" name="stuBranch" class="custom-select">
                                                <option value="">Select Branch</option>
                                                <?php
                                                $selected = (sizeof($branches) > 2) ? "" : "selected";
                                                foreach ($branches as $branch) {
                                                    if ($branch->branch_id == 0 || $branch->branch_id == '0') {
                                                        continue;
                                                    }
                                                    ?>
                                                    <option value="<?php echo $branch->branch_id; ?>" <?php echo set_select("stuBranch", $branch->branch_id); ?> <?php echo $selected; ?>><?php echo stripslashes($branch->branch_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="stuCourse" class="input__label">Course</label>
                                            <select id="stuCourse" name="stuCourse" class="custom-select">
                                                <option value="" <?php echo set_select("stuCourse", "") ?>>All Courses</option>
                                                <?php foreach ($courses as $course) { ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo set_select("stuCourse", $course->course_id); ?>><?php echo stripslashes($course->course_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="stuSession" class="input__label">Enrollment Session</label>
                                            <select id="stuSession" name="stuSession" class="custom-select">
                                                <option value="">Select Session</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="stuEntryType" class="input__label">Entry Type</label>
                                            <select id="stuEntryType" name="stuEntryType" class="custom-select">
                                                <option value="">Select Entry Type</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="appliedForSession" class="input__label">Applied For Session</label>
                                            <select id="appliedForSession" name="appliedForSession" class="custom-select">
                                                <option value="" <?php echo set_select("appliedForSession", ""); ?>>All</option>
                                                <?php foreach ($sessions as $session) { ?>
                                                    <option value="<?php echo $session->session_id; ?>" <?php echo set_select("appliedForSession", $session->session_id); ?>><?php echo stripslashes($session->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="schDeleteStatus" class="input__label">Delete Status</label>
                                            <select id="schDeleteStatus" name="schDeleteStatus" class="custom-select">
                                                <option value="" <?php echo set_select("schDeleteStatus", ""); ?>>All</option>
                                                <option value="F" <?php echo set_select("schDeleteStatus", "F"); ?>>Non Deleted Only</option>
                                                <option value="T" <?php echo set_select("schDeleteStatus", "T"); ?>>Deleted By Student</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="filterSubmitBtn" class="input__label"></label>
                                            <button id="filterSubmitBtn" name="filterSubmitBtn" type="submit" class="btn btn-sm btn-warning pull-right">Apply Filter & Fetch Report&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                    <?php echo form_close(); ?>
                                    <hr>
                                </fieldset>
                                <table id="allStudentScholarshipReport" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>College Id</th>
                                            <th>Name</th>
                                            <th style="display:none;">Course</th>
                                            <th style="display:none;">Session</th>
                                            <th style="display:none;">Entry Type</th>
                                            <th>Reg. No.</th>
                                            <th>Income Certificate No.</th>
                                            <th>Issue Date (IC)</th>
                                            <th>Caste Certificate No.</th>
                                            <th>Issue Date (CC)</th>
                                            <th>Application File</th>
                                            <th>Applied For Session</th>
                                            <th>Type</th>
                                            <th>Status</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>College Id</th>
                                            <th>Name</th>
                                            <th style="display:none;">Course</th>
                                            <th style="display:none;">Session</th>
                                            <th style="display:none;">Entry Type</th>
                                            <th>Reg. No.</th>
                                            <th>Income Certificate No.</th>
                                            <th>Issue Date (IC)</th>
                                            <th>Caste Certificate No.</th>
                                            <th>Issue Date (CC)</th>
                                            <th>Application File</th>
                                            <th>Applied For Session</th>
                                            <th>Type</th>
                                            <th>Status</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($filteredRecords); $i++) {
                                            $record = $filteredRecords[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo ($record->tspi_form_no == $record->tspi_enrollment_no) ? "-" : stripslashes($record->tspi_enrollment_no); ?></td>
                                                <td><?php echo stripslashes($record->tspi_name); ?></td>
                                                <td style="display:none;"><?php echo stripslashes($record->course_name); ?></td>
                                                <td style="display:none;"><?php echo stripslashes($record->enrollSession); ?></td>
                                                <td style="display:none;"><?php echo stripslashes($record->tcsm_course_type); ?></td>
                                                <td><?php echo "<a href='" . base_url($record->ssm_app_file) . "' target='_blank'>" . stripslashes($record->ssm_reg_no) . "</a>"; ?></td>
                                                <td><?php echo stripslashes($record->ssm_income_cert_no); ?></td>
                                                <td><?php echo date("d-m-Y", strtotime($record->ssm_income_cert_issued_on)); ?></td>
                                                <td><?php echo stripslashes($record->ssm_caste_cert_no); ?></td>
                                                <td><?php echo date("d-m-Y", strtotime($record->ssm_caste_cert_issued_on)); ?></td>
                                                <td>
                                                    <?php
                                                    echo "<a href='" . base_url($record->ssm_app_file) . "' target='_blank' title='Click To View/Open'><i class='fa fa-file'></i> Click To View<a/>";
                                                    echo " <br><span style='display:none'>File Path: " . base_url($record->ssm_app_file) . "</span>";
                                                    ?>
                                                </td>
                                                <td><?php echo stripslashes($record->appliedForSession); ?></td>
                                                <td><?php echo stripslashes($record->ssm_type); ?></td>
                                                <td>
                                                    <?php echo ($record->ssm_delete_status == "T") ? "<button class='badge badge-danger' disabled='disabled'>Deleted By Student&nbsp;<i class='fa fa-trash'></i></button>" : "-"; ?></td>
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#stuCourse").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Sessions/getSessionByCourseAndBranch/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuSession").html(sessionInfo.session_List);
                            csrfHash = sessionInfo.csrfHash;
                            studentScholarshipReportFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#stuSession").html("<option value=''>Select Session</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#stuSession").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getEntryTypesOfGivenCourseSessionAndBranch/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $("#stuCourse").val(), session_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuEntryType").html(sessionInfo.entry_types);
                            csrfHash = sessionInfo.csrfHash;
                            studentScholarshipReportFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#stuEntryType").html("<option value=''>Select Entry Type</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $(document).ready(function () {
                var selectedSession = '<?php echo $selectedSession; ?>';
                var selectedUCSMapId = '<?php echo $selectedEntryType; ?>';
                if ($("#stuCourse").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Sessions/getSessionByCourseAndBranchSelected/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $("#stuCourse").val(), session_id: selectedSession, csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuSession").html(sessionInfo.session_List);
                            csrfHash = sessionInfo.csrfHash;
                            studentScholarshipReportFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if (selectedSession !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getEntryTypesOfGivenCourseSessionAndBranchSelected/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $("#stuCourse").val(), session_id: selectedSession, ucs_map_id: selectedUCSMapId, csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuEntryType").html(sessionInfo.entry_types);
                            csrfHash = sessionInfo.csrfHash;
                            studentScholarshipReportFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                $("#allStudentScholarshipReport").DataTable({responsive: true, dom: 'Blfrtip', buttons: [
                        {extend: 'copy', text: "<i class='fa fa-clipboard'></i> Copy"},
                        {extend: 'csv', text: "<i class='fa fa-table'></i> CSV"},
                        {extend: 'excel', text: "<i class='fa fa-file-excel-o'></i> Excel"}
                    ]});
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>