<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create New Asset | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Inventory & Stock</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Inventory/inventorySubCategories"); ?>">Asset Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Inventory/createInventorySubCategory"); ?>">Create New Asset</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create New Asset </h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Inventory/saveNewInventorySubCategory'), ['name' => 'inventorySubCategoryCreationFrm', 'id' => 'inventorySubCategoryCreationFrm']); ?>
                                <fieldset>
                                    <legend>Asset Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="invSubCatName" class="input__label">Name *</label>
                                            <input type="text" class="form-control input-style" id="invSubCatName" name="invSubCatName" value="<?php echo set_value('invSubCatName'); ?>" placeholder="Enter Inventory Sub-Category Name" maxlength="50">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="invSubCatShortName" class="input__label">Short Name *</label>
                                            <input type="text" class="form-control input-style" id="invSubCatShortName" name="invSubCatShortName" value="<?php echo set_value('invSubCatShortName'); ?>" placeholder="Enter Inventory Sub-Category Short Name" maxlength="50">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="invCategory" class="input__label">Under Category *</label>
                                            <select id="invCategory" name="invCategory" class="form-control input-style">
                                                <option value="">Select Inventory Category</option>
                                                <?php foreach ($allInventoryCategories as $inventoryCategory) { ?>
                                                    <option value="<?php echo $inventoryCategory->icm_id; ?>" <?php echo set_select("invCategory", $inventoryCategory->icm_id); ?>><?php echo stripslashes($inventoryCategory->icm_short_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label class="input__label">Is Consumable? *</label><br>
                                            <input type="radio" id="subCatComsumeYes" name="invSubCatComsume" value="T" <?php echo set_radio('invSubCatComsume', "T"); ?>>&nbsp;<label for="subCatComsumeYes">Yes</label>
                                            <input type="radio" id="subCatComsumeNo" name="invSubCatComsume" value="F" <?php echo set_radio('invSubCatComsume', "F"); ?>>&nbsp;<label for="subCatComsumeNo">No</label>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="invSubCatDescription" class="input__label">Description</label>
                                            <textarea class="form-control input-style" id="invSubCatDescription" name="invSubCatDescription" placeholder="Enter Inventory Sub-Category Description (Max. 500 Chars)" maxlength="500"><?php echo set_value('invSubCatDescription'); ?></textarea>
                                        </div>
                                    </div>
                                </fieldset>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Create Inventory Sub-Category</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#invSubCatName").on("keyup", function () {
                $("#invSubCatShortName").val($(this).val());
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>