<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Purchase Stock Management | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
            var allUIDs = [];
            var allSrNos = [];
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/StockAndPurchase/purchaseDetails"); ?>">Purchase Stock Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/StockAndPurchase/purchaseDetails"); ?>">All Purchased Stock List</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-stack-exchange"></i> Purchase Stock Management</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/StockAndPurchase/createPurchaseDetail"); ?>'" tooltip="Create New Purchase Item"><i class="fa fa-plus"></i> Create New Purchase Item</button><br><br>
                                <table id="allPurchaseDetails" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Invoice No.</th>
                                            <th>Invoice Date</th>
                                            <th>Asset/Item Name</th>
                                            <th>Make/Model</th>
                                            <th>Unit Price</th>
                                            <th>Tax</th>
                                            <th>Total Amt.+Tax</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Invoice No.</th>
                                            <th>Invoice Date</th>
                                            <th>Asset/Item Name</th>
                                            <th>Make/Model</th>
                                            <th>Unit Price</th>
                                            <th>Tax</th>
                                            <th>Total Amt.+Tax</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        $thisInvoiceNo = "";
                                        $bgcolor = "";
                                        $tempVar = 1;
                                        for ($i = 0; $i < sizeof($allPurchasedStock); $i++) {
                                            $record = $allPurchasedStock[$i];
                                            $tempInvoice = "";
                                            if ($thisInvoiceNo != $record['pm_invoice_number']) {
                                                $thisInvoiceNo = $record['pm_invoice_number'];
                                                $tempInvoice = $record['pm_invoice_number'];
                                                $tempVar++;
                                            } else {
                                                $tempInvoice = "";
                                            }
                                            if ($tempVar % 2 == 0) {
                                                $bgcolor = "#e8e2e2";
                                            } else {
                                                $bgcolor = "#FFF";
                                            }
                                            ?>
                                            <tr style="background-color:<?php echo $bgcolor; ?>">
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo $tempInvoice; ?></td>
                                                <td><?php echo $record['pm_invoice_date']; ?></td>
                                                <td><?php echo stripslashes($record['pdm_item_name']) . "(" . $record['pdm_quantity'] . ")"; ?></td>
                                                <td><?php echo $record['pdm_make'] . "/" . $record['pdm_model']; ?></td>
                                                <td><?php echo $record['pdm_unit_price']; ?></td>
                                                <td><?php echo $record['pdm_tax_percentage']; ?></td>
                                                <td><?php echo $record['pdm_cost_with_tax']; ?></td>
                                                <td>
                                                    <?php if ($record['is_stock_updated']) { ?>
                                                        <i class="fa fa-eye" style="color:#0000FF;cursor: pointer;" title="View Inventory Item(s) Of This Stock" onClick="viewInventory(<?php echo $record['pdm_id']; ?>);"></i> 

                                                    <?php } else {
                                                        ?>
                                                        <i class="fa fa-plus" style="color:#002166;cursor: pointer;" title="Update Items UID, Serial Number & Detail Of Inventory" onClick="updateItemUIDAndSerialNumber(<?php echo $record['pdm_id']; ?>);"></i> 
                                                    <?php }
                                                    ?>
                                                    <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Item" onClick="deletePurchaseDetail(<?php echo $record['pdm_id']; ?>,<?php echo $record['pm_id']; ?>);"></i> 
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                $("#allPurchaseDetails").DataTable({responsive: true, dom: 'Blfrtip'});
            });
            function updateItemUIDAndSerialNumber(pdm_id) {
                event.preventDefault();
                $("#submitBtn").prop("disabled", "disabled");
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/StockAndPurchase/getPurchaseDetailFullInfo/'); ?>',
                    data: {pdm_id: pdm_id, csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        $(".se-pre-con").fadeOut("slow");
                        var thisPurchaseDetailInfo = JSON.parse(result);
                        csrfHash = thisPurchaseDetailInfo.csrfHash;
                        itemInfoCreationFrm.csrf_token.value = csrfHash;
                        $("#pur_invoice_file").prop("href", thisPurchaseDetailInfo.pm_invoice_file);
                        $("#pur_invoice_no").html(thisPurchaseDetailInfo.pm_invoice_number);
                        $("#pur_date").html(thisPurchaseDetailInfo.pm_invoice_date);
                        $("#pur_category").html(thisPurchaseDetailInfo.category_name);
                        $("#pur_total_amt_with_tax").html(thisPurchaseDetailInfo.pm_total_amt_with_tax);
                        $("#pur_total_items").html(thisPurchaseDetailInfo.pm_total_items);
                        $("#pur_phead").html(thisPurchaseDetailInfo.purchase_head);
                        $("#pur_vendor").html(thisPurchaseDetailInfo.vendor_business_name + " (" + thisPurchaseDetailInfo.vendor_address + ")");
                        var purchaseDetails = "";
                        purchaseDetails += "<tr>";
                        purchaseDetails += "<th>1</th>";
                        purchaseDetails += "<td>" + thisPurchaseDetailInfo.pdm_item_name + "</td>";
                        purchaseDetails += "<td>" + thisPurchaseDetailInfo.pdm_make + "</td>";
                        purchaseDetails += "<td>" + thisPurchaseDetailInfo.pdm_model + "</td>";
                        purchaseDetails += "<td>" + thisPurchaseDetailInfo.pdm_rec_date + "</td>";
                        purchaseDetails += "<td>" + thisPurchaseDetailInfo.pdm_quantity + "</td>";
                        purchaseDetails += "<td>" + thisPurchaseDetailInfo.pdm_unit_price + "</td>";
                        purchaseDetails += "<td>" + thisPurchaseDetailInfo.pdm_tax + "% </td>";
                        purchaseDetails += "<td>" + thisPurchaseDetailInfo.pdm_total_cost_with_tax + "</td>";
                        purchaseDetails += "</tr>";
                        $("#purchaseDetails").html(purchaseDetails);
                        var stockEntryFrm = "";
                        for (var j = 0; j < parseInt(thisPurchaseDetailInfo.pdm_quantity); j++) {
                            stockEntryFrm += "<tr>";
                            stockEntryFrm += "<th>" + (j + 1) + "</th>";
                            stockEntryFrm += "<td><input type='text' name='uid[]' placeholder='Enter Unique ID Number' class='form-control'></td>";
                            stockEntryFrm += "<td><input type='text' name='srno[]' placeholder='Enter Serial Number' class='form-control'></td>";
                            stockEntryFrm += "<td><input type='text' name='detail[]' placeholder='Enter Description (Max. 500 Chars)' class='form-control'></td>";
                            stockEntryFrm += "</tr>";
                        }
                        stockEntryFrm += "<input type='hidden' name='totalQuantity' value='" + thisPurchaseDetailInfo.pdm_quantity + "'>";
                        stockEntryFrm += "<input type='hidden' name='pdmId' value='" + pdm_id + "'>";
                        $("#stockEntryFrm").html(stockEntryFrm);
                        $("#stockInfoModal").modal('show');
                    }
                });
            }

            function viewInventory(pdm_id) {
                event.preventDefault();
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/StockAndPurchase/getStockItemFullInfoByPurchaseDetail/'); ?>',
                    data: {pdm_id: pdm_id, csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        $(".se-pre-con").fadeOut("slow");
                        var thisInventoryInfo = JSON.parse(result);
                        csrfHash = thisInventoryInfo.csrfHash;
                        itemInfoCreationFrm.csrf_token.value = csrfHash;
                        $("#purv_invoice_file").prop("href", thisInventoryInfo.pm_invoice_file);
                        $("#purv_invoice_no").html(thisInventoryInfo.pm_invoice_number);
                        $("#purv_date").html(thisInventoryInfo.pm_invoice_date);
                        $("#purv_category").html(thisInventoryInfo.category_name);
                        $("#purv_total_amt_with_tax").html(thisInventoryInfo.pm_total_amt_with_tax);
                        $("#purv_total_items").html(thisInventoryInfo.pm_total_items);
                        $("#purv_phead").html(thisInventoryInfo.purchase_head);
                        $("#purv_vendor").html(thisInventoryInfo.vendor_business_name + " (" + thisInventoryInfo.vendor_address + ")");
                        $("#purv_register_info").html(thisInventoryInfo.pm_register_details);
                        var purchaseDetails = "";
                        purchaseDetails += "<tr>";
                        purchaseDetails += "<th>1</th>";
                        purchaseDetails += "<td>" + thisInventoryInfo.pdm_item_name + "</td>";
                        purchaseDetails += "<td>" + thisInventoryInfo.pdm_make + "</td>";
                        purchaseDetails += "<td>" + thisInventoryInfo.pdm_model + "</td>";
                        purchaseDetails += "<td>" + thisInventoryInfo.pdm_rec_date + "</td>";
                        purchaseDetails += "<td>" + thisInventoryInfo.pdm_quantity + "</td>";
                        purchaseDetails += "<td>" + thisInventoryInfo.pdm_unit_price + "</td>";
                        purchaseDetails += "<td>" + thisInventoryInfo.pdm_tax + "% </td>";
                        purchaseDetails += "<td>" + thisInventoryInfo.pdm_total_cost_with_tax + "</td>";
                        purchaseDetails += "</tr>";
                        $("#purchaseDetailsView").html(purchaseDetails);
                        var stockEntryView = "";
                        for (var j = 0; j < thisInventoryInfo.pdm_stock_inventory.length; j++) {
                            stockEntryView += "<tr>";
                            stockEntryView += "<th>" + (j + 1) + "</th>";
                            stockEntryView += "<td>" + thisInventoryInfo.pdm_stock_inventory[j].sm_uid + "</td>";
                            stockEntryView += "<td>" + thisInventoryInfo.pdm_stock_inventory[j].sm_sr_no + "</td>";
                            stockEntryView += "<td>" + thisInventoryInfo.pdm_stock_inventory[j].sm_is_scrap + "</td>";
                            stockEntryView += "<td>" + thisInventoryInfo.pdm_stock_inventory[j].sm_detail + "</td>";
                            stockEntryView += "<td>";
                            stockEntryView += "<i class='fa fa-edit' style='color:#002166;cursor: pointer;' title='Edit This Inventory Item' onClick='editInventoryItem(" + thisInventoryInfo.pdm_stock_inventory[j].sm_id + ")'></i>";
                            stockEntryView += " <i class='fa fa-trash' style='color:#FF0000; cursor: pointer; ' title='Delete This Item' onClick='deleteInventoryItem(" + thisInventoryInfo.pdm_stock_inventory[j].sm_id + ", " + thisInventoryInfo.pdm_id + "); '></i>";
                            stockEntryView += "</td>";
                            stockEntryView += "</tr>";
                        }
                        $("#stockEntryInfo").html(stockEntryView);
                        $("#stockInfoViewModal").modal('show');
                    }
                });
            }

            function deletePurchaseDetail(pdm_id, pm_id) {
                if (confirm("Do You Really Want To Delete This Purchase Items? All Related Quantities Will Also Be Removed From Stock Including Issues To User And Departments. Click OK To Delete & Cancel Otherwise.")) {
                    window.location.href = '<?php echo site_url('admin/StockAndPurchase/deletePurchaseDetails/'); ?>' + pdm_id + '/' + pm_id;
                }
            }

            function editInventoryItem(sm_id) {
                if (confirm("Do You Want To Edit This Inventory Item? Click OK To Continue & Cancel Otherwise.")) {
                    window.location.href = '<?php echo site_url('admin/StockAndPurchase/editInventoryItem/'); ?>' + sm_id;
                }
            }

            function deleteInventoryItem(sm_id, pdm_id) {
                if (confirm("Do You Really Want To Delete This Inventory Item? Any Issued Item Will Also Be Deleted. Click OK To Delete & Cancel Otherwise.")) {
                    window.location.href = '<?php echo site_url('admin/StockAndPurchase/deleteInventoryItem/'); ?>' + sm_id + "/" + pdm_id;
                }
            }

            function printStockInfo() {
                var divToPrint = document.getElementById("invoiceWithStockDetail").innerHTML;
                document.body.innerHTML = divToPrint;
                window.print();
                location.reload();
            }

            function checkDuplicateUID() {
                var isBlankOrDuplicate = 0;
                var duplicateValueArray = [];
                allUIDs = $("input[name='uid[]']").map(function () {
                    if ($(this).val() !== '') {
                        return $(this).val();
                    } else {
                        isBlankOrDuplicate++;
                    }
                }).get();
                duplicateValueArray = allUIDs.filter(function (element, pos) {
                    if (allUIDs.indexOf(element) !== pos) {
                        return true;
                    } else {
                        return false;
                    }
                });
                if (duplicateValueArray.length !== 0 || isBlankOrDuplicate !== 0) {
                    $('#spnErrUID').html("Same/Blank UID Found (" + duplicateValueArray + ") In More Than One Record. Please Make The Required Correction.");
                    return false;
                } else {
                    $('#spnErrUID').html('');
                    return true;
                }
            }

            function checkDuplicateSrNo() {
                var isBlankOrDuplicate = 0;
                var duplicateValueArray = [];
                allSrNos = $("input[name='srno[]']").map(function () {
                    if ($(this).val() !== '') {
                        return $(this).val();
                    } else {
                        isBlankOrDuplicate++;
                    }
                }).get();
                duplicateValueArray = allSrNos.filter(function (element, pos) {
                    if (allSrNos.indexOf(element) !== pos) {
                        return true;
                    } else {
                        return false;
                    }
                });
                if (duplicateValueArray.length !== 0 || isBlankOrDuplicate !== 0) {
                    $('#spnErrSrNo').html("Same/Blank Serial Number Found (" + duplicateValueArray + ") In More Than One Record. Please Make The Required Correction.");
                    return false;
                } else {
                    $('#spnErrSrNo').html('');
                    return true;
                }
            }

            function checkUIDAndSerialNumber() {
                if (checkDuplicateUID()) {
                    $.ajax({
                        url: '<?php echo site_url('admin/StockAndPurchase/checkUIDs/') ?>',
                        data: {uidArray: allUIDs, csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var uidOrSrInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            csrfHash = uidOrSrInfo.csrfHash;
                            itemInfoCreationFrm.csrf_token.value = csrfHash;
                            if (uidOrSrInfo.if_exist !== '0' && uidOrSrInfo.if_exist !== 0) {
                                $('#spnErrUID').html('Any Of The Entered UID Has Already Been Allotted To Existing Item. Please Make The Required Correction.');
                            } else {
                                $("#submitBtn").prop("disabled", "");
//                                $.ajax({
//                                    url: '<?php echo site_url('admin/StockAndPurchase/checkSerialNumbers/') ?>',
//                                    data: {uidArray: allSrNos, csrf_token: csrfHash},
//                                    type: 'POST',
//                                    success: function (result) {
//                                        var uidOrSrInfo = JSON.parse(result);
//                                        $(".se-pre-con").fadeOut("slow");
//                                        csrfHash = uidOrSrInfo.csrfHash;
//                                        itemInfoCreationFrm.csrf_token.value = csrfHash;
//                                        if (uidOrSrInfo.if_exist !== '0' && uidOrSrInfo.if_exist !== 0) {
//                                            $('#spnErrSrNo').html('Any Of The Entered Serial Number Has Already Been Allotted To Existing Item. Please Make The Required Correction.');
//                                        } else {
//                                            $("#submitBtn").prop("disabled", "");
//                                        }
//                                    }
//                                });
                            }
                        }
                    });
                }
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
        <!-- Stock Info Update Modal Starts -->
        <div class="modal fade" id="stockInfoModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-xl">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Stock Information</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <fieldset>
                            <div class="row">
                                <div class="col-sm-12"><center><b><u>Invoice Info</u></b></center></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Bill/Invoice Number</b></div>
                                <div class="col-sm-3"><span id="pur_invoice_no"></span>&nbsp;<a id="pur_invoice_file" target="_blank"><i class="fa fa-external-link"></i></a></div>
                                <div class="col-sm-3"><b>Bill/Invoice Date</b></div>
                                <div class="col-sm-3"><span id="pur_date"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Total Items</b></div>
                                <div class="col-sm-3"><span id="pur_total_items"></span></div>
                                <div class="col-sm-3"><b>Total Amt.+Tax</b></div>
                                <div class="col-sm-3"><span id="pur_total_amt_with_tax"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Category</b></div>
                                <div class="col-sm-3"><span id="pur_category"></span></div>
                                <div class="col-sm-3"><b>Purchase Head</b></div>
                                <div class="col-sm-3"><span id="pur_phead"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Supplier</b></div>
                                <div class="col-sm-9"><span id="pur_vendor"></span></div>
                            </div>
                        </fieldset>
                        <fieldset>
                            <div class="row">
                                <div class="col-sm-12"><center><b><u>Purchase Details</u></b></center></div>
                            </div>
                            <div class="row">
                                <table class="table table-striped table-primary">
                                    <thead>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Asset/Item Name</th>
                                            <th>Make</th>
                                            <th>Model</th>
                                            <th>Rec. Date</th>
                                            <th>Quantity</th>
                                            <th>Unit Price</th>
                                            <th>Tax</th>
                                            <th>Total Cost (With Tax)</th>
                                        </tr>
                                    </thead>
                                    <tbody id="purchaseDetails"></tbody>
                                </table>
                            </div>
                        </fieldset>
                        <fieldset>
                            <div class="row">
                                <div class="col-sm-12"><center><b><u>Add Stock Information</u></b></center></div>
                            </div>
                            <div class="row">
                                <div class="col-md-12 col-sm-12">
                                    <?php echo form_open(site_url('admin/StockAndPurchase/updateItemInfoBulk'), ['name' => 'itemInfoCreationFrm', 'id' => 'itemInfoCreationFrm']); ?>
                                    <table class="table table-striped table-warning">
                                        <thead>
                                            <tr>
                                                <th>Sr. No.</th>
                                                <th>Unique ID Number</th>
                                                <th>Serial Number</th>
                                                <th>Detail</th>
                                            </tr>
                                        </thead>
                                        <tbody id="stockEntryFrm"></tbody>
                                    </table>
                                    <span id="spnErrUID" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span><br>
                                    <span id="spnErrSrNo" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span><br>
                                    <button type='button' name='validateBtn' onClick="checkUIDAndSerialNumber();" class='btn btn-sm btn-danger'><i class="fa fa-check-square-o"></i>&nbsp;Validate UIDs & Serial Nos.</button>
                                    <button type='submit' id="submitBtn" name='submitBtn' class='btn btn-sm btn-primary' disabled="disabled"><i class="fa fa-plus"></i>&nbsp;Update Stock Information</button>
                                    <?php echo form_close(); ?>
                                </div>
                            </div>
                        </fieldset>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Stock Info Update Modal Ends -->

        <!-- Stock Inventory Detail View Modal Starts -->
        <div class="modal fade" id="stockInfoViewModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-xl">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Showing Stock Information | <a href="#" onClick="printStockInfo();" title="Print This Stock Information"><i class="fa fa-print"></i></a></h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div id="invoiceWithStockDetail" class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <fieldset>
                            <div class="row">
                                <div class="col-sm-12"><center><b><u>Invoice Info</u></b></center></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Bill/Invoice Number</b></div>
                                <div class="col-sm-3"><span id="purv_invoice_no"></span>&nbsp;<a id="purv_invoice_file" target="_blank"><i class="fa fa-external-link"></i></a></div>
                                <div class="col-sm-3"><b>Bill/Invoice Date</b></div>
                                <div class="col-sm-3"><span id="purv_date"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Total Item(s)</b></div>
                                <div class="col-sm-3"><span id="purv_total_items"></span></div>
                                <div class="col-sm-3"><b>Total Amt.+Tax</b></div>
                                <div class="col-sm-3"><span id="purv_total_amt_with_tax"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Category</b></div>
                                <div class="col-sm-3"><span id="purv_category"></span></div>
                                <div class="col-sm-3"><b>Purchase Head</b></div>
                                <div class="col-sm-3"><span id="purv_phead"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Supplier</b></div>
                                <div class="col-sm-9"><span id="purv_vendor"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Register Details</b></div>
                                <div class="col-sm-9"><span id="purv_register_info"></span></div>
                            </div>
                        </fieldset>
                        <fieldset>
                            <div class="row">
                                <div class="col-sm-12"><center><b><u>Purchase Details</u></b></center></div>
                            </div>
                            <div class="row">
                                <table class="table table-striped table-primary">
                                    <thead>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Asset/Item Name</th>
                                            <th>Make</th>
                                            <th>Model</th>
                                            <th>Rec. Date</th>
                                            <th>Quantity</th>
                                            <th>Unit Price</th>
                                            <th>Tax</th>
                                            <th>Total Cost (With Tax)</th>
                                        </tr>
                                    </thead>
                                    <tbody id="purchaseDetailsView"></tbody>
                                </table>
                            </div>
                        </fieldset>
                        <fieldset>
                            <div class="row">
                                <div class="col-sm-12"><center><b><u>Available Stock Information</u></b>&nbsp;<a href="<?php echo site_url('admin/StockAndPurchase/createInventoryItem'); ?>" class="pull-right"><i class="fa fa-plus"></i>Add More</a></center></div>
                            </div>
                            <div class="row">
                                <div class="col-md-12 col-sm-12">
                                    <table class="table table-striped table-warning">
                                        <thead>
                                            <tr>
                                                <th>Sr. No.</th>
                                                <th>Unique ID Number</th>
                                                <th>Serial Number</th>
                                                <th>Is Scrap?</th>
                                                <th>Detail</th>
                                                <th>Action</th>
                                            </tr>
                                        </thead>
                                        <tbody id="stockEntryInfo"></tbody>
                                    </table>
                                </div>
                            </div>
                        </fieldset>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Stock Inventory Detail View Modal Ends -->
    </body>
</html>