<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Purchase History | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/StockAndPurchase/"); ?>">Purchase History</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/StockAndPurchase/"); ?>">All Purchase History</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-money"></i> Purchase History Management</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/StockAndPurchase/createPurchase"); ?>'" tooltip="Create New Purchase"><i class="fa fa-plus"></i> Create New Purchase</button><br><br>
                                <table id="allPurchaseHistory" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Invoice Number</th>
                                            <th>Invoice Date</th>
                                            <th>Category</th>
                                            <th>Amount (With Tax)</th>
                                            <th>Purchase Head</th>
                                            <th>Supplier</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Invoice Number</th>
                                            <th>Invoice Date</th>
                                            <th>Category</th>
                                            <th>Amount (With Tax)</th>
                                            <th>Purchase Head</th>
                                            <th>Supplier</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($allPurchases); $i++) {
                                            $record = $allPurchases[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->pm_invoice_file == "" || $record->pm_invoice_file == NULL) {
                                                        echo stripslashes($record->pm_invoice_number);
                                                    } else {
                                                        echo "<a href='" . base_url($record->pm_invoice_file) . "' target='_blank'>" . stripslashes($record->pm_invoice_number) . "</a>";
                                                    }
                                                    ?>
                                                </td>
                                                <td><?php echo ($record->pm_invoice_date == "1970-01-01") ? "Invalid Date" : date("d-m-Y", strtotime($record->pm_invoice_date)); ?></td>
                                                <td><?php echo stripslashes($record->icm_name); ?></td>
                                                <td><?php echo "<i class='fa fa-inr'></i> " . $record->pm_total_amt_with_tax . "/- INR"; ?></td>
                                                <td><?php echo stripslashes($record->iphm_name); ?></td>
                                                <td><?php echo stripslashes($record->ven_business_name); ?></td>
                                                <td>
                                                    <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Invoice" onClick="window.location.href = '<?php echo site_url('admin/StockAndPurchase/editPurchase/' . $record->pm_id) ?>'"  ></i>
                                                    <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Invoice" onClick="deletePurchase(<?php echo $record->pm_id; ?>);"></i> 
                                                    <i class="fa fa-info-circle" style="color:#002166;cursor: pointer;" title="More Info" onClick="getPurchaseInfo(<?php echo $record->pm_id; ?>);"></i> 
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                $("#allPurchaseHistory").DataTable({responsive: true, dom: 'Blfrtip'});
            });

            function getPurchaseInfo(pm_id) {
                event.preventDefault();
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/StockAndPurchase/getPurchaseFullInfo/'); ?>',
                    data: {pm_id: pm_id, csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        $(".se-pre-con").fadeOut("slow");
                        var thisPurchaseInfo = JSON.parse(result);
                        csrfHash = thisPurchaseInfo.csrfHash;
                        $("#pur_invoice_file").prop("href", thisPurchaseInfo.pm_invoice_file);
                        $("#pur_invoice_no").html(thisPurchaseInfo.pm_invoice_number);
                        $("#pur_date").html(thisPurchaseInfo.pm_invoice_date);
                        $("#pur_category").html(thisPurchaseInfo.category_name);
                        $("#pur_total_amt_with_tax").html(thisPurchaseInfo.pm_total_amt_with_tax);
                        $("#pur_total_items").html(thisPurchaseInfo.pm_total_items);
                        $("#pur_phead").html(thisPurchaseInfo.purchase_head);
                        $("#pur_vendor").html(thisPurchaseInfo.vendor_business_name + " (" + thisPurchaseInfo.vendor_address + ")");
                        $("#pur_created_by").html(thisPurchaseInfo.pm_created_by);
                        $("#pur_updated_by").html(thisPurchaseInfo.pm_updated_by);
                        $("#pur_register_info").html(thisPurchaseInfo.pm_register_details);
                        var purchaseDetails = "";
                        for (var i = 0; i < thisPurchaseInfo.pm_purchase_details.length; i++) {
                            purchaseDetails += "<tr>";
                            purchaseDetails += "<td>" + (i + 1) + "</td>";
                            purchaseDetails += "<td>" + thisPurchaseInfo.pm_purchase_details[i].pd_item_name + "</td>";
                            purchaseDetails += "<td>" + thisPurchaseInfo.pm_purchase_details[i].pd_make + "</td>";
                            purchaseDetails += "<td>" + thisPurchaseInfo.pm_purchase_details[i].pd_model + "</td>";
                            purchaseDetails += "<td>" + thisPurchaseInfo.pm_purchase_details[i].pd_rec_date + "</td>";
                            purchaseDetails += "<td>" + thisPurchaseInfo.pm_purchase_details[i].pd_quantity + "</td>";
                            purchaseDetails += "<td>" + thisPurchaseInfo.pm_purchase_details[i].pd_unit_price + "</td>";
                            purchaseDetails += "<td>" + thisPurchaseInfo.pm_purchase_details[i].pd_tax_perc + "% </td>";
                            purchaseDetails += "<td>" + thisPurchaseInfo.pm_purchase_details[i].pd_tot_cost_with_tax + "</td>";
                            purchaseDetails += "</tr>";
                        }
                        $("#purchaseDetails").html(purchaseDetails);
                        $("#purchaseDetailsModal").modal('show');
                    }
                });
            }

            function deletePurchase(pm_id) {
                if (confirm("Do You Really Want To Delete This Invoice? All Items Purchased In This Invoice Will Also Be Removed From Stock Including Issues To User And Departments. Click OK To Delete & Cancel Otherwise.")) {
                    window.location.href = '<?php echo site_url('admin/StockAndPurchase/deletePurchase/'); ?>' + pm_id;
                }
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
        <!-- Purchase Details Modal Starts -->
        <div class="modal fade" id="purchaseDetailsModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-xl">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Purchase Info</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <fieldset>
                            <div class="row">
                                <div class="col-sm-3"><b>Bill/Invoice Number</b></div>
                                <div class="col-sm-3"><span id="pur_invoice_no"></span>&nbsp;<a id="pur_invoice_file" target="_blank"><i class="fa fa-external-link"></i></a></div>
                                <div class="col-sm-3"><b>Bill/Invoice Date</b></div>
                                <div class="col-sm-3"><span id="pur_date"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Total Items</b></div>
                                <div class="col-sm-3"><span id="pur_total_items"></span></div>
                                <div class="col-sm-3"><b>Total Amt.+Tax</b></div>
                                <div class="col-sm-3"><span id="pur_total_amt_with_tax"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Category</b></div>
                                <div class="col-sm-3"><span id="pur_category"></span></div>
                                <div class="col-sm-3"><b>Purchase Head</b></div>
                                <div class="col-sm-3"><span id="pur_phead"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Supplier</b></div>
                                <div class="col-sm-9"><span id="pur_vendor"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Register Details</b></div>
                                <div class="col-sm-9"><span id="pur_register_info"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-12"><center><b>Purchase Details</b></center></div>
                            </div>
                            <div class="row">
                                <table class="table table-striped table-primary">
                                    <thead>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Asset/Item Name</th>
                                            <th>Make</th>
                                            <th>Model</th>
                                            <th>Rec. Date</th>
                                            <th>Quantity</th>
                                            <th>Unit Cost</th>
                                            <th>Tax</th>
                                            <th>Total Cost</th>
                                        </tr>
                                    </thead>
                                    <tbody id="purchaseDetails"></tbody>
                                </table>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Created By</b></div>
                                <div class="col-sm-9"><span id="pur_created_by"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Last Updated By</b></div>
                                <div class="col-sm-9"><span id="pur_updated_by"></span></div>
                            </div>
                        </fieldset>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Purchase Details Modal Ends -->
    </body>
</html>