<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>All Correction Requests | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page">Student Operations</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Feedback/correctionRequests"); ?>">All Correction Requests</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-comments"></i> All Correction Requests</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <table id="allCorrectionRequest" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Subject</th>
                                            <th>Description</th>
                                            <th>File</th>
                                            <th>Submitted By</th>
                                            <th>Submitted On</th>
                                            <th>Status</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Subject</th>
                                            <th>Description</th>
                                            <th>File</th>
                                            <th>Submitted By</th>
                                            <th>Submitted On</th>
                                            <th>Status</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($allCorrectionRequests); $i++) {
                                            $record = $allCorrectionRequests[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <th><a href="javascript:void(0);" class="badge badge-danger"><?php echo stripslashes($record->tscr_title); ?></a></th>
                                                <td><?php echo stripslashes($record->tscr_descrption); ?></td>
                                                <td><?php echo ($record->tscr_file != "" || $record->tscr_file != NULL) ? "<a href='" . base_url($record->tscr_file) . "' target='_blank' title='Click To View File'><i class='fa fa-file'></i></a>" : "-"; ?></td>
                                                <td><?php echo stripslashes($record->tspi_name) . " | " . stripslashes($record->course_name) . " | " . stripslashes($record->session_name); ?></td>
                                                <td><?php echo date("d-m-Y h:i:s A", strtotime($record->tscr_created_on)); ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->tscr_status == "P") {
                                                        echo "<i class='fa fa-clock-o' style='color:#FF0000;'></i> Pending";
                                                    } else {
                                                        echo "<i class='fa fa-check-circle' style='color:#00FF00;'></i> Complete";
                                                    }
                                                    ?>
                                                </td>
                                                <td>
                                                    <?php if ($record->tscr_status == "P") { ?>
                                                        <i class="fa fa-check-square-o" style="color:#297534;cursor: pointer;" title="Mark This Request As Complete" onClick="confirmRequest(<?php echo $record->tscr_id; ?>);"></i> 
                                                    <?php } else { ?>
                                                        <i class="fa fa-ban" style="color:#FF0000;cursor: pointer;" title="No Action Available"></i> 
                                                    <?php }
                                                    ?>
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                $("#allCorrectionRequest").DataTable({responsive: true, dom: 'Blfrtip'});
            });

            function confirmRequest(tscr_id) {
                if (confirm("Did you made all modification which has been requested? Your action will convert the request status to 'Complete' and can not be rolled back. Click OK to continue & Cancel otherwise.")) {
                    window.location.href = '<?php echo site_url('admin/Feedback/changeCorrectionRequestStatus/'); ?>' + tscr_id;
                }
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>