<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Update Semester Info | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.validate.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Student Operations</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Student/getSemesterOrYearInfo"); ?>">Update Semester Info</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-address-card-o"></i> Update Semester Info Of Student</h3><br>
                            <div class="card-body">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('successMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Search Student <i class="fa fa-search"></i></legend>
                                    <?php echo form_open(site_url('admin/Student/getSemesterOrYearInfo'), ['name' => 'semInfoUpdateFrm', 'id' => 'semInfoUpdateFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="formEnrlRollNo" class="input__label">Form No./Enrl. No./Roll No./University Or Exam Roll No. *</label>
                                            <input type="text" class="form-control" id="formEnrlRollNo" name="formEnrlRollNo" value="<?php echo set_value('formEnrlRollNo'); ?>" placeholder="Enter Form No./Enrl. No./Roll No/University Or Exam Roll No.." maxlength="50" autocomplete="off">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="fetchStudentInfo" class="input__label"></label>
                                            <button type="submit" id="fetchStudentInfo" name="fetchStudentInfo" class="btn btn-sm btn-warning pull-right">Fetch Student & Semester Info&nbsp;<i class="fa fa-arrow-left"></i></button>
                                        </div>
                                    </div>
                                    <?php echo form_close(); ?>
                                    <hr>
                                </fieldset>
                                <?php
                                if (sizeof($studentInfo)) {
                                    ?>
                                    <fieldset id="studentDetails">
                                        <legend>Student Info</legend>
                                        <div>
                                            <table border="1" class="table table-warning table-hover table-striped">
                                                <tr>
                                                    <td rowspan="3">
                                                        <a href="<?php echo $studentInfo['stu_photograph']; ?>" target="_blank" title="Click To Open Photograph"><img src="<?php echo $studentInfo['stu_photograph']; ?>" id="photograph" height="78px" alt="Photograph Not Available"/></a><br><br>
                                                        <a href="<?php echo $studentInfo['stu_sign']; ?>" target="_blank" title="Click To Open Signature"><img src="<?php echo $studentInfo['stu_sign']; ?>" id="sign" width="78px" alt="Signature Not Available"/></a>
                                                    </td>
                                                    <th>Form No.</th>
                                                    <td><b><span id="formNo" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_form_no']; ?></span></b></td>
                                                    <th>Enrl. No.</th>
                                                    <td><b><span id="enrollmentNo" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_enrollment_no']; ?></span></b></td>
                                                    <th>Roll No.</th>
                                                    <td><b><span id="rollNo" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_roll_no']; ?></span></b></td>
                                                </tr>
                                                <tr>
                                                    <th>Name</th>
                                                    <td><b><span id="name" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_name']; ?></span></b></td>
                                                    <th>Father's Name</th>
                                                    <td><b><span id="fatherName" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_father_name']; ?></span></b></td>
                                                    <th>D.O.B.</th>
                                                    <td><b><span id="dob" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_dob']; ?></span></b></td>
                                                </tr>
                                                <tr>
                                                    <th>Gender</th>
                                                    <td><b><span id="gender" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_gender']; ?></span></b></td>
                                                    <th>Email</th>
                                                    <td><b><span id="email" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_email']; ?></span></b></td>
                                                    <th>Mobile</th>
                                                    <td><b><span id="mobile" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_mobile']; ?></span></b></td>
                                                </tr>
                                                <tr>
                                                    <th>Course</th>
                                                    <td><b><span id="course" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_course'] . " (" . $studentInfo['stu_entry_type'] . ")"; ?></span></b></td>
                                                    <th>Session</th>
                                                    <td><b><span id="session" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_session']; ?></span></b></td>
                                                    <th>Batch</th>
                                                    <td colspan="2"><b><span id="batch" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_batch']; ?></span></b></td>
                                                </tr>
                                                <tr>
                                                    <th>Differently Abled</th>
                                                    <td><b><span id="diffAbled" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_diff_abled']; ?></span></b></td>
                                                    <th>Category</th>
                                                    <td><b><span id="category" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_category']; ?></span></b></td>
                                                    <th>Religion</th>
                                                    <td colspan="2"><b><span id="religion" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_religion']; ?></span></b></td>
                                                </tr>
                                            </table>
                                        </div>
                                    </fieldset>
                                    <fieldset id="studentDetails">
                                        <legend>Semester Exam Marks Details</legend>
                                        <span id="spnErr" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                                        <span id="spnSuccess" style="color:#0000FF;font-size:15px;font-weight: bolder;"></span><br>
                                        <?php
                                        if (sizeof($studentSemesterInfo) < $studentInfo['stu_max_sem_year']) {
                                            ?>
                                            <button class="btn btn-sm btn-primary" onClick="getSemOrYear();"><i class="fa fa-plus"></i> Add New Semester/Year Marks</button><br><br>
                                        <?php } ?>
                                        <table id="allSemesterInfo" class="bootstrap-datatable table-responsive table-striped table-hover" style="width:100%">
                                            <thead>
                                                <tr>
                                                    <th>Semester/Year</th>
                                                    <th>Maximum Marks</th>
                                                    <th>Obtained Marks</th>
                                                    <th>Percentage</th>
                                                    <th>Division</th>
                                                    <th>Passing Status</th>
                                                    <th>Back Paper(s) Type</th>
                                                    <th>University Roll No.</th>
                                                    <th>University Enrl. No.</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php
                                                $grandTotalMM = 0;
                                                $grandTotalObt = 0;
                                                for ($i = 0; $i < sizeof($studentSemesterInfo); $i++) {
                                                    $record = $studentSemesterInfo[$i];
                                                    $grandTotalMM += $record->tssi_max_marks;
                                                    $grandTotalObt += $record->tssi_marks_obt;
                                                    ?>
                                                    <tr>
                                                        <td><?php echo $record->tssi_semester; ?></td>
                                                        <td><?php echo $record->tssi_max_marks; ?></td>
                                                        <td><?php echo $record->tssi_marks_obt; ?></td>
                                                        <td><?php echo $record->tssi_percnt . "%"; ?></td>
                                                        <td><?php echo $record->tssi_division; ?></td>
                                                        <td><?php echo $record->tssi_passing_status; ?></td>
                                                        <td><?php echo stripslashes($record->tssi_back_papers); ?></td>
                                                        <td><?php echo stripslashes($record->tssi_univ_roll_no); ?></td>
                                                        <td><?php echo stripslashes($record->tssi_univ_enrollment_no); ?></td>
                                                        <td>
                                                            <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Semester Info" onClick="editSemesterInfo(<?php echo $record->tssi_id; ?>,<?php echo $record->tspi_id; ?>);"></i>
                                                            <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Semester Info" onClick="deleteSemesterInfo(<?php echo $record->tssi_id; ?>,<?php echo $record->tspi_id; ?>);"></i> 
                                                        </td>
                                                    </tr>
                                                <?php } ?>
                                            </tbody>
                                            <tr>
                                                <th colspan="10">
                                                    <b>
                                                        Grand Total: <?php echo $grandTotalObt . "/" . $grandTotalMM; ?> |
                                                        Overall Percentage: <?php echo ($grandTotalMM != 0) ? round((($grandTotalObt / $grandTotalMM) * 100), 2) . "%" : "-"; ?>
                                                    </b>
                                                </th>
                                            </tr>
                                        </table>
                                    </fieldset>
                                <?php }
                                ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <!-- Add Semester Details Form Modal Starts -->
        <div class="modal fade" id="addSemesterInfoModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Add New Semester/Year Marks</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <?php echo form_open("", ['name' => 'newSemYearDetailFrm', 'id' => 'newSemYearDetailFrm']); ?>
                        <fieldset>
                            <div class="form-row">
                                <div class="form-group col-md-4">
                                    <label for="semesterOrYear" class="input__label">Semester/Year *</label>
                                    <select id="semesterOrYear" name="semesterOrYear" class="custom-select">
                                    </select>
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="maxMarks" class="input__label">Maximum Marks *</label>
                                    <input type="text" class="form-control" id="maxMarks" name="maxMarks" value="<?php echo set_value('maxMarks'); ?>" placeholder="Enter Maximum Marks" maxlength="5" onBlur="validateMMAndObtMarks();">
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="obtMarks" class="input__label">Obtained Marks *</label>
                                    <input type="text" class="form-control" id="obtMarks" name="obtMarks" value="<?php echo set_value('obtMarks'); ?>" placeholder="Enter Obtained Marks" maxlength="5" onBlur="validateMMAndObtMarks();">
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group col-md-4">
                                    <label class="input__label">Percentage *</label>
                                    <input type="text" class="form-control readonly" tabindex="-1" id="percentage" name="percentage" value="<?php echo set_value('percentage'); ?>" placeholder="Percentage Secured" maxlength="15">
                                </div>
                                <div class="form-group col-md-4">
                                    <label class="input__label">Division *</label>
                                    <select tabindex="-1" id="division" name="division" class="custom-select readonly">
                                        <option value="" <?php echo set_select("division", ''); ?>>Select Division</option>
                                        <option value="1" <?php echo set_select("division", '1'); ?>>I-Div</option>
                                        <option value="2" <?php echo set_select("division", '2'); ?>>II-Div</option>
                                        <option value="3" <?php echo set_select("division", '3'); ?>>III-Div</option>
                                        <option value="0" <?php echo set_select("division", '0'); ?>>No Div/Fail</option>
                                    </select>
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="passingStatus" class="input__label">Passing Status *</label>
                                    <select id="passingStatus" name="passingStatus" class="custom-select">
                                        <option value="" <?php echo set_select("passingStatus", ''); ?>>Select Passing Status</option>
                                        <option value="Pass" <?php echo set_select("passingStatus", 'Pass'); ?>>Pass</option>
                                        <option value="Fail" <?php echo set_select("passingStatus", 'Fail'); ?>>Fail</option>
                                        <option value="Promoted with Back Paper" <?php echo set_select("passingStatus", 'Promoted with Back Paper'); ?>>Promoted with Back Paper</option>
                                        <option value="UFM" <?php echo set_select("passingStatus", 'UFM'); ?>>UFM</option>
                                        <option value="RW" <?php echo set_select("passingStatus", 'RW'); ?>>RW</option>
                                        <option value="Absent" <?php echo set_select("passingStatus", 'Absent'); ?>>Absent</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group col-md-6">
                                    <label for="univRollNo" class="input__label">University Roll No.</label>
                                    <input type="text" class="form-control" id="univRollNo" name="univRollNo" value="<?php echo set_value('univRollNo'); ?>" placeholder="University Roll No." maxlength="50">
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="univEnrlNo" class="input__label">University Enrl. No.</label>
                                    <input type="text" class="form-control" id="univEnrlNo" name="univEnrlNo" value="<?php echo set_value('univEnrlNo'); ?>" placeholder="University Enrl. No." maxlength="50">
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group col-md-12">
                                    <label for="backSubjects" class="input__label">Back Subject(s) (If Any, Then Enter Subject Code Separated By Comma)</label>
                                    <textarea class="form-control" id="backSubjects" name="backSubjects" value="<?php echo set_value("backSubjects"); ?>" placeholder="Enter Back Subject Codes Separated By Comma (If Any)"></textarea>
                                </div> 
                            </div>
                        </fieldset>
                        <input type="hidden" id="tspi_id" name="tspi_id" value="<?php echo $studentInfo['stu_id']; ?>">
                        <button type="submit" class="btn btn-primary btn-block btn-sm mt-4"><i class="fa fa-save"></i>&nbsp;Save Semester/Year Info</button>
                        <?php echo form_close(); ?>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Add Semester Details Form Modal Ends -->
        <!-- Edit Semester Details Form Modal Starts -->
        <div class="modal fade" id="editSemesterInfoModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Edit Semester/Year Marks</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <?php echo form_open("admin/Student/updateSemesterOrYearInfo", ['name' => 'semYearDetailFrm', 'id' => 'semYearDetailFrm']); ?>
                        <fieldset>
                            <div class="form-row">
                                <div class="form-group col-md-4">
                                    <label class="input__label">Semester/Year *</label>
                                    <input type="text" class="form-control readonly" tabindex="-1" id="semesterOrYearEdit" name="semesterOrYearEdit" value="<?php echo set_value('semesterOrYearEdit'); ?>" placeholder="Semester Or Year" maxlength="5">
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="maxMarksEdit" class="input__label">Maximum Marks *</label>
                                    <input type="text" class="form-control" id="maxMarksEdit" name="maxMarksEdit" value="<?php echo set_value('maxMarksEdit'); ?>" placeholder="Enter Maximum Marks" maxlength="5" onBlur="validateMMAndObtMarksEdit();">
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="obtMarksEdit" class="input__label">Obtained Marks *</label>
                                    <input type="text" class="form-control" id="obtMarksEdit" name="obtMarksEdit" value="<?php echo set_value('obtMarksEdit'); ?>" placeholder="Enter Obtained Marks" maxlength="5" onBlur="validateMMAndObtMarksEdit();">
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group col-md-4">
                                    <label class="input__label">Percentage *</label>
                                    <input type="text" class="form-control readonly" tabindex="-1" id="percentageEdit" name="percentageEdit" value="<?php echo set_value('percentageEdit'); ?>" placeholder="Percentage Secured" maxlength="15">
                                </div>
                                <div class="form-group col-md-4">
                                    <label class="input__label">Division *</label>
                                    <select tabindex="-1" id="divisionEdit" name="divisionEdit" class="custom-select readonly">
                                        <option value="" <?php echo set_select("divisionEdit", ''); ?>>Select Division</option>
                                        <option value="1" <?php echo set_select("divisionEdit", '1'); ?>>I-Div</option>
                                        <option value="2" <?php echo set_select("divisionEdit", '2'); ?>>II-Div</option>
                                        <option value="3" <?php echo set_select("divisionEdit", '3'); ?>>III-Div</option>
                                        <option value="0" <?php echo set_select("divisionEdit", '0'); ?>>No Div/Fail</option>
                                    </select>
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="passingStatusEdit" class="input__label">Passing Status *</label>
                                    <select id="passingStatusEdit" name="passingStatusEdit" class="custom-select">
                                        <option value="" <?php echo set_select("passingStatusEdit", ''); ?>>Select Passing Status</option>
                                        <option value="Pass" <?php echo set_select("passingStatusEdit", 'Pass'); ?>>Pass</option>
                                        <option value="Fail" <?php echo set_select("passingStatusEdit", 'Fail'); ?>>Fail</option>
                                        <option value="Promoted with Back Paper" <?php echo set_select("passingStatusEdit", 'Promoted with Back Paper'); ?>>Promoted with Back Paper</option>
                                        <option value="UFM" <?php echo set_select("passingStatusEdit", 'UFM'); ?>>UFM</option>
                                        <option value="RW" <?php echo set_select("passingStatusEdit", 'RW'); ?>>RW</option>
                                        <option value="Absent" <?php echo set_select("passingStatusEdit", 'Absent'); ?>>Absent</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group col-md-6">
                                    <label for="univRollNoEdit" class="input__label">University Roll No.</label>
                                    <input type="text" class="form-control" id="univRollNoEdit" name="univRollNoEdit" value="<?php echo set_value('univRollNoEdit'); ?>" placeholder="University Roll No." maxlength="50">
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="univEnrlNoEdit" class="input__label">University Enrl. No.</label>
                                    <input type="text" class="form-control" id="univEnrlNoEdit" name="univEnrlNoEdit" value="<?php echo set_value('univEnrlNoEdit'); ?>" placeholder="University Enrl. No." maxlength="50">
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group col-md-12">
                                    <label for="backSubjectsEdit" class="input__label">Back Subject(s) (If Any, Then Enter Subject Code Separated By Comma)</label>
                                    <textarea class="form-control" id="backSubjectsEdit" name="backSubjectsEdit" value="<?php echo set_value("backSubjectsEdit"); ?>" placeholder="Enter Back Subject Codes Separated By Comma (If Any)"></textarea>
                                </div> 
                            </div>
                        </fieldset>
                        <input type="hidden" id="tspi_id_edit" name="tspi_id_edit">
                        <input type="hidden" id="tssi_id" name="tssi_id">
                        <button type="submit" class="btn btn-primary btn-block btn-sm mt-4"><i class="fa fa-save"></i>&nbsp;Save Changes</button>
                        <?php echo form_close(); ?>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Edit Semester Details Form Modal Ends -->
        <script>
            function validateMMAndObtMarks() {
                var mm = parseInt($("#maxMarks").val().trim());
                var obtm = parseInt($("#obtMarks").val().trim());
                if (mm !== "" && obtm !== "") {
                    if (mm < obtm) {
                        alert("Obtained Marks Should Be Less Than Maximum Marks.");
                        $("#maxMarks").val("");
                        $("#obtMarks").val("");
                        $("#percentage").val("");
                        $("#division").val("");
                        $("#maxMarks").focus();
                    } else {
                        var percentage = ((obtm / mm) * 100).toFixed(2);
                        $("#percentage").val(percentage);
                        if (percentage >= 60.00) {
                            $("#division").val("1");
                        } else if (percentage >= 50.00 && percentage < 60.00) {
                            $("#division").val("2");
                        } else if (percentage >= 40.00 && percentage < 50.00) {
                            $("#division").val("3");
                        } else {
                            $("#division").val("0");
                        }
                    }
                }
            }

            function validateMMAndObtMarksEdit() {
                var mm = parseInt($("#maxMarksEdit").val().trim());
                var obtm = parseInt($("#obtMarksEdit").val().trim());
                if (mm !== "" && obtm !== "") {
                    if (mm < obtm) {
                        alert("Obtained Marks Should Be Less Than Maximum Marks.");
                        $("#maxMarksEdit").val("");
                        $("#obtMarksEdit").val("");
                        $("#percentageEdit").val("");
                        $("#divisionEdit").val("");
                        $("#maxMarksEdit").focus();
                    } else {
                        var percentage = ((obtm / mm) * 100).toFixed(2);
                        $("#percentageEdit").val(percentage);
                        if (percentage >= 60.00) {
                            $("#divisionEdit").val("1");
                        } else if (percentage >= 50.00 && percentage < 60.00) {
                            $("#divisionEdit").val("2");
                        } else if (percentage >= 40.00 && percentage < 50.00) {
                            $("#divisionEdit").val("3");
                        } else {
                            $("#divisionEdit").val("0");
                        }
                    }
                }
            }

            function getSemOrYear() {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/Student/getSemesterYearForSemYearInfoUpdate/') ?>',
                    data: {tspi_id: $("#tspi_id").val().trim(), sem_year: '', csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        var semOrYearInfo = JSON.parse(result);
                        $(".se-pre-con").fadeOut("slow");
                        $("#semesterOrYear").html(semOrYearInfo.sem_year_list);
                        $("#maxMarks").val("");
                        $("#obtMarks").val("");
                        $("#percentage").val("");
                        $("#division").val("");
                        $("#passingStatus").val("");
                        $("#backSubjects").val("");
                        $("#univRollNo").val(semOrYearInfo.univ_roll_number);
                        $("#univEnrlNo").val("");
                        csrfHash = semOrYearInfo.csrfHash;
                        semInfoUpdateFrm.csrf_token.value = csrfHash;
                        newSemYearDetailFrm.csrf_token.value = csrfHash;
                        semYearDetailFrm.csrf_token.value = csrfHash;
                        $('#addSemesterInfoModal').modal('show');
                    }
                });
            }

            function editSemesterInfo(tssi_id, tspi_id) {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/Student/getStudentFullSemesterInfo/') ?>',
                    data: {tssi_id: tssi_id, tspi_id: tspi_id, csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        var semOrYearInfo = JSON.parse(result);
                        $(".se-pre-con").fadeOut("slow");
                        $("#tspi_id_edit").val(semOrYearInfo.tspi_id);
                        $("#semesterOrYearEdit").val(semOrYearInfo.tssi_semester);
                        $("#maxMarksEdit").val(semOrYearInfo.tssi_max_marks);
                        $("#obtMarksEdit").val(semOrYearInfo.tssi_marks_obt);
                        $("#percentageEdit").val(semOrYearInfo.tssi_percnt);
                        $("#divisionEdit").val(semOrYearInfo.tssi_division);
                        $("#passingStatusEdit").val(semOrYearInfo.tssi_passing_status);
                        $("#backSubjectsEdit").val(semOrYearInfo.tssi_back_papers);
                        $("#univRollNoEdit").val(semOrYearInfo.tssi_univ_roll_no);
                        $("#univEnrlNoEdit").val(semOrYearInfo.tssi_univ_enrollment_no);
                        $("#tssi_id").val(semOrYearInfo.sem_info_id);
                        csrfHash = semOrYearInfo.csrfHash;
                        semInfoUpdateFrm.csrf_token.value = csrfHash;
                        newSemYearDetailFrm.csrf_token.value = csrfHash;
                        semYearDetailFrm.csrf_token.value = csrfHash;
                        $('#editSemesterInfoModal').modal('show');
                    }
                });
            }

            function deleteSemesterInfo(tssi_id, tspi_id) {
                if (confirm("Do You Really Want To Delete This Semester Info? Once Deleted This Record Will Not Be Rolled Back. Click OK To Continue & Cancel Otherwise.")) {
                    window.location.href = '<?php echo site_url('admin/Student/deleteSemesterOrYearInfo/'); ?>' + tssi_id + '/' + tspi_id;
                }
            }

            $.validator.setDefaults({
                submitHandler: function () {
                    $(".se-pre-con").fadeIn("slow");
                    event.preventDefault();
                    var formValues = $("#newSemYearDetailFrm").serialize();
                    $.post("<?php echo site_url('admin/Student/saveNewSemesterOrYearInfoAndReturn'); ?>", formValues, function (data) {
                        $(".se-pre-con").fadeOut("slow");
                        var response = JSON.parse(data);
                        csrfHash = response.csrfHash;
                        if (response.sem_info_id === '-1' || response.sem_info_id === -1) {
                            $("#spnSuccess").html("");
                            $("#spnErr").html("Error! Please Fill Up Required Fields.");
                        } else if (response.sem_info_id === '0' || response.sem_info_id === 0) {
                            $("#spnSuccess").html("");
                            $("#spnErr").html("Error! Selected Semester/Year Information Already Exists.");
                        } else {
                            var newSemYearInfo = JSON.parse(data);
                            $("#spnErr").html("");
                            $("#spnSuccess").html("Semester/Year Details Saved Successfully.");
                            $('#allSemesterInfo').DataTable().row.add(
                                    [
                                        newSemYearInfo.tssi_semester,
                                        newSemYearInfo.tssi_max_marks,
                                        newSemYearInfo.tssi_marks_obt,
                                        newSemYearInfo.tssi_percnt,
                                        newSemYearInfo.tssi_division,
                                        newSemYearInfo.tssi_passing_status,
                                        newSemYearInfo.tssi_back_papers,
                                        newSemYearInfo.tssi_univ_roll_no,
                                        newSemYearInfo.tssi_univ_enrollment_no,
                                        '<i class="fa fa-edit" style="color:#002166;cursor: pointer;" title="Edit This Semester Info" onClick="editSemesterInfo(' + newSemYearInfo.sem_info_id + ',' + newSemYearInfo.tspi_id + ');"></i>&nbsp;' +
                                                '<i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Semester Info" onClick="deleteSemesterInfo(' + newSemYearInfo.sem_info_id + ',' + newSemYearInfo.tspi_id + ');"></i>'
                                    ]
                                    ).draw(false);
                            $('#addSemesterInfoModal').modal('hide');
                        }
                        semInfoUpdateFrm.csrf_token.value = csrfHash;
                        newSemYearDetailFrm.csrf_token.value = csrfHash;
                        semYearDetailFrm.csrf_token.value = csrfHash;
                    });
                }
            });

            $(document).ready(function () {
                $("#allSemesterInfo").DataTable({responsive: true, dom: 'Blfrtip'});
                $("#newSemYearDetailFrm").validate({
                    rules: {
                        semesterOrYear: "required",
                        maxMarks: {
                            required: true,
                            number: true
                        },
                        obtMarks: {
                            required: true,
                            number: true
                        },
                        passingStatus: "required"
                    },
                    messages: {
                        semesterOrYear: "Please Select Semester/Year.",
                        maxMarks: {
                            required: "Please Enter Maximum Marks.",
                            number: "Only Valid Numerals Are Allowed."
                        },
                        obtMarks: {
                            required: "Please Enter Obtained Marks.",
                            number: "Only Valid Numerals Are Allowed."
                        },
                        passingStatus: "Please Select Passing Status."
                    }
                });

                $("#semYearDetailFrm").validate({
                    rules: {
                        maxMarksEdit: {
                            required: true,
                            number: true
                        },
                        obtMarksEdit: {
                            required: true,
                            number: true
                        },
                        passingStatusEdit: "required"
                    },
                    messages: {
                        maxMarksEdit: {
                            required: "Please Enter Maximum Marks.",
                            number: "Only Valid Numerals Are Allowed."
                        },
                        obtMarksEdit: {
                            required: "Please Enter Obtained Marks.",
                            number: "Only Valid Numerals Are Allowed."
                        },
                        passingStatusEdit: "Please Select Passing Status."
                    },
                    submitHandler: function () {
                        $(".se-pre-con").fadeIn("slow");
                        $("#semYearDetailFrm").submit();
                        $(".se-pre-con").fadeOut("slow");
                    }
                });
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>