<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create New Job Offer | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Training & Placement</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/TrainingAndPlacement/jobOffers"); ?>">Job Offer Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/TrainingAndPlacement/createJobOffer"); ?>">Create New Job Offer</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-address-book-o"></i> Add New Job Offer</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('admin/TrainingAndPlacement/saveNewJobOffer'), ['name' => 'createJobOfferFrm', 'id' => 'createJobOfferFrm']); ?>
                                <fieldset>
                                    <legend><b>Job Offer Details</b></legend>
                                    <hr>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="session_id" class="input__label">Session<span class="required">*</span></label>
                                            <select id="session_id" name="session_id" class="custom-select">
                                                <option value="">Select Session</option>
                                                <?php foreach ($sessions as $sess) { ?>
                                                    <option value="<?php echo $sess->session_id; ?>" <?php echo set_select("session_id", $sess->session_id); ?>><?php echo stripslashes($sess->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="pla_org_id" class="input__label">Organisation<span class="required">*</span></label>
                                            <select id="pla_org_id" name="pla_org_id" class="custom-select">
                                                <option value="">Select Organisation</option>
                                                <?php foreach ($organisations as $org) { ?>
                                                    <option value="<?php echo $org->pla_org_id; ?>" <?php echo set_select("pla_org_id", $org->pla_org_id); ?>><?php echo stripslashes($org->pla_org_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="jobTitle" class="input__label">Job Title<span class="required">*</span></label>
                                            <input type="text" class="form-control" id="jobTitle" name="jobTitle" value="<?php echo set_value('jobTitle'); ?>" placeholder="Enter Job Title" maxlength="200">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="vacancy" class="input__label">No. Of Job Vacancy</label>
                                            <input type="text" class="form-control" id="vacancy" name="vacancy" value="<?php echo set_value('vacancy'); ?>" placeholder="Enter No. Of Job Vacancy" onkeypress="return event.charCode >= 48 && event.charCode <= 57" maxlength="3">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="offerPackage" class="input__label">Salary Package</label>
                                            <input type="text" class="form-control" id="offerPackage" name="offerPackage" value="<?php echo set_value('offerPackage'); ?>" placeholder="Enter Salary Package" maxlength="20">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="offerFile" class="input__label">Job Opening Letter</label>
                                            <input type="file" class="form-control" id="offerFile" name="offerFile">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="resultFile" class="input__label">Selection Result Letter</label>
                                            <input type="file" class="form-control" id="resultFile" name="resultFile">
                                        </div>
                                    </div>
                                    <div class="form-row"> 
                                        <div class="form-group col-md-12">
                                            <label for="offerCriteria" class="input__label">Eligibility/Criteria</label>
                                            <textarea type="text" class="form-control" id="offerCriteria" name="offerCriteria"  placeholder="Enter Job Eligibility/Criteria In Brief (Max. 500 Chars Allowed)" maxlength="500"><?php echo set_value('offerCriteria'); ?></textarea>
                                        </div>
                                    </div>
                                    <small class="pull-right" id="openingAndResultLetterInstruction" style="color:#0000FF;font-weight: bold;">Max File Size For Job Opening & Selection Result Letter Is 2 MB. And Allowed Extensions Is *.pdf.</small>
                                </fieldset>
                                <button id="submitBtn" type="submit" class="btn btn-primary btn-block btn-style mt-4"><i class="fa fa-save"></i>&nbsp;Save</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>