<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing <?php echo $orgInfo->pla_org_name; ?> | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Training & Placement</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/TrainingAndPlacement/"); ?>">Organisation Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/TrainingAndPlacement/editOrganisation/") . $orgInfo->pla_org_id; ?>">Edit Organisation</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-address-book-o"></i>&nbsp;Edit Organization => <b><?php echo $orgInfo->pla_org_name; ?></b></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('admin/TrainingAndPlacement/updateOrganisation'), ['name' => 'orgRegistrationFrm', 'id' => 'orgRegistrationFrm']); ?>
                                <fieldset>
                                    <legend><b>ORGANISATION DETAILS</b></legend>
                                    <hr>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="orgName" class="input__label">Organisation's Name <span class="required">*</span></label>
                                            <input type="text" class="form-control" id="orgName" name="orgName" value="<?php echo stripslashes($orgInfo->pla_org_name); ?>" placeholder="Enter Organisation's Name" maxlength="174">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="orgShortName" class="input__label">Organisation's Short Name</label>
                                            <input type="text" class="form-control" id="orgShortName" name="orgShortName" value="<?php echo stripslashes($orgInfo->pla_org_short_name); ?>" placeholder="Enter Organisation's Short Name" maxlength="100">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="orgCINNo" class="input__label">Organisation's CIN Number <span class="required">*</span></label>
                                            <input type="text" class="form-control" id="orgCINNo" name="orgCINNo" value="<?php echo $orgInfo->pla_org_cin_no; ?>" placeholder="Enter Organisation's CIN Number" maxlength="21">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="orgMailingAddrLineOne" class="input__label">Mailing Address Line 1 <span class="required">*</span></label>
                                            <input type="text" class="form-control" id="orgMailingAddrLineOne" name="orgMailingAddrLineOne" value="<?php echo stripslashes($orgInfo->pla_org_address_line_one); ?>" placeholder="Enter Mailing Address Line 1" maxlength="200">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="orgMailingAddrLineTwo" class="input__label">Mailing Address Line 2</label>
                                            <input type="text" class="form-control" id="orgMailingAddrLineTwo" name="orgMailingAddrLineTwo" value="<?php echo ($orgInfo->pla_org_address_line_two == "") ? set_value('orgMailingAddrLineTwo') : stripslashes($orgInfo->pla_org_address_line_two); ?>" placeholder="Enter Mailing Address Line 2" maxlength="200">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="orgMailingAddrLineThree" class="input__label">Mailing Address Line 3</label>
                                            <input type="text" class="form-control" id="orgMailingAddrLineThree" name="orgMailingAddrLineThree" value="<?php echo ($orgInfo->pla_org_address_line_three == "") ? set_value('orgMailingAddrLineThree') : stripslashes($orgInfo->pla_org_address_line_three); ?>" placeholder="Enter Mailing Address Line 3"  maxlength="200">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="orgMailingAddrState" class="input__label">State <span class="required">*</span></label>
                                            <select id="orgMailingAddrState" name="orgMailingAddrState" class="custom-select">
                                                <option value="">Select State</option>
                                                <?php foreach ($states as $state) { ?>
                                                    <option <?php echo ($orgInfo->pla_org_state == $state->state_id) ? "selected" : ""; ?> value="<?php echo $state->state_id; ?>" <?php echo set_select("orgMailingAddrState", $state->state_id); ?>><?php echo stripslashes($state->state_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="orgMailingAddrCity" class="input__label">City <span class="required">*</span></label>
                                            <select id="orgMailingAddrCity" name="orgMailingAddrCity" class="custom-select">
                                                <option value="">Select City</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="orgMailingAddrZipCode" class="input__label">Zip Code <span class="required">*</span></label>
                                            <input type="text" class="form-control" id="orgMailingAddrZipCode" name="orgMailingAddrZipCode" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo $orgInfo->pla_org_zipcode; ?>" placeholder="Enter Mailing Address Zip Code"  maxlength="6">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="orgMobile" class="input__label">Organisation's Mobile <span class="required">*</span></label>
                                            <input type="text" class="form-control" id="orgMobile" name="orgMobile" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo $orgInfo->pla_org_mobile; ?>" placeholder="Enter Organization's Mobile"  maxlength="10">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="orgEmail" class="input__label">Organisation's Email <span class="required">*</span></label>
                                            <input type="text" class="form-control" id="orgEmail" name="orgEmail" value="<?php echo $orgInfo->pla_org_email; ?>" placeholder="Enter Organization's Email"  maxlength="100">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="orgLandline" class="input__label">Organisation's Landline</label>
                                            <input type="text" class="form-control" id="orgLandline" name="orgLandline" value="<?php echo ($orgInfo->pla_org_landline == "") ? set_value('orgLandline') : $orgInfo->pla_org_landline; ?>" placeholder="Enter Organisation's Landline"  maxlength="12">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="orgFoundationDate" class="input__label">Organisation's Foundation Date</label>
                                            <input type="text" class="form-control" id="orgFoundationDate" name="orgFoundationDate" value="<?php echo ($orgInfo->pla_org_foundation_date == "") ? set_value('orgFoundationDate') : date("d/m/Y", strtotime($orgInfo->pla_org_foundation_date)); ?>" placeholder="Choose Organisation's Foundation Date" autocomplete="off" maxlength="10">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="orgCategory" class="input__label">Organisation's Category <span class="required">*</span></label>
                                            <select id="orgCategory" name="orgCategory" class="custom-select">
                                                <option value="" <?php echo set_select("orgCategory", ""); ?>>Select Organisation Category</option>                                             
                                                <option value="Private" <?php echo ($orgInfo->pla_org_type == "Private") ? "selected" : ""; ?> <?php echo set_select("orgCategory", "Private"); ?>>Private</option>
                                                <option value="Semi-Government" <?php echo ($orgInfo->pla_org_type == "Semi-Government") ? "selected" : ""; ?> <?php echo set_select("orgCategory", "Semi-Government"); ?>>Semi-Government</option>
                                                <option value="Government" <?php echo ($orgInfo->pla_org_type == "Government") ? "selected" : ""; ?> <?php echo set_select("orgCategory", "Government"); ?>>Government</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="orgIndustry" class="input__label">Industry <span class="required">*</span></label>
                                            <select id="orgIndustry" name="orgIndustry" class="custom-select">
                                                <option value="" <?php echo set_select("orgIndustry", ""); ?>>Select Industry</option>                                                                          
                                                <option value="Banking" <?php echo ($orgInfo->pla_org_industry == "Banking") ? "selected" : ""; ?> <?php echo set_select("orgIndustry", "Banking"); ?>>Banking</option>
                                                <option value="Consultancy Service" <?php echo ($orgInfo->pla_org_industry == "Consultancy Service") ? "selected" : ""; ?> <?php echo set_select("orgIndustry", "Consultancy Service"); ?>>Consultancy Service</option>
                                                <option value="IT Service" <?php echo ($orgInfo->pla_org_industry == "IT Service") ? "selected" : ""; ?> <?php echo set_select("orgIndustry", "IT Service"); ?>>IT Service</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="orgSize" class="input__label">Organisation Size</label>
                                            <input type="text" class="form-control" id="orgSize" name="orgSize" value="<?php echo ($orgInfo->pla_org_size == "") ? set_value('orgSize') : $orgInfo->pla_org_size; ?>" placeholder="Enter Organisation's Size"  maxlength="200">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="orgHead" class="input__label">Organisation's Head Quarter</label>
                                            <input type="text" class="form-control" id="orgHead" name="orgHead" value="<?php echo ($orgInfo->pla_org_headquarter == "") ? set_value('orgHead') : stripslashes($orgInfo->pla_org_headquarter); ?>" placeholder="Organisation's Head Quarter" maxlength="200">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="orgCMMLevel" class="input__label">Organisation's CMM Level</label>
                                            <select id="orgCMMLevel" name="orgCMMLevel" class="custom-select">
                                                <option value="" <?php echo set_select("orgCMMLevel", ""); ?>>Select CMM Level</option>                                                                          
                                                <option value="1" <?php echo ($orgInfo->pla_org_cmm_level == "1") ? "selected" : ""; ?>>1</option>  
                                                <option value="2" <?php echo ($orgInfo->pla_org_cmm_level == "2") ? "selected" : ""; ?>>2</option>  
                                                <option value="3" <?php echo ($orgInfo->pla_org_cmm_level == "3") ? "selected" : ""; ?>>3</option>    
                                                <option value="4" <?php echo ($orgInfo->pla_org_cmm_level == "4") ? "selected" : ""; ?>>4</option>    
                                                <option value="5" <?php echo ($orgInfo->pla_org_cmm_level == "5") ? "selected" : ""; ?>>5</option>    
                                            </select>
                                        </div>

                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="orgWebLink" class="input__label">Organisation's Website Link</label>
                                            <input class="form-control" name="orgWebLink" id="orgWebLink" placeholder="Enter Website Link" maxlength="500" value="<?php echo ($orgInfo->pla_org_website_link == "") ? set_value('orgWebLink') : $orgInfo->pla_org_website_link; ?>"/>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="orgLinkedInLink" class="input__label">Organisation's LinkedIn Link</label>
                                            <input class="form-control" name="orgLinkedInLink" id="orgLinkedInLink" placeholder="Enter LinkIn Link." maxlength="500" value="<?php echo ($orgInfo->pla_org_linkedin_link == "") ? set_value('orgLinkedInLink') : $orgInfo->pla_org_linkedin_link; ?>"/>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="orgVisionMsg" class="input__label">Organisation's Vision Message</label>
                                            <textarea class="form-control" name="orgVisionMsg" id="orgVisionMsg" placeholder="Organisation's Vision Message" maxlength="500"><?php echo ($orgInfo->pla_org_vision_msg == "") ? set_value('orgVisionMsg') : stripslashes($orgInfo->pla_org_vision_msg); ?></textarea>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="orgGMap" class="input__label">Organisation's Google Map Link</label>
                                            <input class="form-control" name="orgGMap" id="orgGMap" placeholder="Enter Google Map Link." maxlength="2000" value="<?php echo ($orgInfo->pla_org_google_map_location == "") ? set_value('orgGMap') : $orgInfo->pla_org_google_map_location; ?>"/>
                                        </div>
                                    </div>

                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="orgLogo" class="input__label">Organisation Logo</label>
                                            <input type="file" class="form-control" id="orgLogo" name="orgLogo">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="orgLogo" class="input__label">Current Logo</label>
                                            <div class="img-thumbnail d-flex justify-content-center">
                                                <img width="70" src="<?php echo base_url($orgInfo->pla_org_logo); ?>">
                                            </div>
                                        </div>
                                        <small id="organizatinLogoInstruction" style="color:#0000FF;font-weight: bold;">Max File Size For Photo & Signature Is 500KB And Allowed Extensions Are *.png, *.jpg, *.jpeg.</small>
                                    </div>
                                </fieldset>
                                <br>
                                <input type="hidden" value="<?php echo $orgInfo->pla_org_id; ?>" name="pla_org_id">
                                <input type="hidden" value="<?php echo $orgInfo->pla_org_logo; ?>" name="old_logo"> 
                                <button id="submitBtn" type="submit" class="btn btn-primary btn-block btn-style mt-4">&nbsp;Update</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#orgName").on("keyup", function () {
                $("#orgShortName").val($(this).val());
            });

            $("#orgMailingAddrState").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Locations/getActiveCitiesByState/') ?>',
                        data: {state_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#orgMailingAddrCity").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            orgRegistrationFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#orgMailingAddrCity").html("<option>Select City</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#orgFoundationDate").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                yearRange: '1980:-15',
                numberOfMonths: 1
            });

            $(document).ready(function () {
                if ($("#orgMailingAddrState").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Locations/getActiveCitiesByStateSelected/') ?>',
                        data: {state_id: $("#orgMailingAddrState").val(), city_id: '<?php echo $orgInfo->city_id; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#orgMailingAddrCity").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            orgRegistrationFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>