<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>All Job Offer List | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/pdfmake.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.print.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.colVis.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Training & Placement</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/TrainingAndPlacement/jobOffers"); ?>">All Job Offers</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-tasks"></i>&nbsp;All Job Offers</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Filters <i class="fa fa-filter"></i></legend>
                                    <?php echo form_open(site_url('admin/TrainingAndPlacement/jobOffers'), ['name' => 'jobOffersFilterFrm', 'id' => 'jobOffersFilterFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-2">
                                            <label for="session_id" class="input__label">Session</label>
                                            <select id="session_id" name="session_id" class="custom-select">
                                                <option value="">All</option>
                                                <?php
                                                foreach ($sessions as $sess) {
                                                    $selected = ($selectedSession == $sess->session_id) ? "selected" : "";
                                                    ?>
                                                    <option value="<?php echo $sess->session_id; ?>" <?php echo ($selected != "") ? $selected : set_select("session_id", $sess->session_id); ?>><?php echo stripslashes($sess->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-10">
                                            <label for="searchKeyWord" class="input__label">Enter Keyword To Search</label>
                                            <input type="text" name="searchKeyWord" id="searchKeyWord" class="form-control" value="<?php echo set_value("searchKeyWord"); ?>" placeholder="Enter Search Keyword (Organisation Name/Job Profile/Package/Job Criteria/Industry Type/CIN No./Email/Mobile/State/City/Etc.)">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="pla_org_id" class="input__label">Organisation</label>
                                            <select id="pla_org_id" name="pla_org_id" class="custom-select">
                                                <option value="">All</option>
                                                <?php foreach ($organisations as $org) { ?>
                                                    <option value="<?php echo $org->pla_org_id; ?>" <?php echo set_select("pla_org_id", $org->pla_org_id); ?>><?php echo stripslashes($org->pla_org_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="startDate" class="input__label">Job Created After(Date)</label>
                                            <input type="text" class="form-control" id="startDate" name="startDate" value="<?php echo set_value('startDate'); ?>" placeholder="Choose Start Date" autocomplete="off" maxlength="15">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="endDate" class="input__label">Job Created Before(Date)</label>
                                            <input type="text" class="form-control" id="endDate" name="endDate" value="<?php echo set_value('endDate'); ?>" placeholder="Choose End Date" autocomplete="off" maxlength="15">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="filterSubmitBtn" class="input__label"></label>
                                            <button id="filterSubmitBtn" name="filterSubmitBtn" type="submit" class="btn btn-sm btn-warning pull-right">Apply&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                    <?php echo form_close(); ?>
                                    <hr>
                                </fieldset>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/TrainingAndPlacement/createJobOffer"); ?>'" tooltip="Create New Job Offer."><i class="fa fa-plus"></i> Create New Job Offer</button><br><br>
                                <table id="allJobOffers" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Organisation</th>
                                            <th style='display:none;'>Org. Short Name</th>
                                            <th style='display:none;'>Org. Type</th>
                                            <th style='display:none;'>Org. Industry</th>
                                            <th style='display:none;'>Org. CIN No.</th>
                                            <th style='display:none;'>Org. State/City</th>
                                            <th style='display:none;'>Org. Email</th>
                                            <th style='display:none;'>Org. Mobile</th>
                                            <th>Job Title</th>
                                            <th>Creteria</th>
                                            <th>No. Of Vacancy</th>
                                            <th>Session</th>
                                            <th>Offer Letter</th>
                                            <th>Result Letter</th>
                                            <th style='display:none;'>Offer Letter Path</th>
                                            <th style='display:none;'>Result Letter Path</th>
                                            <th style='display:none;'>Added By</th>
                                            <th style='display:none;'>Updated By</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Organisation</th>
                                            <th style='display:none;'>Org. Short Name</th>
                                            <th style='display:none;'>Org. Type</th>
                                            <th style='display:none;'>Org. Industry</th>
                                            <th style='display:none;'>Org. CIN No.</th>
                                            <th style='display:none;'>Org. State/City</th>
                                            <th style='display:none;'>Org. Email</th>
                                            <th style='display:none;'>Org. Mobile</th>
                                            <th>Job Title</th>
                                            <th>Creteria</th>
                                            <th>No. Of Vacancy</th>
                                            <th>Session</th>
                                            <th>Offer Letter</th>
                                            <th>Result Letter</th>
                                            <th style='display:none;'>Offer Letter Path</th>
                                            <th style='display:none;'>Result Letter Path</th>
                                            <th style='display:none;'>Added By</th>
                                            <th style='display:none;'>Updated By</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($filteredRecords); $i++) {
                                            $record = $filteredRecords[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo stripslashes($record->pla_org_name); ?></td>
                                                <td style='display:none;'><?php echo stripslashes($record->pla_org_short_name); ?></td>
                                                <td style='display:none;'><?php echo stripslashes($record->pla_org_type); ?></td>
                                                <td style='display:none;'><?php echo stripslashes($record->pla_org_industry); ?></td>
                                                <td style='display:none;'><?php echo stripslashes($record->pla_org_cin_no); ?></td>
                                                <td style='display:none;'><?php echo stripslashes($record->state_name . "/" . $record->city_name); ?></td>
                                                <td style='display:none;'><?php echo stripslashes($record->pla_org_email); ?></td>
                                                <td style='display:none;'><?php echo stripslashes($record->pla_org_mobile); ?></td>
                                                <td><?php echo stripslashes($record->pjo_title); ?></td>
                                                <td><?php echo ($record->pjo_criteria == "") ? "N/A" : stripslashes($record->pjo_criteria); ?></td>
                                                <td><?php echo ($record->pjo_no_of_vacancy); ?></td>
                                                <td><?php echo stripslashes($record->session_name); ?></td>   
                                                <td><?php echo ($record->pjo_file == "") ? "Not Uploaded Yet" : '<a target="_blank" href="' . site_url($record->pjo_file) . '">Download</a>' ?></td> 
                                                <td><?php echo ($record->pjo_result_file == "") ? "Not Uploaded Yet" : '<a target="_blank" href="' . site_url($record->pjo_result_file) . '">Download</a>' ?></td> 
                                                <td style='display:none;'><?php echo ($record->pjo_file == "") ? "Not Uploaded Yet" : base_url($record->pjo_file); ?></td> 
                                                <td style='display:none;'><?php echo ($record->pjo_result_file == "") ? "Not Uploaded Yet" : base_url($record->pjo_result_file); ?></td> 
                                                <td style='display:none;'><?php echo "Added On " . date('d-m-Y h:i:s A', strtotime($record->pjo_added_on)) . " By " . stripslashes($record->addedByAdmin) ?></td>
                                                <td style='display:none;'><?php echo "Added On " . date('d-m-Y h:i:s A', strtotime($record->pjo_updated_on)) . " By " . stripslashes($record->updatedByAdmin) ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->pjo_active_status == 'T') {
                                                        ?>
                                                        <i class="fa fa-ban" style="color:#FF0000;cursor: pointer;" title="Click To Disable" onClick="window.location.href = '<?php echo site_url('admin/TrainingAndPlacement/togglejobOfferStatus/' . $record->pjo_id . '/F') ?>'"></i> 
                                                    <?php } else { ?>
                                                        <i class="fa fa-check-circle" style="color:#297534;cursor: pointer;" title="Click To Enable" onClick="window.location.href = '<?php echo site_url('admin/TrainingAndPlacement/togglejobOfferStatus/' . $record->pjo_id . '/T') ?>'"></i> 
                                                        <?php
                                                    }
                                                    ?>
                                                    <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Job Offer" onClick="window.location.href = '<?php echo site_url('admin/TrainingAndPlacement/editJobOffer/' . $record->pjo_id) ?>'"  ></i>
                                                    <a href="#" onClick="deleteJobOffer(<?php echo $record->pjo_id; ?>);"><i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Job Offer" ></i> </a>                                                       
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#department").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDown/') ?>',
                        data: {dept_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subDeptInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subDepartment").html(subDeptInfo.sub_dept_list);
                            csrfHash = subDeptInfo.csrfHash;
                            jobOffersFilterFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#subDepartment").html("<option>Select Sub-Department</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $(function () {
                var dateFormat = "dd/mm/yy",
                        from = $("#startDate")
                        .datepicker({
                            dateFormat: dateFormat,
                            defaultDate: '0',
                            changeMonth: true,
                            changeYear: true,
                            numberOfMonths: 1
                        })
                        .on("change", function () {
                            to.datepicker("option", "minDate", getDate(this));
                        }),
                        to = $("#endDate").datepicker({
                    dateFormat: dateFormat,
                    defaultDate: '0',
                    changeMonth: true,
                    changeYear: true,
                    numberOfMonths: 1
                })
                        .on("change", function () {
                            from.datepicker("option", "maxDate", getDate(this));
                        });

                function getDate(element) {
                    var date;
                    try {
                        date = $.datepicker.parseDate(dateFormat, element.value);
                    } catch (error) {
                        date = null;
                    }
                    return date;
                }
            });

            function deleteJobOffer(pjo_id) {
                if (confirm("Are You Sure You Want To Delete This Job Offer? Click OK To Continue & Cancel Otherwise.")) {
                    window.location.href = '<?php echo site_url("admin/TrainingAndPlacement/deleteJobOffers/") ?>' + pjo_id;
                }
            }

            $(document).ready(function () {
                $("#allJobOffers").DataTable({responsive: true, dom: 'Blfrtip', buttons: [
                        {extend: 'copy', text: "<i class='fa fa-clipboard'></i> Copy"},
                        {extend: 'csv', text: "<i class='fa fa-table'></i> CSV"},
                        {extend: 'excel', text: "<i class='fa fa-file-excel-o'></i> Excel"},
                        {extend: 'pdfHtml5', text: "<i class='fa fa-file-pdf-o'></i> PDF", orientation: 'landscape', pageSize: 'LEGAL'}
                    ]});
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>