<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>All Suppliers List | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Vendor/"); ?>">Supplier Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Vendor/"); ?>">All Suppliers</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-cart-arrow-down"></i> Supplier Management</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Vendor/createVendor"); ?>'" tooltip="Create New Supplier"><i class="fa fa-plus"></i> Create New Supplier</button><br><br>
                                <table id="allVendors" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Firm Name</th>
                                            <th>Representative</th>
                                            <th>Mobile</th>
                                            <th>Email</th>
                                            <th>GSTIN</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Firm Name</th>
                                            <th>Representative</th>
                                            <th>Mobile</th>
                                            <th>Email</th>
                                            <th>GSTIN</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($allVedors); $i++) {
                                            $record = $allVedors[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo stripslashes($record->ven_business_name); ?></td>
                                                <td><?php echo stripslashes($record->ven_owner_name); ?></td>
                                                <td><?php echo $record->ven_mobile; ?></td>
                                                <td><?php echo $record->ven_email; ?></td>
                                                <td><?php echo ($record->ven_gstin_no == "" || $record->ven_gstin_no == NULL) ? "NA" : stripslashes($record->ven_gstin_no); ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->ven_delete_status == 'F') {
                                                        if ($record->ven_active_status == 'T') {
                                                            ?>
                                                            <i class="fa fa-ban" style="color:#FF0000;cursor: pointer;" title="Disable This Vendor" onClick="window.location.href = '<?php echo site_url('admin/Vendor/toggleVendorStatus/' . $record->ven_id . '/F') ?>'"></i> 
                                                            <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Vendor" onClick="window.location.href = '<?php echo site_url('admin/Vendor/editVendor/' . $record->ven_id) ?>'"  ></i>
                                                            <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Vendor" onClick="window.location.href = '<?php echo site_url('admin/Vendor/deleteVendor/' . $record->ven_id) ?>'"></i> 
                                                        <?php } else { ?>
                                                            <i class="fa fa-check-circle" style="color:#297534;cursor: pointer;" title="Enable This Vendor" onClick="window.location.href = '<?php echo site_url('admin/Vendor/toggleVendorStatus/' . $record->ven_id . '/T') ?>'"></i> 
                                                            <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Vendor" onClick="window.location.href = '<?php echo site_url('admin/Vendor/editVendor/' . $record->ven_id) ?>'"  ></i>
                                                            <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Vendor" onClick="window.location.href = '<?php echo site_url('admin/Vendor/deleteVendor/' . $record->ven_id) ?>'"></i> 
                                                            <?php
                                                        }
                                                    } else {
                                                        ?>
                                                        <b>Vendor Deleted By <?php echo $record->updatedByAdmin; ?> On <?php echo date("d-m-Y h:i:s A", strtotime($record->ven_updated_on)); ?>. <a href="<?php echo site_url('admin/Vendor/undoDeleteVendor/' . $record->ven_id) ?>">Click To Undo <i class="fa fa-undo" style="color:#FF0000"></i></a></b> 
                                                    <?php } ?>
                                                    <i class="fa fa-info-circle" style="color:#002166;cursor: pointer;" title="More Info" onClick="getVendorInfo(<?php echo $record->ven_id; ?>);"></i> 
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                $("#allVendors").DataTable({responsive: true, dom: 'Blfrtip'});
            });

            function getVendorInfo(vendor_id) {
                event.preventDefault();
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/Vendor/getVendorFullInfo/'); ?>',
                    data: {vendor_id: vendor_id, csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        $(".se-pre-con").fadeOut("slow");
                        var thisVendorInfo = JSON.parse(result);
                        csrfHash = thisVendorInfo.csrfHash;
                        $("#ven_businessname").html(thisVendorInfo.ven_business_name);
                        $("#ven_gstin").html(thisVendorInfo.ven_gstin);
                        $("#ven_ownername").html(thisVendorInfo.ven_ownername);
                        $("#ven_mobile").html(thisVendorInfo.ven_mobile);
                        $("#ven_email").html(thisVendorInfo.ven_email);
                        $("#ven_alt_email").html(thisVendorInfo.ven_alt_email);
                        $("#ven_alt_mobile").html(thisVendorInfo.ven_alt_mobile);
                        $("#ven_website").html(thisVendorInfo.ven_website);
                        $("#ven_address").html(thisVendorInfo.ven_address);
                        $("#ven_city").html(thisVendorInfo.ven_city);
                        $("#ven_state").html(thisVendorInfo.ven_state);
                        $("#ven_remarks").html(thisVendorInfo.ven_remarks);
                        $("#ven_source").html(thisVendorInfo.ven_source);
                        $("#ven_pan").html(thisVendorInfo.ven_pan);
                        $("#ven_active_status").html(thisVendorInfo.ven_active_status);
                        $("#ven_delete_status").html(thisVendorInfo.ven_delete_status);
                        $("#ven_added_by").html(thisVendorInfo.vev_added_by);
                        $("#ven_updated_by").html(thisVendorInfo.ven_updated_by);
                        $("#vendorDetailsModal").modal('show');
                    }
                });
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
        <!-- Supplier Details Modal Starts -->
        <div class="modal fade" id="vendorDetailsModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-xl">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Supplier Info</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <fieldset>
                            <div class="row">
                                <div class="col-sm-12">
                                    <center>
                                        <b><span id="ven_businessname"></span></b><br>
                                        <b><span id="ven_gstin"></span></b>
                                    </center>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Representative Name</b></div>
                                <div class="col-sm-3"><span id="ven_ownername"></span></div>
                                <div class="col-sm-3"><b>Mobile Number</b></div>
                                <div class="col-sm-3"><span id="ven_mobile"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Email</b></div>
                                <div class="col-sm-3"><span id="ven_email"></span></div>
                                <div class="col-sm-3"><b>Alt. Email</b></div>
                                <div class="col-sm-3"><span id="ven_alt_email"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Alt. Mobile</b></div>
                                <div class="col-sm-3"><span id="ven_alt_mobile"></span></div>
                                <div class="col-sm-3"><b>Website</b></div>
                                <div class="col-sm-3"><span id="ven_website"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Address</b></div>
                                <div class="col-sm-9"><span id="ven_address"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>City</b></div>
                                <div class="col-sm-3"><span id="ven_city"></span></div>
                                <div class="col-sm-3"><b>State</b></div>
                                <div class="col-sm-3"><span id="ven_state"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>PAN</b></div>
                                <div class="col-sm-3"><span id="ven_pan"></span></div>
                                <div class="col-sm-3"><b>Source</b></div>
                                <div class="col-sm-3"><span id="ven_source"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Remarks</b></div>
                                <div class="col-sm-9"><span id="ven_remarks"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Active Status</b></div>
                                <div class="col-sm-3"><span id="ven_active_status"></span></div>
                                <div class="col-sm-3"><b>Delete Status</b></div>
                                <div class="col-sm-3"><span id="ven_delete_status"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Added By</b></div>
                                <div class="col-sm-9"><span id="ven_added_by"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Last Updated By</b></div>
                                <div class="col-sm-9"><span id="ven_updated_by"></span></div>
                            </div>
                        </fieldset>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Supplier Details Modal Ends -->
    </body>
</html>