<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title> Subject-Wise Attendance Report | <?php echo $this->session->userdata("studentData")["branch_short_name"]; ?> | College Automation System</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("student/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("student/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Academics</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("student/Attendance"); ?>"> View Attendance</a></li>                            
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-table"></i>&nbsp;Subject-Wise Attendance Report</h3>
                            </div>
                            <div class="card-body">

                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('student/Attendance'), ['name' => 'attendanceReportFilterFrm', 'id' => 'attendanceReportFilterFrm']); ?>
                                <fieldset>
                                    <legend>Attendance Info. </legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="from" class="input__label">From</label>
                                            <input  autocomplete="off"  type="text" class="form-control"   id="from" name="from" value="<?php echo set_value('from'); ?>" placeholder="Choose Attendance Range Date" maxlength="10">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="to" class="input__label">To</label>
                                            <input  autocomplete="off" type="text" class="form-control"  id="to" name="to" value="<?php echo set_value('to'); ?>" placeholder="Choose Attendance Range Date" maxlength="10">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="filterAttendanceBtn" class="input__label"></label>
                                            <button id="filterAttendanceBtn" name="filterAttendanceBtn" type="submit" class="btn btn-sm btn-warning pull-right">Apply Filter & Fetch Student's Attendance Data&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                    <span id="spnErr" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                                </fieldset>        
                                <fieldset id="studentList" style="display: <?php echo (sizeof($attendanceData)) ? "block" : "none"; ?>;">
                                    <legend>Attendance Summary</legend>
                                    <div class="table-responsive">
                                        <table id="subjectWiseStudentAttendanceReport" style="width:100%;" class="table bootstrap-datatable table-striped table-hover table-warning">
                                            <thead>                                             
                                                <tr style="background-color: lightblue;">
                                                    <th>Sr. No</th>
                                                    <th>Subject(s)</th>
                                                    <th>Total Classes Held</th>
                                                    <th>Total Class Attended</th>
                                                    <th>Attendance In(%)</th>
                                                </tr>
                                            </thead>
                                            <tfoot>
                                                <tr style="background-color: lightblue;">
                                                    <th colspan="2">Total</th>
                                                    <th ><?php echo $overAllTotalClassesHeld; ?></th>
                                                    <th ><?php echo $overAllTotalClassesAttended; ?></th>
                                                    <th ><?php echo $overAllTotalPercentage; ?> (Overall Percent)</th>
                                                </tr>
                                            </tfoot>
                                            <tbody id="studentDetails">
                                                <?php
                                                for ($i = 0; $i < sizeof($attendanceData); $i++) {
                                                    $atd = $attendanceData[$i];
                                                    ?>
                                                    <tr>
                                                        <td><?php echo $i + 1 ?></td>
                                                        <td><?php echo $atd["subject_name"]; ?></td>
                                                        <td><?php echo $atd["total_classes"]; ?></td>
                                                        <td><?php echo $atd["present"]; ?></td>     
                                                        <td ><?php echo $atd["percent"]; ?></td>  
                                                    </tr>
                                                    <?php
                                                }
                                                ?>
                                            </tbody>
                                        </table>
                                    </div>                                  
                                </fieldset>

                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#from").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                yearRange: '1995:+0',
                numberOfMonths: 1
            });

            $("#to").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                yearRange: '1995:+0',
                numberOfMonths: 1
            });
        </script>
        <?php $this->load->view("student/footer"); ?>
    </body>
</html>