<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>My Tasks & Assessments | <?php echo $this->session->userdata("studentData")["branch_short_name"]; ?> | College Automation System</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">

        <section>
            <?php $this->load->view("student/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("student/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Assessments</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("student/TasksAndQuizzes/"); ?>">My Tasks & Quizzes</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-file"></i> My Tasks & Quizzes</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <table id="myModelPapers" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Title</th>
                                            <th>Subject</th>
                                            <th>Type</th>
                                            <th>Given By</th>
                                            <th>Start Date</th>
                                            <th>End Date</th>
                                            <th>Result</th>
                                            <th>Start</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Title</th>
                                            <th>Subject</th>
                                            <th>Type</th>
                                            <th>Given By</th>
                                            <th>Start Date</th>
                                            <th>End Date</th>
                                            <th>Result</th>
                                            <th>Start</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($myModelPapers); $i++) {
                                            $record = $myModelPapers[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <th><?php echo $record['mepm_title']; ?></th>
                                                <td><?php echo $record['sm_name']; ?></td>
                                                <td><?php echo $record['mepm_type']; ?></td>
                                                <td><?php echo $record['mepm_added_by']; ?></td>
                                                <td><?php echo date("d-m-Y", strtotime($record['mepsa_start_date'])); ?></td>
                                                <td><?php echo date("d-m-Y", strtotime($record['mepsa_end_date'])); ?></td>
                                                <td>
                                                    <?php
                                                    if (!((date('Y-m-d', strtotime(date('Y-m-d'))) >= date("Y-m-d", strtotime($record['mepsa_start_date']))) && ((date('Y-m-d', strtotime(date('Y-m-d')))) <= date("Y-m-d", strtotime($record['mepsa_end_date']))))) {
                                                        if ($record['mepsa_is_result_to_show'] == "T") {
                                                            if ($record['mepsa_is_detailed_result_to_show'] == "T") {
                                                                if ($record['mepm_type'] == "Objective") {
                                                                    echo "<a href='#' title='Click To See Details' onClick='showDetailedResultObjective(" . $record['mepm_id'] . ");'>" . $record['mepsa_normal_result'] . "</a>";
                                                                } else {
                                                                    echo $record['mepsa_normal_result'];
                                                                }
                                                            } else {
                                                                echo $record['mepsa_normal_result'];
                                                            }
                                                        } else {
                                                            echo "Not Available";
                                                        }
                                                    } else {
                                                        echo "Not Available";
                                                    }
                                                    ?>
                                                </td>
                                                <td>
                                                    <?php
                                                    if ((date('Y-m-d', strtotime(date('Y-m-d'))) >= date("Y-m-d", strtotime($record['mepsa_start_date']))) && ((date('Y-m-d', strtotime(date('Y-m-d')))) <= date("Y-m-d", strtotime($record['mepsa_end_date'])))) {
                                                        if ($record['mepsa_attempt_allowed']) {
                                                            ?>
                                                            <a href="#" class="badge badge-success" onClick="attemptModelPaper(<?php echo stripslashes($record['mepm_id']); ?>);">Attempt&nbsp;<i class="fa fa-external-link"></i></a>
                                                        <?php } else {
                                                            ?>
                                                            <button class="badge badge-danger" disabled="disabled" title="All Attempts Exhausted">NA&nbsp;<i class="fa fa-ban"></i></button>
                                                            <?php
                                                        }
                                                        ?>
                                                    <?php } else {
                                                        ?>
                                                        <button class="badge badge-danger" disabled="disabled">Expired&nbsp;<i class="fa fa-external-link"></i></button>
                                                        <?php
                                                    }
                                                    ?>
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                $("#myModelPapers").DataTable({responsive: true, dom: 'Blfrtip'});
            });

            function showDetailedResultObjective(mepm_id) {
                event.preventDefault();
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('student/TasksAndQuizzes/getModelPaperAttemptFullDetail/'); ?>',
                    data: {mepm_id: mepm_id, tspi_id: <?php echo $this->session->userdata("studentData")["stu_id"]; ?>, csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        $(".se-pre-con").fadeOut("slow");
                        var detailedResultInfo = JSON.parse(result);
                        csrfHash = detailedResultInfo.csrfHash;
                        var resultDetails = "";
                        for (var i = 0; i < detailedResultInfo.student_attempt_info.length; i++) {
                            if (detailedResultInfo.student_attempt_info[i].is_correct) {
                                resultDetails += "<tr style='background-color:#beeabe;color:#000;'>";
                            } else {
                                resultDetails += "<tr style='background-color:#e08484;color:#FFF;'>";
                            }
                            resultDetails += "<td>" + (i + 1) + "</td>";
                            if (detailedResultInfo.student_attempt_info[i].is_group_quest) {
                                resultDetails += "<td>" + detailedResultInfo.student_attempt_info[i].qest_group + "<br>" + detailedResultInfo.student_attempt_info[i].qest_group_image + "<br>";
                                resultDetails += "<br>" + detailedResultInfo.student_attempt_info[i].qestion + "<br>" + detailedResultInfo.student_attempt_info[i].qestion_image + "</td>";
                            } else {
                                resultDetails += "<td>" + detailedResultInfo.student_attempt_info[i].qestion + "<br>" + detailedResultInfo.student_attempt_info[i].qestion_image + "</td>";
                            }
                            resultDetails += "<td>" + detailedResultInfo.student_attempt_info[i].opt_a + "<br>" + detailedResultInfo.student_attempt_info[i].opt_a_img + "</td>";
                            resultDetails += "<td>" + detailedResultInfo.student_attempt_info[i].opt_b + "<br>" + detailedResultInfo.student_attempt_info[i].opt_b_img + "</td>";
                            resultDetails += "<td>" + detailedResultInfo.student_attempt_info[i].opt_c + "<br>" + detailedResultInfo.student_attempt_info[i].opt_c_img + "</td>";
                            resultDetails += "<td>" + detailedResultInfo.student_attempt_info[i].opt_d + "<br>" + detailedResultInfo.student_attempt_info[i].opt_d_img + "</td>";
                            resultDetails += "<td>" + detailedResultInfo.student_attempt_info[i].correct_opt + "</td>";
                            resultDetails += "<td>" + detailedResultInfo.student_attempt_info[i].response + "</td>";
                            resultDetails += "<td>" + detailedResultInfo.student_attempt_info[i].marks_awarded + "</td>";
                            resultDetails += "</tr>";
                        }
                        $("#resultDetails").html(resultDetails);
                        $("#resultDetailModal").modal('show');
                    }
                });
            }

            function attemptModelPaper(mepm_id) {
                if (confirm("Are You Really Ready To Attempt This Model Paper? You Will Be Marked As Attempted If You Proceed? Click OK To Continue & Cancel Otherwise.")) {
                    window.location.href = "<?php echo site_url('student/TasksAndQuizzes/attemptModelPaper/'); ?>" + mepm_id;
                }
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
        <!-- Detailed Result Modal Starts -->
        <div class="modal fade" id="resultDetailModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-xl">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Result Details</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <fieldset>
                            <div class="row">
                                <table class="table table-striped table-default">
                                    <thead>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Question</th>
                                            <th>A</th>
                                            <th>B</th>
                                            <th>C</th>
                                            <th>D</th>
                                            <th>Correct</th>
                                            <th>Marked</th>
                                            <th>Marks Awarded</th>
                                        </tr>
                                    </thead>
                                    <tbody id="resultDetails"></tbody>
                                </table>
                            </div>
                        </fieldset>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Detailed Result Modal Starts -->
    </body>
</html>