<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>New Correction Request | <?php echo $this->session->userdata("studentData")["branch_short_name"]; ?> | College Automation System</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("student/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("student/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("student/Feedback/myRequests"); ?>">My Correction Requests</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("student/Feedback/makeCorrectionRequest"); ?>">Submit New Correction Request</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-commenting"></i> Submit New Correction Request</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('student/Feedback/saveNewCorrectionRequest'), ['name' => 'correctionReqFrm', 'id' => 'correctionReqFrm']); ?>
                                <fieldset>
                                    <legend>Request Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="crSubject" class="input__label">Subject/Title *</label>
                                            <select id="crSubject" name="crSubject" class="form-control input-style">
                                                <option value="Correction Request" <?php echo set_select("crSubject", "Correction Request"); ?>>Correction Request</option>
                                                <option value="Other" <?php echo set_select("crSubject", "Other"); ?>>Other</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="crDescription" class="input__label">Description *</label>
                                            <textarea class="form-control input-style" name="crDescription" id="crDescription" placeholder="Write Brief Content (Max. 1000 Chars)" maxlength="1000"><?php echo set_value('crDescription'); ?></textarea>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="crFile" class="input__label">File (Optional)</label>
                                            <input type="file" class="form-control input-style" id="crFile" name="crFile">
                                            <small id="crFileInstruction" class="form-text text-muted"><b>Max. Upload Size 2 MB. Allowed Extension : *.jpg, *.jpeg, *.png, *.doc,*.docx,*.pdf.</b></small>
                                            <small class="form-text text-muted">In case you find any wrong document upload you can attach correct one here. In case more than one document are wrong then merge all documents in single PDF and then upload.</small>
                                        </div>
                                    </div>
                                </fieldset>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Submit</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <?php $this->load->view("student/footer"); ?>
    </body>
</html>